/* ********************************************************************* */
//   Filename: ATRIUM01.POV                                              //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   from ROOMx, PANELx, WINGx                                11 Apr 97  //
//   HOUSE 00: 1st draft Our_House, Atrium, Wings             13 Apr 97  //
//   ATRIUM 01: 1st draft New front door, swappable panels    14 Apr 97  //
/* ********************************************************************* */
/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "rooms.inc"                   // Textures, Complex Objects

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.4 } }   // ambient light

/* ********************************************************************* */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 5000 }
         texture { Blue_Tex
                   ambient 1.0
                   diffuse 0.0
                 }  //end texture
         color White                   // low resolution display color
       }  //end object Sky

/* ********************************************************************* */

#declare TestSpot3 =
light_source {
   < -20 75 -10 >                       //
   color White     //green 0.95
   spotlight
   point_at < -20 0 0 >                  // Atrium, south center
   tightness 20
   radius 20
   falloff 10
             }  // end of TestSpot 3

/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
//   location < -20 20 -110 >         // current Master shot
   location  < -70 55 -100 >       //long shot
//   location  < -20 5 -30 >      //due south Atrium center
//   location  < 25 230 -10 >       //above center of 1st room
//   location  < 40 260 -40 >       //above center of Wing1 / South Wall
   direction <   0   0   2 >
   look_at < -20 20 0 >           //Atrium center
//   look_at   < 0  20  0 >         // world center
//   look_at   <  30 0 20 >         //center of Room 1
//   look_at   < 40  10 20 >        //center of Wing 1 / South Wall
       }  //end of camera Test View

/* ********************************************************************* */
// DEFINE SCENE  *****   Room Scene Tester   ***** //
/* ********************************************************************* */
/* ********************************************************************* */

/* ********************************************************************* */
/* ********************************************************************* */


// LIGHTS!                        ***** DEFINE LIGHT SOURCES

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
object { light_source { FloodSE2 } }   // high flood light
object { light_source { FloodSW2 } }   // high flood light

//                                ***** spots on < 0 0 0 >
//object { light_source { SpotRight1 } } // +x +y +z spot light
//object { light_source { SpotLeft1 } }  // -x +y -z spot light
//object { light_source { SpotRight2 } } // +x -y -z spot light
//object { light_source { SpotLeft2 } }  // -x +y -z spot light

//                                ***** Test Locations
//object { light_source { TestSpot1 } }  //
//object { light_source { TestSpot2 } }  //
object { light_source { TestSpot3 } }  //


/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA

camera { TestView }                    // Variable with each view
//camera { OverHigh }                    // < 0 650 -1 >
//camera { OverMed }                     // < 0 300 -1 >
//camera { OverLow }                     // < 0 100 -1 >

//camera { South1 }                      // <   0 20 -50 >
//camera { West1 }                       // < -50 20   0 >
//camera { North1 }                      // <   0 20  50 >
//camera { East1 }                       // <  50 20   0 >


/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE SCENE

//composite { Grid_Zero  translate < 0 0 0> }

object { Test_Floor }                  // GRAY75

composite { Atrium_A }

/* ********************************************************************* */
/* STORAGE   *****
object    { Test_Floor }
composite { Grid_Zero  translate < 0 0 0> }
composite { Grid_Plus  translate < 0 0 0> }
composite { Grid_Up    translate < 0 0 0> }
composite { Atrium_A }
composite { Wing_One }                 // east wing + ramada
composite { Wing_One                   // north wing
            rotate < 0 90 0 >
            translate < -40 0 120 > }
composite { Wing_One                   // west wing
            rotate < 0 180 0 >
            translate < -40 0 40 > }
object    { Picture_A                  //scaled & moved to
            scale < 9 9 1 >            //   be area rug
            rotate < 90 90 0 >
            translate < 30 0 20 > }
                                       // Decore
composite { Pic_Frame_A
            translate < 0 15 -11.5 > }
                                       // Landscaping
composite { Tree_B   scale < 2 2 2 >  translate <  50 0 60 > }
composite { Tree_B   scale < 2 2 2 >  translate <  80 0 60 > }
composite { Tree_B   scale < 2 2 2 >  translate < 110 0 60 > }
object    { Hedge_B  scale < 4 2 2 >  translate < 30 0  50 > }
object    { Hedge_B  scale < 4 2 2 >  translate < 30 0 -10 > }
composite { Patio_East  translate < 75 0 20 > }
*/
/* ********************************************************************* */
/* END OF   Atrium 01   FILE      ****************** */
/* ********************************************************************* */
