/* ********************************************************************* */
//   Filename: ATRI_INT.POV                                              //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   from WING TEST                                  Ver 1.3  1 Sept 97  //
//   ATRIUM Interior View                            Ver 1.4 14 Sept 97  //
/* ********************************************************************* */
/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "rooms.inc"                   // Textures, Complex Objects

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.7 } }   // ambient light
max_trace_level 5

/* ********************************************************************* */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 7000 }
         texture { White_Tex
                   ambient 1.0
                   diffuse 0.0
                   color White
                 }  //end texture
       }  //end object Sky

/* ********************************************************************* */
/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
   direction <   0   0   1.25 >
   location  <  -6  35   6    >        //se corner
   look_at   < -30  15  20    >        //atrium center
       }  //end of camera Test View

/* ********************************************************************* */
// DEFINE SCENE  *****   Our_House Atrium Scene Tester   ***** //
/* ********************************************************************* */

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES
/* ********************************************************************* */

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
//object { light_source { FloodSE2 } }   // high flood light
//object { light_source { FloodSW2 } }   // high flood light
//object { light_source { FloodNW2 } }   // high flood light
//object { light_source { FloodNE2 } }   // high floor light
//object { light_source { FloodSW1 } }   //
//composite { Flood_Bank1 }

//                                ***** Atrium Interior Spotlights
//object { light_source { AtriumSpot1 } }
//object { light_source { AtriumSpot2 } }
//object { light_source { AtriumSpot3 } }
//object { light_source { AtriumSpot4 } }
object { light_source { AtriumSpot5 } }
object { light_source { AtriumSpot6 } }
object { light_source { AtriumSpot7 } }
object { light_source { AtriumSpot8 } }
object { light_source { AtriumSpot9 } }
object { light_source { AtriumSpot10 } }
object { light_source { AtriumSpot11 } }
object { light_source { AtriumSpot12 } }

/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA
/* ********************************************************************* */

camera { TestView }                    // Variable with each view
//camera { OverHigh }                    // < 0 650 -1 >
//camera { OverMed }                     // < 0 300 -1 >
//camera { OverLow }                     // < 0 100 -1 >

/* ********************************************************************* */
// ACTION!                  ***** DESCRIBE Our_House Atrium Improvements
/* ********************************************************************* */

object    { Test_Floor  texture { Gray75_Tex } }
composite { Atrium_A }

/* ********************************************************************* */
/* ********************************************************************* */

/*      STORAGE   *****

composite { Grid_Zero  translate < 0 0 0> }
composite { Grid_Plus  translate < 0 0 0> }
composite { Grid_Up    translate < 0 0 0> }

*/     //END STORAGE                                                 *****

/* ********************************************************************* */
/*  END OF   Atrium INterior View                     ****************** */
/* ********************************************************************* */