/* ********************************************************************* */
//   Filename: F_YARD.POV                                                //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   HOUSE 00: Master copy of Our_House script                19 Apr 97  //
//   WING 3a: Test Wing_Three, the Round Wing         Ver 1.2  1 May 97  //
//   Front Yard of Our House                          Ver 1.0 1 Sept 97  //
/* ********************************************************************* */
/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "rooms.inc"                   // Textures, Complex Objects

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.6 } }   // ambient light
max_trace_level 6

/* ********************************************************************* */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 7000 }
         texture { Blue_Tex
                   ambient 1.0
                   diffuse 0.0
                 }  //end texture
         color White
       }  //end object Sky

/* ********************************************************************* */

#declare TestSpot2 =
light_source {
   < 490 700 -490 >
   color White
             }  // end of TestSpot 2

/* ********************************************************************* */
/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
   direction < 0 0 1.5 >
   location  < -170  60  -100 >        // Front Yrad
   look_at   <  -40  10   -40 >        //
       }  //end of camera Test View

/* ********************************************************************* */
// DEFINE SCENE  *****   Our_House Wing 3 Scene Tester   ***** //
/* ********************************************************************* */

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES
/* ********************************************************************* */

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
object { light_source { FloodSouth } } // low front flood light
//object { light_source { FloodSE2 } }   // high flood light
object { light_source { FloodSW2 } }   // high flood light
//object { light_source { FloodNW2 } }   // high flood light
//object { light_source { FloodNE2 } }   // high floor light
composite { Flood_Bank }

/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA
/* ********************************************************************* */

camera { TestView }                    // Variable with each view
//camera { OverHigh }                    // < 0 650 -1 >
//camera { OverMed }                     // < 0 300 -1 >
//camera { OverLow }                     // < 0 100 -1 >

/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE Our_House Round Wing SCENE
/* ********************************************************************* */

object { Test_Floor  texture { Grass } }
composite { Atrium_A }
composite { Wing_One  }                // east wing + ramada         *****
composite { Front_Yard }               // Pool, Shrubry, Trees
composite { Pathway_1 }                // Garden path east
composite { Pathway_1                  // Garden path west
            rotate < 0 180 0 >
            translate < -40 0 -60 > }

/* ********************************************************************* */
/*  END OF  Our House Front Yard  FILE                ****************** */
/* ********************************************************************* */
