/* ********************************************************************* */
/*    Filename: INTERIOR.INC            #include file of declarations    */
/*                  Assorted Objects, FXs, and Textures                  */
/*                      for use in Our_House scenes                      */
/* Michael Brendan Hurley                            Spring 97  Ver. 1.0 */
/* from CHAMBERS.INC                                  1 APR 97  Ver. 2.2 */
/* ROOMS.INC                                         1 SEPT 97  Ver. 1.7 */
/* INTERIOR.INC  striped down from Rooms            25 Sept 97  Ver. 1.7 */
/* ********************************************************************* */

#include "towers.inc"                  //definitions of assorted towers

/* ********************************************************************* */
//                            Object Definitions                         //
/* ********************************************************************* */
//                   Basic Structural Components of Rooms                //
/* ********************************************************************* */
//                        Our Hourse Interior Lights                     //
/* ********************************************************************* */
/*                         Wing Two Interior Lights                      */
/* ********************************************************************* */

#declare W2_Spot1 =
light_source { < 50 8 30 >  color White }  // end Wing 2 Spot 1

/* ********************************************************************* */

#declare W2_Spot2 =
light_source { < 50 8 10 >  color White }  // end Wing 2 Spot 2

/* ********************************************************************* */

#declare W2_Spot3 =
light_source { < 10 8 30 >  color White }  // end Wing 2 Spot 3

/* ********************************************************************* */

#declare W2_Spot4 =
light_source { < 10 8 10 >  color White }  // end Wing 2 Spot 4

/* ********************************************************************* */

#declare W2_Spot5 =
light_source { < 30 8 10 >  color White }  // end Wing 2 Spot 5

/* ********************************************************************* */

#declare W2_Spot6 =
light_source { < 30 8 10 >  color White }  // end Wing 2 Spot 6

/* ********************************************************************* */

#declare W2_Spot7 =
light_source { < 15 18 30 >  color White }  // end Wing 2 Spot 7

/* ********************************************************************* */

#declare W2_Spot8 =
light_source { < 15 18 10 >  color White }  // end Wing 2 Spot 8

/* ********************************************************************* */

#declare W2_Spot9 =
light_source { < 30 18 30 >  color White }  // end Wing 2 Spot 9

/* ********************************************************************* */

#declare W2_Spot10 =
light_source { < 30 18 10 >  color White }  // end Wing 2 Spot 10

/* ********************************************************************* */

#declare W2_Spot11 =
light_source { < 45 18 30 >  color White }  // end Wing 2 Spot 11

/* ********************************************************************* */

#declare W2_Spot12 =
light_source { < 45 18 10 >  color White }  // end Wing 2 Spot 12

/* ********************************************************************* */
//                          Define Basic Shapes                          //
/* ********************************************************************* */

#declare Arch_Plain =                  // Arch C revised 22 Apr 97
object {                               
   intersection {                           
      quadric { Cylinder_X scale < 1 1 1 > }
      quadric { Cylinder_X scale < 0.75 0.75 0.75 > inverse }
      plane { <  5.0  0.0  0.0 > 1.0 }
      plane { < -5.0  0.0  0.0 > 1.0 }
      plane { <  0.0 -1.0  0.0 > 0.0 }
                 } //end intersection
   color Coral
       } // end object Arch_Plain

/* ********************************************************************* */

#declare Arch_Y =                      // Arch C revised 28 Apr 97
object {
   intersection {
      quadric { Cylinder_Y scale < 1 1 1 > }     //thickness of wall=0.1
      quadric { Cylinder_Y scale < 0.9 0.9 0.9 > inverse }
      plane { <  0.0  1.0  0.0 > 1.0 }           //
      plane { <  0.0 -1.0  0.0 > 1.0 }
      plane { < -5.0  0.0  0.0 > 0.0 }
                 } //end intersection
   color Gold
       } // end object Arch_Y

/* ********************************************************************* */

#declare Arch_Y2 =                  // Arch Y revised for Window 29 Apr 97
object {
   intersection {
      quadric { Cylinder_Y scale < 1 1 1 > }     //thickness of wall=0.01
      quadric { Cylinder_Y scale < 0.99 0.99 0.99 > inverse }
      plane { <  0.0  1.0  0.0 > 1.0 }           //
      plane { <  0.0 -1.0  0.0 > 1.0 }
      plane { < -5.0  0.0  0.0 > 0.0 }
                } //end intersection
   color Aquamarine
       } // end object Arch_Y2

/* ********************************************************************* */

//  DEFINE   Box scaled to produce a perfect 1x1x1-unit image    *****

#declare Beam_Plain =                  
object { box { UnitBox
               scale < 0.5 0.5 0.5 > }
         color Aquamarine
       } // end object Beam Plain

/* ********************************************************************* */

#declare Beam_A =                      //wooden beam
object { box { UnitBox
               scale < 1.25 1.25 10 > }
         texture { DMFWood3
                   turbulence 1.5
                   scale < 2 2 20 >
                   rotate < 10 0 5 >
                 } //end texture
         color Brown
       } // end object Beam A

/* ********************************************************************* */

#declare Beam_B =                      //wooden beam
object { box { UnitBox
               scale < 5 0.25 1 > }
         texture { DMFWood3
                   turbulence 1.0
                   scale < 1 1 10 >
                   rotate < 15 0 5 >
                 } //end texture
         color Red
       } // end object Beam B

/* ********************************************************************* */

#declare Beam_C =                      //wooden ceiling beam
object { box { UnitBox
               scale < 1 1 1 > }
         texture { oak
                   scale < 2 2 2 >
                   rotate < 30 0 15 > }
         color Blue
       } // end object Beam C

/* ********************************************************************* */

#declare Beam_D =                      //two-story Atrium beam
object { box { UnitBox
               scale < 2 20 2 > }
         texture { DMFWood5
                   scale < 3 3 3 >
                   rotate < 10 0 -15 > }
         color Brown
       } // end object Beam D

/* ********************************************************************* */

#declare Plank_A =                     // 10 units tall
object { Box_Plain
         scale < 1 10 1 >
         color Yellow
       } //end Plank A

/* ********************************************************************* */

#declare Plank_B =                     // 1.1 units tall
object { Box_Plain
         scale < 1 1.1 1 >
         color Magenta
       } //end Plank B

/* ********************************************************************* */

#declare Plank_C =                     // 1x1x1 cube
object { Box_Plain
         scale < 1 1 1 >
         color SkyBlue
       } //end Plank C

/* ********************************************************************* */

#declare Plank_K =                     //generic plank 5x15x0.25
   object { Box_Plain
            scale < 5 15 0.25>
            color SeaGreen
          } // end object Plank K

/* ********************************************************************* */

#declare Plank_Blood =
object { Box_Plain
         scale < 1 1 1 >
         texture { Blood_Sky
                   turbulence 2.3
                   scale <5 1.75 0.75 >
                  } //end tex
         color Red
        } // end object Plank Blood

/* ********************************************************************* */

#declare Window_A =                    //standard 3x4y window
object { box { UnitBox
               scale < 3 4 1 > }
         texture { Glass_A }
         color Green
       }  // end obj Window

/* ********************************************************************* */

#declare Window_B =                    //20x wide picture window
object { box { UnitBox
               scale < 20 4.5 1 > }
         texture { Glass_A }
         color Green
       }  // end obj Window

/* ********************************************************************* */

#declare Window_C =                    //7x10y picture window
object { box { UnitBox
               scale < 7 10 0.25 >
               rotate < 0 90 0 >
               translate < 0 10 8 > }
         texture { Glass_A }
         color Green
       }  // end obj Window

/* ********************************************************************* */

#declare Window_D =                    //basic 1x1y square window
object { box { UnitBox
               scale < 1 1 0.25 > }
         texture { Glass_A }
         color Green
       }  // end obj Window

/* ********************************************************************* */

#declare Big_Window_A =
composite {
   object { Beam_C                     // Window sashes:
            scale < 10 1 1 >
            translate < 0 18 0 >        //top molding
          } // end Beam C
   object { Beam_C
            scale < 10 1 1 >
            translate < 0 3.25 0 >            //bottom molding
          } // end Beam C
   object { Beam_C
            scale < 1 7.8 1 >
            rotate < 0 90 0 >
            translate < -9 10 0 >          //left molding
          } // end Beam C
   object { Beam_C
            scale < 1 7.8 1 >
            rotate < 0 90 0 >
            translate < 9 10 0 >           //right molding
          } // end Beam C
   object { Window_D                   //Window
            scale < 9 8 1 >
            translate < 0 11 0 >
          }  // end obj Window D
          } // end composite Big Window A

/* ********************************************************************* */
//                           Furnishings                                 //
/* ********************************************************************* */

// DEFINE  Fire Place     *****

#declare FirePlace_A =
composite {
   object {
      difference { intersection { Cube                //Outside box
                                  scale < 10.0 4.0 5.0 > }
                   intersection { Cube                // Inside box
                                  scale < 8.0 4.5 4.0 > }
                 } //end diference
      texture { Grnt20 }
      scale < 1 1 1 >
      rotate < -90 0 0 >
      translate < 0.0 5 0.0 >
      color DarkTurquoise
          } // end object              Fire box
   object { Box_Plain
            texture { Grnt20 }
            scale < 10 5 0.5 >
            translate < 0 5 4.1 >
            color Red
         }  // end obj Box             Rear Wall
   object { Box_Plain
            texture { Grnt20 }
            scale < 11 1 8 >
            color Yellow
          }  // end obj Box            Fire floor
   object { Box_Plain
            texture { Grnt20 }
            scale < 10 2 7 >
            color Green
          }  // end obj Box            Base platform
object { box { UnitBox
               scale < 1 1 1 > }
         texture { Grnt20
                   rotate < 10 0 20 > }
         scale < 7 15 3 >
         translate < 0 15 5 >
         color CadetBlue
       } // end object            Chimney
          }  // end composite Fire Place A

/* ********************************************************************* */

// DEFINE  Door_East: right half of double swinging door     *****

#declare Door_East_Half =
composite {

   object { Plank_C                    // large door panel
            texture { DMFWood2
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 2 4.7 0.5 >             //to fit openning
//            rotate < 0 -45 0 >              //open the door
//            translate < -18 4.75 -1.1 >     //open the door
            rotate < 0 0 0 >                //close the door
            translate < -18 4.75 -1.1 >     //close the door
            color CadetBlue
          } // end object Plank C

   object { Plank_C                    // smaller door panel
            texture { Dark_Wood
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 1.75 4.3 0.5 >          //adjust to less than above
//            rotate < 0 -45 0 >              //open the door
//            translate < -18 4.75 -1.3 >      //open the door
            rotate < 0 0 0 >                //close the door
            translate < -18 4.75 -1.3 >     //close the door
            color LimeGreen
          } // end object Plank C

          }  //  end composite Door: East Half

/* ********************************************************************* */

// DEFINE  Front Door with frame and trim     *****

#declare Front_Door =                  //centered on <-20 4.75 0 >
composite {

   object { Beam_D                     // lower left of door
            scale < 0.75 0.5 1 >
            translate < -25 10 0.45 >
          } // end object Beam D
   object { Beam_D                     // lower right of door
            scale < 0.75 0.5 1 >
            translate < -15 10 0.45 >
          } // end object Beam D
   object { Plank_C                    // panel above door
            texture { pop_wood
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 4 5 0.25 >
            translate < -20 14 -0.5 >
            color Green
          } // end object Plank C

/*
   object { Plank_C                    // front door west panel
            texture { Dark_Wood
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 1.7 4.5 0.25 >
            translate < -21.6 4.75 -1.5 >
            color LimeGreen
          } // end object Plank C
*/

   object { Beam_D                     // door lintel
            scale < 0.5 0.5 0.5 >                    // +y??
            rotate < 0 0 90 >
            translate < -20 10 0 >
          } // end object Beam D

   composite { Door_East_Half }        //one half of door
   composite { Door_East_Half
               translate < -4 0 0 > }  //the other half

          }  //  end composite Front Door

/* ********************************************************************* */
//                           Stairs, Railings                            //
/* ********************************************************************* */

//  DEFINE  diaganal half cube to support stairs

#declare StairBlock =                   //box with beveled front edge
object {
   difference {
      intersection {
         intersection { Cube scale < 2 2 2 > }
         plane { < 0 1 0> 0
                 scale < 2 2 2 >
                 rotate < -45 0 0 >      //45 degree cut from front edge
               } //end plane
                   } //end intersection
              } //end difference
   texture { Gray15_Tex }
   scale < 2 9 9 >
   translate < 0 0 -0.5 >
   color Green
       }  // end object Stair Block

/* ********************************************************************* */

#declare Stairway_A =                  // 45o slope stairs
composite {
   object { box { UnitBox                   //bottom step
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 1 0 >
                  color Green }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 2.5 1.5 >
                  color Red }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 4 3 >
                  color Yellow }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 5.5 4.5 >
                  color Blue }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 7 6 >
                  color Orange }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 8.5 7.5 >
                  color Green }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 10 9 >
                  color Red }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 11.5 10.5 >
                  color Yellow }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 13 12 >
                  color Blue }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 14.5 13.5 >
                  color Orange }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 16 15 >
                  color Green }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 17.5 16.5 >
                  color Red }
                } //end obj Step
   object { box { UnitBox                   //top
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 19 18 >
                  color Yellow }
                } //end obj Step
          }  //  end composite  Stairway A

/* ********************************************************************* */

#declare Stairway_B =                  //right angle to Stairs A
composite {
   object { box { UnitBox              //3rd step, top
                  texture { Gray15_Tex }
                  scale < 7 2.5 3 >
                  translate < -1 2 1 >
                  color Cyan }
                } //end obj Step
   object { box { UnitBox              //2nd, middle
                  texture { Gray15_Tex }
                  scale < 1.5 2 2.5 >
                  translate < -8 1.5 1 >
                  color Brown }
                } //end obj Step
   object { box { UnitBox              //1st, bottom
                  texture { Gray15_Tex }
                  scale < 1 1 2.5 >
                  translate < -10 1 1 >
                  color Blue }
                } //end obj Step
          } // end composite Stairs B

/* ********************************************************************* */

//  DEFINE  Stairway Railing   45-degree slope   *****

#declare Railing_Unit_A =
composite {
   object { Beam_Plain
            texture { DMFDarkOak }
            scale < 1 5 0.9 >
            translate < 0 2.5 0 >
          } //end obj Beam Plain       Railing
   object { Beam_Plain
            texture { DMFDarkOak }
            scale < 1 5 0.9 >
            translate < 0 2.5 3 >
          } //end obj Beam Plain       Railing
   object { Arch_Plain
            texture { DMFDarkOak
                      rotate < 15 0 0 > }
            scale < 2 2 2 >
            translate < 0 4.5 1.5 >
          } //end Arch Plain           Banister
          }  //  end composite Railing Unit A

/* ********************************************************************* */

#declare Railing_A =                   //scaled to Stairway A
composite {
composite { Railing_Unit_A  scale < 0 0.00 0 >  translate < -5 0 3 > }
composite { Railing_Unit_A  scale < 1 1.75 1 >  translate < -5 0 3 > }
composite { Railing_Unit_A  scale < 1 2.50 1 >  translate < -5 0 6 > }
composite { Railing_Unit_A  scale < 1 3.25 1 >  translate < -5 0 9 > }
composite { Railing_Unit_A  scale < 1 4.00 1 >  translate < -5 0 12 > }
composite { Railing_Unit_A  scale < 1 4.75 1 >  translate < -5 0 15 > }
          }  //  end composite Railing A

/* ********************************************************************* */

#declare Atrium_Stairs =
composite {
   composite { Stairway_A }
   composite { Stairway_B }
//   composite { Railing_A }
          }  //  end composite Atrium Stairs

/* ********************************************************************* */

#declare Atrium_Stairs_B =
composite {
   composite { Stairway_A }
   object    { StairBlock }
          }  //  end composite Atrium Stairs

/* ********************************************************************* */

//   DEFINE  Balconies for Atrium

#declare Atrium_Balcony =
object { box { UnitBox
                  texture { Dark_Wood_B
                            rotate < -10 0 -5 > }
                  color Blue }
                } //end obj Step
 
/* ********************************************************************* */

//  DEFINE A floor slab for Atrium and Wings

#declare Atrium_Floor =
object { Box_Plain
         texture { Grnt15b }
         color Firebrick
        } // end object Atrium Floor

/* ********************************************************************* */
/* ********************************************************************* */

//   DEFINE  Another railing unit for Wing Two balcony

#declare Balcony_Railing =
composite {
object    { Pillar_Plain
            texture { DMFDarkOak }
            scale < 0.5 2 0.5 >
            translate < 0.5 2 0 > }
object    { Pillar_Plain
            texture { DMFDarkOak }
            scale < 0.5 2 0.5 >
            translate < 4 2 0 > }
object    { Pillar_Plain
            texture { DMFDarkOak }
            scale < 0.5 2.1 0.5 >
            rotate < 0 0 90 >
            translate < 2.2 3.5 0 > }
          } // end composite Balcony Railing

/* ********************************************************************* */

#declare Balcony_Rail_A =
composite {
   composite { Balcony_Railing  translate < 14.5 0 0 > }
   composite { Balcony_Railing  translate < 19.5 0 0 > }
   composite { Balcony_Railing  translate < 24.5 0 0 > }
   composite { Balcony_Railing  translate < 29.5 0 0 > }
   composite { Balcony_Railing  translate < 34.5 0 0 > }
   composite { Balcony_Railing  translate < 39.5 0 0 > }
   composite { Balcony_Railing  translate < 44.5 0 0 > }
   composite { Balcony_Railing  translate < 49.5 0 0 > }
   composite { Balcony_Railing  translate < 54.5 0 0 > }
          } // end composite Railing A

/* ********************************************************************* */
//                             Wall Panels                               //
/* ********************************************************************* */

// DEFINE   basic 20x20 Wood paneled wall unit   *****

#declare Wall_Panel_A =
composite {
   object { Beam_A                     // top
            scale < 1.25 1.25 1.2 >
            rotate < 0 90 0 >
            translate < 10 20 0 >
          } // end object Beam A
   object { Beam_A                     // bottom
            scale < 1.25 0.2 1.2 >
            rotate < 0 90 0 >
            translate < 10 0.25 0 >
          } // end object Beam A
   object { Beam_A                     // left
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 20 10 0 >
          } // end object Beam A
   object { Plank_A                    //planks inset in Wall
            texture { zeb_wood }
            scale < 1 1 1>
            translate < 2.5 10 0 >           //left end
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      turbulence 1.0 }
            scale < 1 1 1 >
            translate < 4.5 10 0 >           // next to left end
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      turbulence 0.4 }
            scale < 1 1 1 >
            translate < 6.5 10 0 >
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      rotate < 30 10 0 >
                      turbulence 1.0 }
            scale < 1 1 1 >
            translate < 8.5 10 0 >
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      rotate < 15 0 -10 >
                      turbulence 1.0 }
            scale < 1 1 1 >
            translate < 10.5 10 0 >          //center plank
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      turbulence 1.0 }
            scale < 1 1 1 >
            translate < 12.5 10 0 >
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      turbulence 0.7 }
            scale < 1 1 1 >
            translate < 13.5 10 0 >
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      rotate < -17 0 6 >
                      turbulence 0.3 }
            scale < 1 1 1 >
            translate < 15.5 10 0 >          // next to right end
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      turbulence 0.8 }
            scale < 1 1 1 >
            translate < 17.5 10 0 >          //right end
          } //end wood Plank
          } // end composite Wall Panel A

/* ********************************************************************* */

// DEFINE   20x20 Wall_A with a centered window     *****

#declare Wall_Panel_B =
composite {
   object { Beam_A                     // top
            scale < 1.25 1.25 1.2 >
            rotate < 0 90 0 >
            translate < 10 20 0 >
          } // end object Beam A
   object { Beam_A                     // bottom
            scale < 1.25 0.2 1 >
            rotate < 0 90 0 >
            translate < 10 0.25 0 >
          } // end object Beam A
   object { Beam_A                     // left
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 20 10 0 >
          } // end object Beam A
   object { Plank_A                    //planks inset in Wall
            texture { zeb_wood }
            scale < 1 1 1 >
            translate < 2.5 10 0 >           //left end
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      turbulence 1.0 }
            scale < 1 1 1 >
            translate < 4.5 10 0 >           // next to left end
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      rotate < -30 0 10 >
                      turbulence 0.7 }
            scale < 1 1 1 >
            translate < 6 10 0 >             // 3rd from left
          } //end wood Plank
   object { Plank_B                    //above window
            texture { zeb_wood
                      turbulence 0.3 }
            translate < 8 18 0 >
          } //end wood Plank B
   object { Plank_B
            texture { zeb_wood
                      turbulence 1.3 }
            translate < 10 18 0 >
          } //end wood Plank B
   object { Plank_B
            texture { zeb_wood
                      turbulence 0.8 }
            translate < 12 18 0 >
          } //end wood Plank B
   object { Plank_B                    // below window
            texture { zeb_wood
                      turbulence 0.7 }
            scale < 1 3.8 1 >
            translate < 8 4.8 0 >
          } //end wood Plank B
   object { Plank_B
            texture { zeb_wood
                      rotate < -35 0 0 >
                      turbulence 1.3 }
            scale < 1 3.8 1 >
            translate < 10 4.8 0 >
          } //end wood Plank B
   object { Plank_B
            texture { zeb_wood
                      turbulence 1.0 }
            scale < 1 3.8 1 >
            translate < 12 4.8 0 >
          } //end wood Plank B
   object { Beam_B                     // Window sashes:
            scale < 0.6 1 1.1 >
            translate < 10 17 0 >           //top molding
          } // end Beam B
   object { Beam_B
            scale < 0.6 1 1.1 >
            translate < 10 9 0 >            //bottom molding
          } // end Beam B
   object { Beam_B
            scale < 0.85 1 1.1 >
            rotate < 0 0 90 >
            translate < 7 13 0 >            //left molding
          } // end Beam B
   object { Beam_B
            scale < 0.85 1 1.1 >
            rotate < 0 0 90 >
            translate < 13 13 0 >           //right molding
          } // end Beam B
   object { Window_D                   //Window
            scale < 3 4 0.25 >
            translate < 10 13 0 >
          }  // end obj Window D
   object { Plank_A
            texture { zeb_wood
                      turbulence 0.7 }
            scale < 1 1 1>
            translate < 14 10 0 >            // 3rd from end
          } //end wood Plank A
   object { Plank_A
            texture { zeb_wood
                      rotate < 20 5 0 >
                      turbulence 0.3 }
            scale < 1 1 1>
            translate < 15.5 10 0 >          // next to right end
          } //end wood Plank A
   object { Plank_A
            texture { zeb_wood
                      turbulence 0.8 }
            scale < 1 1 1 >
            translate < 17.5 10 0 >          //right end
          } //end wood Plank A
          } // end composite Wall Panel B

/* ********************************************************************* */

// DEFINE  double size ver. of Wall_A: for Atrium Wall WITH 2 doors

#declare Wall_Panel_C =
composite {
   object { Arch_Plain
            texture { oak
                      scale < 21 3 3 >
                      rotate < 20 0 15 > }
            scale < 5 9 19 >
            rotate < 0 90 0 >
            translate < -20 30 0 >
          } //end object Arch Plain
   object { Beam_D                     // left
            scale < 1 1.1 1 >
            translate < -40 20 0 >
          } // end object Beam D
   object { Beam_D                     // right
            scale < 1 1.1 1 >
            translate < 0 20 0 >
          } // end object Beam D
   object { Beam_D                     // top
            scale < 1 1 1 >
            rotate < 0 0 90 >
            translate < -20 40 0 >
          } // end object Beam D
   object { Beam_D                     // half up
            scale < 0.35 1 1 >
            rotate < 0 0 90 >
            translate < -20 19.5 0 >
          } // end object Beam D
   object { Beam_D                     // 2/3rds up
            scale < 0.35 1 1 >
            rotate < 0 0 90 >
            translate < -20 30 0 >
          } // end object Beam D
/*
   object { Beam_D                     // bottom
            scale < 0.35 1 1 >
            rotate < 0 0 90 >
            translate < -20 2 0 >
          } // end object Beam D
*/
   object { Plank_C                    // vertical Wall panel
            texture { pop_wood
                      reflection 0.1
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 7 10 1 >
            translate < -31 10 0.45 >
          } // end object Plank C
   object { Plank_C                    // vertical Wall panel
            texture { pop_wood
                      turbulence 0.9
                      scale < 0.5 1 0.5 >
                      rotate < 10 0 0 >
                    } //end tex
            scale < 7 10 1 >
            translate < -9 10 0.45 >
          } // end object Plank C
   object { Window_D                  // Window top right
            scale < 7.3 5 1 >
            translate < -10 35 -0.5 >
          } // end Picture Window D
   object { Window_D                   // Window top left
            scale < 7.3 5 1 >
            translate < -30 35 -0.5 >
          } // end Picture Window D
   object { Window_D                  // Window middle right
            scale < 7.2 5 1 >
            translate < -9 25 -0.25 >
          } // end Picture Window D
   object { Window_D                   // Window middle left
            scale < 7.2 5 1 >
            translate < -31 25 -0.25 >
          } // end Picture Window D
   composite { Front_Door }            // Door ground floor
   composite { Front_Door              // Door 2nd floor
               translate < 0 20 0 > }
          } // end composite Wall Panel C

/* ********************************************************************* */

// DEFINE  Wall_A:  Atrium Wall with NO door     *****

#declare Wall_Panel_D =
composite {
   object { Beam_D                     // left
            scale < 1 1.1 1 >
            translate < -40 20 0 >
          } // end object Beam D
   object { Beam_D                     // right
            scale < 1 1.1 1 >
            translate < 0 20 0 >
          } // end object Beam D
   object { Beam_D                     // top
            rotate < 0 0 90 >
            translate < -20 40 0 >
          } // end object Beam D
   object { Beam_D                     // 2/3rds up
            rotate < 0 0 90 >
            translate < -20 30 0 >
          } // end object Beam D
   object { Beam_D                     // half up
            rotate < 0 0 90 >
            translate < -20 20 0 >
          } // end object Beam D
/*
   object { Beam_D                     // bottom
            rotate < 0 0 90 >
            translate < -20 2 0 >
          } // end object Beam D
*/
   object { Plank_C                    // vertical Wall panel
            texture { pop_wood
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 7 10 1 >
            translate < -31 10 0.45 >
          } // end object Plank C
   object { Plank_C                    // vertical Wall panel
            texture { pop_wood
                      turbulence 0.9
                      scale < 0.5 1 0.5 >
                      rotate < 10 0 0 >
                    } //end tex
            scale < 7 10 1 >
            translate < -9 10 0.45 >
          } // end object Plank C
   object { Beam_D                     // lower left of doorway
            scale < 0.75 1.3 1 >
            translate < -25 5 0.45 >
          } // end object Beam D
   object { Beam_D                     // lower right of doorway
            scale < 0.75 1.3 1 >
            translate < -15 5 0.45 >
          } // end object Beam D
   object { Plank_C                    // panel above doorway
            texture { pop_wood
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 4 4 0.25 >
            translate < -20 14 -0.5 >
            color LimeGreen
          } // end object Plank C
   object { Beam_D                     // door lintel
            scale < 0.5 0.5 0.5 >
            rotate < 0 0 90 >
            translate < -20 10 0 >
          } // end object Beam D
   object { Arch_Plain
            texture { oak
                      scale < 4 3 2 >
                      rotate < 20 0 15 > }
            scale < 10 12.5 20 >
            rotate < 0 90 0 >
            translate < -20 30 0 >
          } //end object Arch Plain
   object { Window_B
            translate < -20 25 0 >
          } // end Picture Window
          } // end composite Wall Panel D

/* ********************************************************************* */

// DEFINE   Wide 40x20 wall unit   *****

#declare Wall_Panel_Wide =
composite {
   object { Beam_A                     // left/south
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right/north
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 40 >
          } // end object Beam A
   object { Beam_D                     // top
            scale < 1 1 1 >
            rotate < 90 0 0 >
            translate < 0 20 20 >
          } // end object Beam D
   object { Beam_D                     // bottom
            scale < 1 1 1 >
            rotate < 90 0 0 >
            translate < 0 1 20 >
          } // end object Beam D
   object { Plank_C                    // panel above doorway
            texture { pop_wood
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 4 4 0.25 >
            rotate < 0 90 0 >
            translate < 0 14 20 >
            color LimeGreen
          } // end object Plank C
   object { Plank_C                    // panel left of doorway
            texture { pop_wood
                      scale < 0.5 1 0.6 >
                      rotate < 15 0 0 >
                    } //end tex
            scale < 7 10 0.25 >
            rotate < 0 90 0 >
            translate < 0 10 8 >
            color LimeGreen
          } // end object Plank C
   object { Plank_C                    // panel right of doorway
            texture { pop_wood
                      scale < 0.5 1 0.6 >
                      rotate < 15 0 0 >
                    } //end tex
            scale < 7 10 0.25 >
            rotate < 0 90 0 >
            translate < 0 10 32 >
            color LimeGreen
          } // end object Plank C

   object { Window_C }                           //left window
   object { Window_C translate < 0 0 25 > }      //right window

   object { Beam_D                     // lower left of doorway
            scale < 0.7 0.5 0.7 >
            translate < 0 9 15 >
          } // end object Beam D
   object { Beam_D                     // lower right of doorway
            scale < 0.7 0.5 0.7 >
            translate < 0 9 25 >
          } // end object Beam D
   object { Beam_D                     // door lintel
            scale < 0.45 0.45 0.45 >
            rotate < 90 0 0 >
            translate < 0 10 20 >
          } // end object Beam D
          }  //  end composite Wall_Panel_Wide

/* ********************************************************************* */

// DEFINE   Wing Two version of Wall A section, 20x20, plain

#declare Panel_W2A =
composite {
   object { Beam_A                     // top
            scale < 1.25 1.25 1.2 >
            rotate < 0 90 0 >
            translate < 10 20 0 >
          } // end object Beam A
   object { Beam_A                     // bottom
            scale < 1.25 1.25 1.2 >
            rotate < 0 90 0 >
            translate < 10 1 0 >
          } // end object Beam A
   object { Beam_A                     // left
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 20 10 0 >
          } // end object Beam A
   object { Plank_C                    //right panel
            texture { DMFWood5
                      turbulence 0.8
                      scale < 5 10 2 >
                      rotate < 85 0 0 > }
            scale < 2.5 10 1 >
            translate < 4 10 0 >
          } //end Plank C
   object { Plank_C                    //left panel
            texture { DMFWood5
                      turbulence 0.5
                      scale < 7 6 2 >
                      rotate < 5 0 0 > }
            scale < 2.5 10 1 >
            translate < 16 10 0 >
          } //end Plank C
   object { Plank_C                    //center panel
            texture { DMFWood5
                      turbulence 0.4
                      scale < 15 3 3 >
                      rotate < 15 0 0 > }
            scale < 3.5 10 1 >
            translate < 10 10 0 >
          } //end Plank C
          } // end composite Panel W2A

/* ********************************************************************* */

// DEFINE   Wing Two version Wall_B section, 20x20, with window

#declare Panel_W2B =
composite {
   object { Beam_A                     // top
            scale < 1.25 1.25 1.2 >
            rotate < 0 90 0 >
            translate < 10 20 0 >
          } // end object Beam A
   object { Beam_A                     // bottom
            scale < 1.25 1.25 1.2 >
            rotate < 0 90 0 >
            translate < 10 0.25 0 >
          } // end object Beam A
   object { Beam_A                     // left
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 20 10 0 >
          } // end object Beam A
   object { Beam_B                     // Window sashes:
            scale < 0.75 1 1.25 >
            translate < 10 15 0 >           //top molding
          } // end Beam B
   object { Beam_B
            scale < 0.75 1 1.25 >
            translate < 10 7 0 >            //bottom molding
          } // end Beam B
   object { Window_A                   //Window
            translate < 10 11 0 >
          }  // end obj Window A
   object { Beam_B
            scale < 1 1.2 1.25 >
            rotate < 0 0 90 >
            translate < 7 11 0 >            //left molding
          } // end Beam B
   object { Beam_B
            scale < 1 1.2 1.25 >
            rotate < 0 0 90 >
            translate < 13 11 0 >           //right molding
          } // end Beam B
   object { Plank_C
            texture { DMFWood5
                      turbulence 0.5
                      scale < 5 10 2 >
                      rotate < 85 0 0 > }
            scale < 2.75 10 1 >
            translate < 15.5 10 0 >           //right of window
          } //end Plank C
   object { Plank_C
            texture { DMFWood5
                      turbulence 0.4
                      scale < 5 10 3 >
                      rotate < 80 0 0 > }
            scale < 2.75 10 1 >
            translate < 4.5 10 0 >            //left of window
          } //end Plank C
   object { Plank_C
            texture { DMFWood5
                      turbulence 0.5
                      scale < 4 2 6 >
                      rotate < 35 0 0 > }
            scale < 3.4 1.6 1 >
            translate < 10 17 0 >           //panel above window
          } //end Plank C
   object { Plank_C
            texture { DMFWood5
                      turbulence 0.5
                      scale < 5 10 2 >
                      rotate < 85 0 0 > }
            scale < 3.4 2.7 1 >
            translate < 10 4.5 0 >          //panel below window
          } //end Plank K
          } // end composite Panel W2B

/* ********************************************************************* */

// DEFINE   Wing Two version Panel_W2B section, 20x20, with window
//          W2C modified to allow interior balconies    21 Sept 97

#declare Panel_W2C =
composite {
   object { Beam_A                     // top
            scale < 1.25 1.25 1.2 >
            rotate < 0 90 0 >
            translate < 10 20 0 >
          } // end object Beam A
   object { Beam_A                     // bottom
            scale < 1.2 0.5 1.2 >
            rotate < 0 90 0 >
            translate < 10 0.25 0 >
          } // end object Beam A
   object { Beam_A                     // left
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 20 10 0 >
          } // end object Beam A
   object { Beam_B                     // Window sashes:
            scale < 0.65 1.5 1.25 >
            translate < 10 18.25 0 >           //top molding
          } // end Beam B
   object { Beam_B
            scale < 0.65 1.5 1.25 >
            translate < 10 11 0 >            //bottom molding
          } // end Beam B
   object { Beam_B
            scale < 0.70 1.3 1.25 >
            rotate < 0 0 90 >
            translate < 7 14.5 0 >            //left molding
          } // end Beam B
   object { Beam_B
            scale < 0.70 1.3 1.25 >
            rotate < 0 0 90 >
            translate < 13 14.5 0 >           //right molding
          } // end Beam B
   object { Window_D                   //Window
            scale < 3 3.6 1 >
            translate < 10 15 0 >
          }  // end obj Window D
   object { Plank_C
            texture { DMFWood5
                      turbulence 0.5
                      scale < 5 30 2 >
                      rotate < 45 0 0 > }
            scale < 2.75 10 1 >
            translate < 15.5 10 0 >           //right of window
          } //end Plank C
   object { Plank_C
            texture { DMFWood5
                      turbulence 0.5
                      scale < 5 10 3 >
                      rotate < 80 0 0 > }
            scale < 2.75 10 1 >
            translate < 4.5 10 0 >            //left of window
          } //end Plank C
   object { Plank_C
            texture { DMFWood5
                      turbulence 0.3
                      scale < 9 7 9 >
                      rotate < 85 0 0 > }
            scale < 3.4 5.5 1 >
            translate < 10 5.5 0 >          //panel below window
          } //end Plank C
          } // end composite Panel W2C

/* ********************************************************************* */

// DEFINE   Wing Two version of Wall A section, 20x20, plain
//          W2D modified to allow doorways        21 Sept 97

#declare Panel_W2D =
composite {
   object { Beam_A                     // top
            scale < 1.25 1.25 1.2 >
            rotate < 0 90 0 >
            translate < 10 20 0 >
          } // end object Beam A
   object { Beam_A                     // bottom
            scale < 1.25 0.5 1.2 >
            rotate < 0 90 0 >
            translate < 10 0.25 0 >
          } // end object Beam A
   object { Beam_A                     // left
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 20 10 0 >
          } // end object Beam A

   object { Plank_C                    //left of door panel
            texture { DMFWood5
                      turbulence 0.5
                      scale < 7 6 2 >
                      rotate < 5 0 0 > }
            scale < 5.2 10 1 >
            translate < 7 10 0 >
          } //end Plank C
   object { Plank_C                    //right of door panel
            texture { DMFWood5
                      turbulence 0.5
                      scale < 7 6 2 >
                      rotate < 5 0 0 > }
            scale < 1 10 1 >
            translate < 18 10 0 >
          } //end Plank C
   object { Plank_C                    //above door panel
            texture { DMFWood5
                      turbulence 0.5
                      scale < 2 16 2 >
                      rotate < 5 0 0 > }
            scale < 2.5 4.5 1 >
            translate < 15 13.5 0 >
          } //end Plank C

   object { Beam_C                     // door lintel
            scale < 1 2.5 1 >
            rotate < 0 0 90 >
            translate < 15 10 0 >
          } // end object Beam C
   object { Beam_C                     // left of doorway
            scale < 0.5 10 1 >
            translate < 12.5 10 0 >
          } // end object Beam C
   object { Beam_C                     // right of doorway
            scale < 0.5 10 1 >
            translate < 17.5 10 0 >
          } // end object Beam C
          } // end composite Panel W2D

/* ********************************************************************* */

// DEFINE   Wide 40x20 wall: WING TWO 2nd story   *****

#declare Panel_W2Wide =
composite {
   object { Beam_A                     // left/south
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right/north
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 40 >
          } // end object Beam A
   object { Beam_D                     // top
            scale < 0.8 1 0.4 >
            rotate < 90 0 0 >
            translate < 0 19.5 20 >
          } // end object Beam D
   object { Beam_D                     // bottom
            scale < 0.8 1 0.2 >
            rotate < 90 0 0 >
            translate < 0 0.4 20 >
          } // end object Beam D
   object { Plank_Blood                // left of door panel
            scale < 7 10 1.5 >
            rotate < 0 90 0 >
            translate < 0 10 8 >
          } // end object Plank Blood
   object { Plank_Blood                // right of door panel
            scale < 7 10 1.5 >
            rotate < 0 -90 0 >
            translate < 0 10 32 >
          } // end object Plank Blood
   object { Window_D                   // window panel above doorway
            scale < 4.5 4 1 >
            rotate < 0 90 0 >
            translate < 0 15 20 >
            color Green
          } // end object Window D
   object { Beam_D                     // lower left of doorway
            scale < 0.8 0.5 0.5 >
            translate < 0 10 15 >
          } // end object Beam D
   object { Beam_D                     // lower right of doorway
            scale < 0.8 0.5 0.5 >
            translate < 0 10 25 >
          } // end object Beam D
   object { Beam_D                     // door lintel
            scale < 0.8 0.3 0.45 >
            rotate < 90 0 0 >
            translate < 0 10 20 >
          } // end object Beam D
/*
   composite { Door_East_Half          //one half of door
               translate < 0 0 20 > }
   composite { Door_East_Half
               translate < -4 0 40 > }  //the other half
*/
          }  //  end composite Panel_W2Wide

/* ********************************************************************* */

// DEFINE   Wide 40x20 wall: WING TWO 2nd story w/ big window  *****

#declare Panel_W2Wide_B =
composite {
   object { Beam_A                     // left/south
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right/north
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 40 >
          } // end object Beam A
   object { Beam_D                     // top
            scale < 0.8 1 0.4 >
            rotate < 90 0 0 >
            translate < 0 19.5 20 >
          } // end object Beam D
   object { Beam_D                     // bottom
            scale < 0.8 1 0.2 >
            rotate < 90 0 0 >
            translate < 0 0.4 20 >
          } // end object Beam D
   object { Plank_Blood                // left side
            scale < 5 10 1.5 >
            rotate < 0 90 0 >
            translate < 0 10 6 >
          } // end object Plank Blood
   object { Plank_Blood                // right side
            scale < 5 10 1.5 >
            rotate < 0 90 0 >
            translate < 0 10 34 >
          } // end object Plank Blood
   object { Plank_C                    //below window
            texture { DMFWood5
                      turbulence 0.5
                      scale < 2 16 2 >
                      rotate < 5 0 0 > }
            scale < 10 1.25 1 >
            rotate < 0 90 0 >
            translate < 0 1.5 20 >
          } //end Plank C
   composite { Big_Window_A
               rotate < 0 90 0 >
               translate < 0 0 20 >
             } // end composite Big Window
          }  //  end composite Panel_W2Wide_B

/* ********************************************************************* */

#declare Rafters_A =                   // Ceiling rafters
composite {
   object { Beam_C                     // left end z-axis beam
            scale < 1 1 11 >
            translate < 0 20 0 >         //centered above 0 0 0
          } // end object Beam C
   object { Beam_C                     // +10x
            scale < 1 1 10 >
            translate < 10 20 0 >
          } // end object Beam C
   object { Beam_C                     // +10x more
            scale < 1 1 10 >
            translate < 20 20 0 >
          } // end object Beam C
   object { Beam_C                     // etc. ...
            scale < 1 1 10 >
            translate < 30 20 0 >
          } // end object Beam C
   object { Beam_C                     //
            scale < 1 1 10 >
            translate < 40 20 0 >
          } // end object Beam C
   object { Beam_C                     // 
            scale < 1 1 10 >
            translate < 50 20 0 >
          } // end object Beam C
   object { Beam_C                     //
            scale < 1 1 10 >
            translate < 60 20 0 >
          } // end object Beam C
   object { Beam_C                     //
            scale < 1 1 10 >
            translate < 70 20 0 >
          } // end object Beam C
   object { Beam_C                     // right end beam
            scale < 1 1 11 >
            translate < 80 20 0 >
          } // end object Beam C

   object { Beam_C                     // cross rafters x-axis beam
            scale < 1 1 40 >
            rotate < 0 90 0 >
            translate < 40 20 10 >
          } // end object Beam C
   object { Beam_C                     //
            scale < 1 1 40 >
            rotate < 0 90 0 >
            translate < 40 20 -10 >
          } // end object Beam C
          } // end composite Rafters_A

/* ********************************************************************* */
//                           Our_House Definitions                       //
/* ********************************************************************* */
//                                  Wing_Two                             //
/* ********************************************************************* */

// DEFINE  North Wing: Double wide/long version of Wing 1            *****

#declare Wing_Two =
composite {
                                       // Building frame             *****
//   composite { Rafters_A  translate < 0 0 30 > } //ceiling
//   composite { Rafters_A  translate < 0 0 10 > } //ceiling

   composite { Panel_W2Wide }          //North (West) wall           *****

   composite { Panel_W2Wide            //South (East) wall           *****
               translate < 60 0 0 > }

   composite { Panel_W2C               // South Wall                 *****
               translate <  0 0 0 > }       //wall w/window
   composite { Panel_W2D
               translate < 20 0 0 > }       //paneled wall
   composite { Panel_W2C
               translate < 40 0 0 > }       //wall w/window

   composite { Panel_W2C               // North Wall                 *****
               translate <  0 0 40 > }      //wall w/window
   composite { Panel_W2D
               translate < 20 0 40 > }      //paneled wall
   composite { Panel_W2C
               translate < 40 0 40 > }      //wall w/window

   composite { Atrium_Stairs_B         //W_2 stairs                  *****
               scale < 0.5 0.6 0.25 >
               rotate < 0 180 0 >
               translate < 50 -1.5 20 > }
   composite { Atrium_Stairs_B         //W_2 stairs
               scale < 0.5 0.6 0.25 >
               translate < 10 -1.5 20 > }

   object    { Atrium_Balcony          // W_2 north balcony          *****
               scale < 2.5 0.5 7.5 >
               translate < 4 10 20 > }
   object    { Atrium_Balcony          // W_2 west balcony
               scale < 30 0.5 7.5 >
               translate < 30 10 32.5 > }
   object    { Atrium_Balcony          // W_2 east balcony
               scale < 30 0.5 7.5 >
               translate < 30 10 7.5 > }

   composite { Balcony_Rail_A          // W_2 west balcony           *****
               translate < 0 10 25 > }
   composite { Balcony_Rail_A          // W_2 east balcony
               translate < -10 10 15 > }

   object    { Atrium_Floor            // the Floor                  *****
               scale < 30.2 0.5 20.2>
               translate < 30 0 20 > }

/*
   object    { Roof_B                  // Roof slab                  *****
               texture { spural_texture
                         turbulence 1.0
                         reflection 0.0
                         scale < 0.5 1 0.5 >
                         rotate < 0 90 -10 > }
               scale < 3.3 1.25 2.5 >  //a bit larger than Wing
               translate < 30 20 20 >
               color Cyan
             } //end Roof of Wing

   composite { FirePlace_A                                           *****
               scale < 1 1 1 >
               translate < 30 0 35 > } // cntr north wall Wing 1

   object { light_source { W2_Spot1 } }     // down stairs under loft
   object { light_source { W2_Spot2 } }
   object { light_source { W2_Spot3 } }
   object { light_source { W2_Spot4 } }
   object { light_source { W2_Spot5 } }
   object { light_source { W2_Spot6 } }
*/
   object { light_source { W2_Spot7 } }     // up stairs near roof
   object { light_source { W2_Spot8 } }
   object { light_source { W2_Spot9 } }
   object { light_source { W2_Spot10 } }
   object { light_source { W2_Spot11 } }
   object { light_source { W2_Spot12 } }

          }  // end composite Wing_Two

/* ********************************************************************* */
/* END OF  INTERIOR.INC edited down from ROOMS.INC   FILE     ********** */
/* ********************************************************************* */
