/* ********************************************************************* */
//   Filename: INTERIOR.POV                                  25 Sept 97  //
//   Michael Brendan Hurley      for     ShadowDancer Enterprizes, LTD.  //
//   HOUSE 00: Master copy of Our_House script              May-Sept 97  //
//   from WINGTEST.POV                                       25 Sept 97  //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
//#include "rooms.inc"                   // Textures, Complex Objects
#include "interior.inc"                // specific to this image only

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.6 } }   // ambient light

/* ********************************************************************* */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 6000 }
         texture { White_Tex
                   ambient 1.0
                   diffuse 0.0
                 }  //end texture
         color White
/*
         texture { Bright_AquaBlue
                   scale < 1300 300 444 >
                   ambient 1.0
                   diffuse 0.0
                 }  //end texture
*/
       }  //end object Sky

/* ********************************************************************* */
/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
   direction <   0  0  1.5 >
   location  < 101 16 31 >           //interior  looking west INTR_01.TGA
   look_at   <   0  5 40 >           //cntr Wing 2
       }  //end of camera Test View

/* ********************************************************************* */
// DEFINE SCENE  *****       Our_House Test Scene Definition       ***** //
/* ********************************************************************* */

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES
/* ********************************************************************* */

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
//object { light_source { FloodSE2 } }   // high flood light
//object { light_source { FloodSW2 } }   // high flood light
//object { light_source { FloodNE2 } }   // high floor light
//composite { Flood_Bank1 }                 //pseudo sun

/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA
/* ********************************************************************* */

camera { TestView }                    // Variable with each view
//camera { WayOverHigh }                 // < 0 1000 -1 >
//camera { OverHigh }                    // < 0 650 -1 >
//camera { OverMed }                     // < 0 300 -1 >
//camera { OverLow }                     // < 0 100 -1 >
//camera { South1 }                      // <   0 20 -50 >
//camera { West1 }                       // < -50 20   0 >
//camera { North1 }                      // <   0 20  50 >
//camera { East1 }                       // <  50 20   0 >

/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE Our_House SCENE
/* ********************************************************************* */

object { Test_Floor  texture { Gray75_Tex } } // end Test Floor

composite { Wing_Two                   // north wing                 *****
            scale < 2 1 2 > }  //2x size non-rotated position

/* ********************************************************************* */
/* ********************************************************************* */

/*      STORAGE   *****
object { Test_Floor
         texture { Chex_Tex }
//         texture { Gray75_Tex }
//         texture { Grass }
       }                               //  end Test Floor
composite { Grid_Zero  translate < 0 0 0> }
composite { Grid_Plus  translate < 0 0 0> }
composite { Grid_Up    translate < 0 0 0> }

composite { Push_Pin  translate <  20 0 15 > } //light locales
composite { Push_Pin  translate <  20 0 65 > }
composite { Push_Pin  translate < 100 0 15 > }
composite { Push_Pin  translate < 100 0 65 > }
composite { Push_Pin  translate <  60 0 15 > }
composite { Push_Pin  translate <  60 0 65 > }

composite { Wing_One  }                // east wing + ramada         *****

composite { Wing_Two_Up                // north wing                 *****
            scale < 2 1 1 >
            translate < -80 20 160 > }      // 2nd. story

composite { Round_Colonade
            translate < -100 0 120 > }      //to link with Wing Two
composite { Round_Colonade
            translate < -100 0 100 > }       //         "
composite { Round_Rafters
            translate < -100 0 100 > }       //         "
composite { Round_Rafters
            translate < -100 0 110 > }       //         "
*/     //END STORAGE                                                 *****

/* ********************************************************************* */
/* END OF   Wing Test   FILE                          ****************** */
/* ********************************************************************* */