/* ********************************************************************* */
/*    Filename: ROOMS.INC               #include file of declarations    */
/*                  Assorted Objects, FXs, and Textures                  */
/*                      for use in Our_House scenes                      */
/* Michael Brendan Hurley                            Spring 97  Ver. 1.0 */
/* from CHAMBERS.INC                                  1 APR 97  Ver. 2.2 */
/* ROOMS.INC                                        25 SEPT 97  Ver. 2.0 */
/* ********************************************************************* */

//#include "towers.inc"                  //definitions of assorted towers

/* ********************************************************************* */
//                            Object Definitions                         //
/* ********************************************************************* */
//                   Basic Structural Components of Rooms                //
/* ********************************************************************* */
//                        Our Hourse Interior Lights                     //
/* ********************************************************************* */

/*

#declare FireSpot3 =
light_source {
   < 10 15 0 >                         // from east
   color White
   spotlight
   point_at < 0 0 0 >                  // world center
   tightness 20
   radius 40
   falloff 25 }  // end of TestSpot 3

/* ********************************************************************* */

#declare FireSpot4 =
light_source {
   < -10 15 0 >                        // from west
   color White
   spotlight
   point_at < 0 0 0 >                  // world center
   tightness 15
   radius 30
   falloff 30 }  // end of TestSpot 4

/* ********************************************************************* */

#declare FireSpot5 =
light_source {
   < 0 15 10 >                         // from north
   color White
   spotlight
   point_at < 0 0 0 >                  // world center
   tightness 15
   radius 30
   falloff 20 }  // end of TestSpot 5

/* ********************************************************************* */

#declare HallSpot1 =
light_source {
   < -30 19 50 >
   color White
   spotlight
   point_at < -10 10 50 >
   tightness 5
   radius 10
   falloff 5
             }  // end of HallSpot 1

/* ********************************************************************* */

#declare HallSpot2 =
light_source {
   < -10 19 50 >
   color White
   spotlight
   point_at < -30 10 50 >
   tightness 5
   radius 10
   falloff 5
             }  // end of HallSpot 2

/* ********************************************************************* */
/*                          Atrium Interior Lights                       */
/* ********************************************************************* */

#declare AtriumSpot1 =
light_source {
   < -30 18 10 >                       //sw corner atrium
   color White
   spotlight
   point_at < -30 0 10 >
   tightness 15
   radius 20
   falloff 20
             }  // end of Atri Intr Spot 1

/* ********************************************************************* */

#declare AtriumSpot2 =
light_source {
   < -10 18 10 >                       //se corner atrium
   color White
   spotlight
   point_at < -10 0 10 >
   tightness 15
   radius 20
   falloff 20
             }  // end of Atri Intr Spot 2

/* ********************************************************************* */

#declare AtriumSpot3 =
light_source {
   < -10 18 30 >                       //ne corner atrium
   color White
   spotlight
   point_at < -10 0 30 >
   tightness 15
   radius 20
   falloff 20
             }  // end of Atri Intr Spot 3

/* ********************************************************************* */

#declare AtriumSpot4 =
light_source {
   < -30 18 30 >                       //nw corner atrium
   color White
   spotlight
   point_at < -30 0 30 >
   tightness 15
   radius 20
   falloff 20
             }  // end of Atri Intr Spot 4

/* ********************************************************************* */

#declare AtriumSpot5 =
light_source {
   < -22 38 18 >                       //sw center atrium
   color White
   spotlight
   point_at < -22 0 18 >
   tightness 20
   radius 30
   falloff 40
             }  // end of Atri Intr Spot 5

/* ********************************************************************* */

#declare AtriumSpot6 =
light_source {
   < -18 38 18 >                       //se center atrium
   color White
   spotlight
   point_at < -18 0 18 >
   tightness 20
   radius 30
   falloff 40
             }  // end of Atri Intr Spot 6

/* ********************************************************************* */

#declare AtriumSpot7 =
light_source {
   < -22 38 18 >                       //ne center atrium
   color White
   spotlight
   point_at < -22 0 18 >
   tightness 20
   radius 30
   falloff 40
             }  // end of Atri Intr Spot 7

/* ********************************************************************* */

#declare AtriumSpot8 =
light_source {
   < -22 38 22 >                       //nw center atrium
   color White
   spotlight
   point_at < -22 0 22 >
   tightness 20
   radius 30
   falloff 40
             }  // end of Atri Intr Spot 8

/* ********************************************************************* */

#declare AtriumSpot9 =
light_source {
   < -20 38 36 >                       //n wall center atrium
   color White
   spotlight
   point_at < -20 0 36 >
   tightness 15
   radius 20
   falloff 20
             }  // end of Atri Intr Spot 9

/* ********************************************************************* */

#declare AtriumSpot10 =
light_source {
   < -36 38 20 >                       //w wall center atrium
   color White
   spotlight
   point_at < -36 0 20 >
   tightness 15
   radius 20
   falloff 20
             }  // end of Atri Intr Spot 10

/* ********************************************************************* */

#declare AtriumSpot11 =
light_source {
   < -20 38 4 >                        //s wall center atrium
   color White
   spotlight
   point_at < -20 0 4 >
   tightness 15
   radius 20
   falloff 20
             }  // end of Atri Intr Spot 11

/* ********************************************************************* */

#declare AtriumSpot12 =
light_source {
   < -4 38 20 >                        //e wall center atrium
   color White
   spotlight
   point_at < -4 0 20 >
   tightness 15
   radius 20
   falloff 20
             }  // end of Atri Intr Spot 12

/* ********************************************************************* */
/*                         Our House Exterior Lights                     */
/* ********************************************************************* */

//   DEFINE   A Lamp Post

#declare LampPost_A =
composite {
   object { intersection { UCone }
            texture { Brass_Texture }
            color Red
            scale < 3 3.5 3 >
            translate < 0 2 0 > }
   object { Planet_Blank
            texture { Brass_Texture }
            color Green
            scale < 1.25 1.25 1.25 >
            translate < 0 1.5 0 > }
   object { Pillar_Plain
            texture { Brass_Texture }
            color Blue
            scale < 0.7 5 0.7 >
            translate < 0 7 0 > }
   object {                            // sphere as light source
      union {
         sphere { < 0 0 0 > 1 } // end sphere
         light_source { < 0 0 0 > color White } // end light source
            } // end union sphere/light
      texture { Yellow_Tex ambient 1 diffuse 0.5 }
      no_shadow
      color Yellow
      scale < 1.5 1.5 1.5 >
      translate < 0 13 0 >
            } // end obj union lamp
          } // end composite Lamp Post

/* ********************************************************************* */

//   DEFINE   A Wall Lamp

#declare WallLamp_A =
composite {
   object {                            // sphere as light source
      union {
         quadric { Ellipsoid }   //end of obj sphere
         light_source { < 0 0 0 > color White } // end light source
            } // end union sphere/light
      texture { Yellow_Tex ambient 1 diffuse 0.5 }
      no_shadow
      color Yellow
      scale < 1 1 1 >
      translate < 0 5 0 >
            } // end obj union lamp
   object { Box_Plain
            texture { DMFWood2 }
            scale < 1.5 1.5 0.5 >
            translate < 0 5 1 >
          } //end object Lamp Base
          } // end composite Wall Lamp A

/* ********************************************************************* */
//                              Define Floors                            //
/* ********************************************************************* */

//  DEFINE  a tiled Floor

#declare Tiled_Floor1 =
object {
   plane { <0.0 1.0 0.0> 0 }
   texture {
     tiles {
       texture { spural_texture }
     tile2
       texture { Grnt15b }
           }  //end of tiles
     reflection 0.5
     specular 0.5
           }  //end of texture
   scale < 5 1 5 >
   translate < 0 0.3 0 >
   color Red
   bounded_by { box { UnitBox
                      scale < 20.05 0.05 15.05 > }
              }  // end bounding
       }  //end of Tiled Floor 1

/* ********************************************************************* */

//  DEFINE  a tiled Floor

#declare Tiled_Floor2 =
object {
   plane { <0.0 1.0 0.0> 0 }
   texture {
     tiles {
       texture { spural_texture }
     tile2
       texture { Grnt15b }
           }  //end of tiles
     reflection 0.5
     specular 0.5
           }  //end of texture
   scale < 5 1 5 >
   translate < 0 0.3 0 >
   color Green
   bounded_by { box { UnitBox
                      scale < 10.05 0.05 60.05 > }
              }  // end bounding
       }  //end of Tiled Floor 2

*/

/* ********************************************************************* */
//                          Define Basic Shapes                          //
/* ********************************************************************* */

#declare Arch_Plain =                  // Arch C revised 22 Apr 97
object {                               
   intersection {                           
      quadric { Cylinder_X scale < 1 1 1 > }
      quadric { Cylinder_X scale < 0.75 0.75 0.75 > inverse }
      plane { <  5.0  0.0  0.0 > 1.0 }
      plane { < -5.0  0.0  0.0 > 1.0 }
      plane { <  0.0 -1.0  0.0 > 0.0 }
                 } //end intersection
   color Coral
       } // end object Arch_Plain

/* ********************************************************************* */

#declare Arch_Y =                      // Arch C revised 28 Apr 97
object {
   intersection {
      quadric { Cylinder_Y scale < 1 1 1 > }     //thickness of wall=0.2
      quadric { Cylinder_Y scale < 0.9 0.9 0.9 > inverse }
      plane { <  0.0  1.0  0.0 > 1.0 }           //
      plane { <  0.0 -1.0  0.0 > 1.0 }
      plane { < -5.0  0.0  0.0 > 0.0 }
                 } //end intersection
   color Gold
       } // end object Arch_Y

/* ********************************************************************* */

#declare Arch_Y2 =                     // Arch Y revised for Window  Apr 97
object {
   intersection {
      quadric { Cylinder_Y scale < 1 1 1 > }     //thickness of wall=0.01
      quadric { Cylinder_Y scale < 0.99 0.99 0.99 > inverse }
      plane { <  0.0 0.0 1.0 >  1.0 }           //
      plane { <  0.0 0.0 1.0 > -1.0 }
      plane { < -1.0 0.0 0.0 >  0.0 }
                } //end intersection
   color Aquamarine
       } // end object Arch_Y2

/* ********************************************************************* */

//  DEFINE   Box scaled to produce a perfect 1x1x1 unit image

#declare Beam_Plain =                  
object { box { UnitBox
               scale < 0.5 0.5 0.5 > }
         color Aquamarine
       } // end object Beam Plain

/* ********************************************************************* */

#declare Beam_A =                      //wooden beam
object { box { UnitBox
               scale < 1.25 1.25 10 > }
         texture { DMFWood3
                   turbulence 1.5
                   scale < 2 2 20 >
                   rotate < 10 0 5 >
                 } //end texture
         color Brown
       } // end object Beam A

/* ********************************************************************* */

#declare Beam_B =                      //wooden beam
object { box { UnitBox
               scale < 5 0.25 1 > }
         texture { DMFWood3
                   turbulence 1.0
                   scale < 1 1 10 >
                   rotate < 15 0 5 >
                 } //end texture
         color Red
       } // end object Beam B

/* ********************************************************************* */

#declare Beam_C =                      //wooden ceiling beam
object { box { UnitBox
               scale < 1 1 1 > }
         texture { oak
                   scale < 2 2 2 >
                   rotate < 30 0 15 > }
         color Blue
       } // end object Beam C

/* ********************************************************************* */

#declare Beam_D =                      //two-story Atrium beam
object { box { UnitBox
               scale < 2 20 2 > }
         texture { DMFWood5
                   scale < 3 3 3 >
                   rotate < 10 0 -15 > }
         color Brown
       } // end object Beam D

/* ********************************************************************* */

#declare Plank_A =                     // 10 units tall
object { Box_Plain
         scale < 1 10 1 >
         color Yellow
       } //end Plank A

/* ********************************************************************* */

#declare Plank_B =                     // 1.1 units tall
object { Box_Plain
         scale < 1 1.1 1 >
         color Magenta
       } //end Plank B

/* ********************************************************************* */

#declare Plank_C =                     // 1x1x1 cube
object { Box_Plain
         scale < 1 1 1 >
         color SkyBlue
       } //end Plank C

/* ********************************************************************* */

#declare Plank_K =                     //generic plank 5x15x0.25
   object { Box_Plain
            scale < 5 15 0.25>
            color SeaGreen
          } // end object Plank K

/* ********************************************************************* */

#declare Plank_Blood =
object { Box_Plain
         scale < 1 1 1 >
         texture { Blood_Sky
                   turbulence 2.3
                   scale <5 1.75 0.75 >
                  } //end tex
         color Red
        } // end object Plank Blood

/* ********************************************************************* */

#declare Window_A =                    //standard 3x4y window
object { box { UnitBox
               scale < 3 4 1 > }
         texture { Glass_A }
         color Green
       }  // end obj Window

/* ********************************************************************* */

#declare Window_B =                    //20x wide picture window
object { box { UnitBox
               scale < 20 4.5 1 > }
         texture { Glass_A }
         color Green
       }  // end obj Window

/* ********************************************************************* */

#declare Window_C =                    //10x20y picture window
object { box { UnitBox
               scale < 7.5 10 0.25 >
               rotate < 0 90 0 > }
         texture { Glass_A }
         color Green
       }  // end obj Window

/* ********************************************************************* */

#declare Window_D =                    //basic 1x1y square window
object { box { UnitBox
               scale < 1 1 0.25 > }
         texture { Glass_A }
         color Green
       }  // end obj Window

/* ********************************************************************* */

#declare Big_Window_A =
composite {
   object { Beam_C                     // Window sashes:
            scale < 10 1 1 >
            translate < 0 18 0 >            //top molding
          } // end Beam C
   object { Beam_C
            scale < 10 1 1 >
            translate < 0 3.25 0 >          //bottom molding
          } // end Beam C
   object { Beam_C
            scale < 1 7.8 1 >
            rotate < 0 90 0 >
            translate < -9 10 0 >           //left molding
          } // end Beam C
   object { Beam_C
            scale < 1 7.8 1 >
            rotate < 0 90 0 >
            translate < 9 10 0 >            //right molding
          } // end Beam C
   object { Window_D                   //Window
            scale < 9 8 1 >
            translate < 0 11 0 >
          }  // end obj Window D
          } // end composite Big Window A

/* ********************************************************************* */
//                           Furnishings                                 //
/* ********************************************************************* */

/*
#declare Picture_A =
object {
   box { UnitBox scale < 2 2.3 0.2 > } //wall size scale
   texture { White_Tex }
   texture {
      image_map { <1 -1 0> gif "art1.gif"  /* x-y oriented bitmap */
                  once
                  interpolate 2
                } //end image map
      translate < -0.5 -0.5 0 >        // Center image
      scale < 4.5 4.5 1 >              // Scale to fit scene
           } // end texture
       }  // end object Picture A

/* ********************************************************************* */

#declare Pic_Frame_A =                 // scaled to Picture A:
composite {                            //    Wing 1 fireplace mantle
   object { Picture_A }
   object { Beam_C
            scale < 2 0.25 0.25 >
            translate < 0 2 0 >             //top molding
          } // end Beam C
   object { Beam_C
            scale < 2 0.25 0.25 >
            translate < 0 -2 0 >            //bottom molding
          } // end Beam C
   object { Beam_C
            scale < 0.25 2.25 0.25 >
            rotate < 0 90 0 >
            translate < -2 0 0 >            //left molding
          } // end Beam C
   object { Beam_C
            scale < 0.25 2.25 0.25 >
            rotate < 0 90 0 >
            translate < 2 0 0 >             //right molding
          } // end Beam C
          } // end composite Picture Frame A

/* ********************************************************************* */

#declare Picture_B =
object {
   box { UnitBox scale < 5.5 3.5 0.01 > }   //wall size scale
   texture { White_Tex }
   texture {
      image_map { < 1 -1 0 > gif "gemstar3.gif"
                  once
                  interpolate 2
                } //end image map
      translate < -0.5 -0.5 0 >        // Center image
      scale < 10.9 6.9 1 >             // Scale image to fit Box
           } // end texture
   rotate < 90 0 0 >                   // to lay on floor
   scale < 1.5 1.5 1 >                 // enlarge whole object
       }  // end object Picture B

/* ********************************************************************* */

#declare Picture_C =
object {
   box { UnitBox scale < 10 10 1 > }   //wall size scale
   texture { White_Tex }
   texture {
      image_map { < 1 -1 0 > gif "popcorn1.gif"
                  once
                  interpolate 2
                } //end image map
      translate < -0.5 -0.5 0 >        // Center image
      scale < 20 20 1 >                // Scale image to fit Box
           } // end texture
       }  // end object Picture C

/* ********************************************************************* */

#declare Picture_D =
object {
   box { UnitBox scale < 10 10 1 > }   //wall size scale
   texture { White_Tex }
   texture {
      image_map { < 1 -1 0 > gif "orchid.gif"
                  once
                  interpolate 2
                } //end image map
      translate < -0.5 -0.5 0 >        // Center image
      scale < 20 20 1 >                // Scale image to fit Box
           } // end texture
       }  // end object Picture C

/* ********************************************************************* */

// DEFINE  Fire Place

#declare FirePlace_A =
composite {
   object {                            // Fire box
      difference { intersection { Cube                //Outside box
                                  scale < 10.0 4.0 5.0 > }
                   intersection { Cube                // Inside box
                                  scale < 8.0 4.5 4.0 > }
                 } //end diference
      texture { Grnt20 }
      scale < 1 1 1 >
      rotate < -90 0 0 >
      translate < 0.0 5 0.0 >
      color DarkTurquoise
          } // end object              
   object { Box_Plain                  // Rear Wall
            texture { Grnt20 }
            scale < 10 5 0.5 >
            translate < 0 5 4.1 >
            color Red
         }  // end obj Box             
   object { Box_Plain                  // Fire floor
            texture { Grnt20 }
            scale < 11 1 8 >
            color Yellow
          }  // end obj Box            
   object { Box_Plain                  // Base platform
            texture { Grnt20 }
            scale < 10 2 7 >
            color Green
          }  // end obj Box            
   object { box { UnitBox              // Chimney
                  scale < 1 1 1 > }
            texture { Grnt20
                      rotate < 10 0 20 > }
            scale < 7 15 3 >
            translate < 0 15 5 >
            color CadetBlue
          } // end object
          }  // end composite Fire Place A

/* ********************************************************************* */

// DEFINE  Door_Half:  half of double swinging door

#declare Door_Half =
composite {
   object { Plank_C                    // large door panel
            texture { DMFWood2
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 1.7 4.5 0.4 >      //to fit openning
            rotate < 0 0 0 >                //close the door
            translate < 0 4.6 0 >           //close the door
            color Blue
          } // end object Plank C
   object { Plank_C                    // smaller door panel
            texture { Dark_Wood
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 1.5 4.2 0.5 >      //adjust to less than above
            rotate < 0 0 0 >                //close the door
            translate < 0 4.6 0 >           //close the door
            color Green
          } // end object Plank C
          }  //  end composite Door Half

/* ********************************************************************* */

// DEFINE  Front Door with frame and trim

#declare Front_Door =                  //centered on < 0 4.75 0 >
composite {
   object { Beam_D                     // lower left of door
            scale < 0.75 0.5 1 >
            translate < -5 10 0.45 >
          } // end object Beam D
   object { Beam_D                     // lower right of door
            scale < 0.75 0.5 1 >
            translate < 5 10 0.45 >
          } // end object Beam D
   object { Plank_C                    // panel above door
            texture { pop_wood
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 4 5 0.25 >
            translate < 0 14 -0.5 >
            color Green
          } // end object Plank C
   object { Beam_D                     // door lintel
            scale < 0.5 0.5 0.5 >
            rotate < 0 0 90 >
            translate < 0 10 0 >
          } // end object Beam D
   composite { Door_Half               //one half of door
               translate < 1.6 0 0 > }
   composite { Door_Half
               translate < -1.6 0 0 > }//the other half
          }  //  end composite Front Door

/* ********************************************************************* */

#declare Hyper_Pillar =
composite {
   object {                            // hyperbolic pillar
   intersection {
      quadric { Hyperboloid_Y
                texture { Dark_Wood
                          scale < 1 0.2 1 >
                          rotate < 0 0 90 >
                        }  //end texture
                scale < 0.25 1 0.25 >
              }  //end quadric
      plane { < 0 1 0 >  5 }           // upper cap on shape
      plane { < 0 1 0 > -5 inverse }   // lower cap on shape
                }  //end of intersection
      color Yellow
          }  //end obj Pillar
   object {                            // bottom box
      box { UnitBox
            texture { Dark_Wood
                      scale < 0.5 2 1 >
                      rotate < 0 0 88 >
                    }  //end texture
            scale < 1.5 0.25 1.5 >
            translate < 0 -5 0 >
           }  //end obj UnitBox
      color Green
           }  //end obj Box Bottom
   object {                            // top box
      box { UnitBox
            texture { Dark_Wood
                      scale < 4 2 1 >
                      rotate < 88 0 0 >
                    }  //end texture
            scale < 1.5 0.25 1.5 >
            translate < 0 5 0 >
          }  //end obj UnitBox
      color Blue
          }  //end obj Box Top
   bounded_by { box { UnitBox
                      scale < 3.5 5.5 3.5 > } } // end bounding
          }  //end composite Hyper Pillar

/* ********************************************************************* */

//   DEFINE   A Wall Lamp

#declare WallLamp_A =
composite {
   object {                            // sphere as light source
      union {
         quadric { Ellipsoid }   //end of obj sphere
         light_source { < 0 0 0 > color White } // end light source
            } // end union sphere/light
      texture { Yellow_Tex ambient 1 diffuse 0.5 }
      no_shadow
      color Yellow
      scale < 1 1 1 >
      translate < 0 5 0 >
            } // end obj union lamp
   object { Box_Plain
            texture { DMFWood2 }
            scale < 1.5 1.5 0.5 >
            translate < 0 5 1 >
            color Brown
          } //end object Lamp Base
          } // end composite Wall Lamp A

/* ********************************************************************* */

//  DEFINE  An abstract sculpture

#declare Sculpture_One =
composite {
composite { Tower_A
            scale < 1.2 1.2 1.2 >
            translate < -8 0 34 > }
composite { Tower_A
            scale < 0.85 0.85 0.85 >
            translate < -12 0 32 > }
composite { Tower_A
            scale < 0.65 0.65 0.65 >
            translate < -9 0 30 > }
object    { Planet_Mirror
            translate < -13 0.75 27 > }
object    { Box_Plain                  // pedistal
            texture { Iris }
            scale < 6 1 6 >
            translate < -10 0 30 >
            color MediumBlue }
          } // end composite Tubes Sculpture 1

/* ********************************************************************* */

#declare Sculpture_Two =
composite {
object {
   intersection { Pyramid2_A }
   texture { DMFWood4 }
   scale < 3 4 3 >
   rotate < 15 80 -50 >
   translate < -10 4 30 >
       } //end obj Pyramid
object    { Box_Plain                  // pedistal
            texture { Iris }
            scale < 6 1 6 >
            translate < -10 0 30 >
            color MediumBlue }
          } // end composite Tubes Sculpture 2

/* ********************************************************************* */
//                           Stairs, Railings                            //
/* ********************************************************************* */

//  DEFINE  diaganal half cube to support stairs

#declare StairBlock =                  //box with beveled front edge
object {
   difference {
      intersection {
         intersection { Cube scale < 2 2 2 > }
         plane { < 0 1 0> 0
                 scale < 2 2 2 >
                 rotate < -45 0 0 >    //45 degree cut from front edge
               } //end plane
                   } //end intersection
              } //end difference
   texture { Gray15_Tex }
   scale < 2 9 9 >
   translate < 0 0 -0.5 >
   color Green
       }  // end object Stair Block

/* ********************************************************************* */

#declare Stairway_A =                  // 45o slope stairs
composite {
   object { box { UnitBox                   //bottom step
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 1 0 >
                  color Green }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 2.5 1.5 >
                  color Red }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 4 3 >
                  color Yellow }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 5.5 4.5 >
                  color Blue }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 7 6 >
                  color Orange }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 8.5 7.5 >
                  color Green }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 10 9 >
                  color Red }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 11.5 10.5 >
                  color Yellow }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 13 12 >
                  color Blue }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 14.5 13.5 >
                  color Orange }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 16 15 >
                  color Green }
                } //end obj Step
   object { box { UnitBox
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 17.5 16.5 >
                  color Red }
                } //end obj Step
   object { box { UnitBox                   //top
                  texture { Gray15_Tex }
                  scale < 6 1 1 >
                  translate < 0 19 18 >
                  color Yellow }
                } //end obj Step
          }  //  end composite  Stairway A

/* ********************************************************************* */

#declare Stairway_B =                  //right angle to Stairs A
composite {
   object { box { UnitBox              //3rd step, top
                  texture { Gray15_Tex }
                  scale < 7 2.5 3 >
                  translate < -1 2 1 >
                  color Cyan }
                } //end obj Step
   object { box { UnitBox              //2nd, middle
                  texture { Gray15_Tex }
                  scale < 1.5 2 2.5 >
                  translate < -8 1.5 1 >
                  color Brown }
                } //end obj Step
   object { box { UnitBox              //1st, bottom
                  texture { Gray15_Tex }
                  scale < 1 1 2.5 >
                  translate < -10 1 1 >
                  color Blue }
                } //end obj Step
          } // end composite Stairs B

/* ********************************************************************* */

//  DEFINE  Stairway Railing   45-degree slope

#declare Railing_Unit_A =
composite {
   object { Beam_Plain
            texture { DMFDarkOak }
            scale < 1 5 0.9 >
            translate < 0 2.5 0 >
          } //end obj Beam Plain       Railing
   object { Beam_Plain
            texture { DMFDarkOak }
            scale < 1 5 0.9 >
            translate < 0 2.5 3 >
          } //end obj Beam Plain       Railing
   object { Arch_Plain
            texture { DMFDarkOak
                      rotate < 15 0 0 > }
            scale < 2 2 2 >
            translate < 0 4.5 1.5 >
          } //end Arch Plain           Banister
          }  //  end composite Railing Unit A

/* ********************************************************************* */

#declare Railing_A =                   //scaled to Stairway A
composite {
composite { Railing_Unit_A  scale < 0 0.00 0 >  translate < -5 0 3 > }
composite { Railing_Unit_A  scale < 1 1.75 1 >  translate < -5 0 3 > }
composite { Railing_Unit_A  scale < 1 2.50 1 >  translate < -5 0 6 > }
composite { Railing_Unit_A  scale < 1 3.25 1 >  translate < -5 0 9 > }
composite { Railing_Unit_A  scale < 1 4.00 1 >  translate < -5 0 12 > }
composite { Railing_Unit_A  scale < 1 4.75 1 >  translate < -5 0 15 > }
          }  //  end composite Railing A

/* ********************************************************************* */

#declare Atrium_Stairs =
composite {
   composite { Stairway_A }
   composite { Stairway_B }
//   composite { Railing_A }
          }  //  end composite Atrium Stairs

/* ********************************************************************* */

#declare Atrium_Stairs_B =
composite {
   composite { Stairway_A }
   object    { StairBlock }
          }  //  end composite Atrium Stairs

/* ********************************************************************* */

//   DEFINE  Balconies for Atrium

#declare Atrium_Balcony =
object { box { UnitBox
                  texture { Dark_Wood_B
                            rotate < -10 0 -5 > }
                  color Blue }
                } //end obj Step
 
/* ********************************************************************* */

//  DEFINE A floor slab for Atrium and Wings

#declare Atrium_Floor =
object { Box_Plain
         texture { Grnt15b }
         color Firebrick
        } // end object Atrium Floor

/* ********************************************************************* */
//                            Round Wing Tower                           //
/* ********************************************************************* */

//   DEFINE  Round Wing Foundation  20x = radius                 *****
//           arches form an open-sided circle to allow doorway   *****

#declare Foundation_A =
composite {
   object { Arch_Y
            texture { Grnt20
                      scale < 5 5 5 > }
            scale < 20 2.5 20 >
            rotate < 0 -120 0 >        //to make eastward openning
          } //end Arch Y
   object { Arch_Y
            texture { Grnt20
                      scale < 5 5 5 > }
            scale < 20 2.5 20 >
            rotate < 0 120 0 >         //to make eastward openning
          } //end Arch Y
          }  //  end composite  Foundation A

/* ********************************************************************* */

//   DEFINE   Round Window Panel  19.5x = radius

#declare RoundWindow_A =
composite {
   object { Arch_Y2
            texture { Glass_A }
            scale < 20 5 20 >
            rotate < 0 -120 0 >        //to make eastward openning
          } //end Arch Y2
   object { Arch_Y2
            texture { Glass_A }
            scale < 20 5 20 >
            rotate < 0 120 0 >         //to make eastward openning
          } //end Arch Y2
          }  //  end composite  Round Window A

/* ********************************************************************* */

//  DEFINE   Round Floor   with center hole

#declare RoundFloor =
object {
   intersection { quadric { Cylinder_Y scale < 1 1 1 > }
                  quadric { Cylinder_Y scale < 0.9 0.9 0.9 > inverse }
                  plane { < 0.0  1.0  0.0 > 1.0 }
                  plane { < 0.0 -1.0  0.0 > 0.0 }
                } //end intersection
       } // end object Round Floor

/* ********************************************************************* */

//  DEFINE   Round Floor   without center hole

#declare RFloor =
object { Pillar_Plain
         scale < 21 1 21 >
       } // end object  Round  Floor

/* ********************************************************************* */

//  DEFINE  four Pillars of support

#declare SupportColumns =
composite {
   object { Pillar_A
            texture { Grnt20 }
            scale < 1 5.5 1 >
            translate < 18.9 0 0 >
            color Blue
          } //end obj column
   object { Pillar_A
            texture { Grnt20 }
            scale < 1 5.5 1 >
            translate < -18.9 0 0 >
            color SkyBlue
          } //end obj column
   object { Pillar_A
            texture { Grnt20 }
            scale < 1 5.5 1 >
            translate < 0 0 18.9 >
            color CadetBlue
          } //end obj column
   object { Pillar_A
            texture { Grnt20 }
            scale < 1 5.5 1 >
            translate < 0 0 -18.9 >
            color SlateBlue
          } //end obj column
          }  //  end  composite  Support Columns

/* ********************************************************************* */

//  DEFINE  a flat paneled 1st story

#declare Story1 =
composite {
   object { Window_D                   //N 1st floor windows
            scale < 7.5 5 1 >
            rotate < 0 24 0  >
            translate < 7 7.5 17 > }
   object { intersection { Disk_Y }
            texture { DMFDarkOak
                      turbulence 0.5
                      reflection 0.2
                      scale < 3 1 2 >
                      rotate < 0 0 10 > }
            scale < 1 5 1 >
            translate < 0 7.5 20 >
            color Yellow
          }  // end object
   object { Window_D                   //n
            scale < 7.5 5 1 >
            rotate < 0 -24 0 >
            translate < -7 7.5 17 > }
   object { Window_D                   //S 1st floor windows
            scale < 7.5 5 1 >
            rotate < 0 -24 0  >
            translate < 7 7.5 -17 > }
   object { intersection { Disk_Y }
            texture { DMFDarkOak
                      turbulence 0.5
                      reflection 0.2
                      scale < 3 1 2 >
                      rotate < 0 0 10 > }
            scale < 1 5 1 >
            translate < 0 7.5 -20 >
            color Yellow
          }  // end object
   object { Window_D                   //s
            scale < 7.5 5 1 >
            rotate < 0 24 0  >
            translate < -7 7.5 -17 > }
   object { Plank_C
            texture { Grnt20
                      scale < 0.5 0.5 0.5 > }
            scale < 7.75 5 0.25 >
            rotate < 0 -65 0 >
            translate < -17 7.5 7 > }  //end 1st flr wall panel
   object { Plank_C
            texture { Grnt20
                      scale < 0.5 0.5 0.5 > }
            scale < 7.75 5 0.25 >
            rotate < 0 65 0 >
            translate < -17 7.5 -7 > } //end 1st flr wall panel
          }  // end composite Story 1

/* ********************************************************************* */

//  DEFINE  a cylinderical 2nd story

#declare Story2 =
object {
   intersection {
      quadric { Cylinder_Y scale < 1 1 1 > }
      quadric { Cylinder_Y scale < 0.85 0.85 0.85 > inverse }
      plane { < 0.0  1.0  0.0 > 1.0 }
      plane { < 0.0 -1.0  0.0 > 0.0 }
                } //end intersection
      scale < 20 7.5 20 >
      translate < 0 12.5 0 >
      color SpringGreen
       } // end object Second Story

/* ********************************************************************* */

//  DEFINE  a flat paneled 3rd Story

#declare Story3 =
composite {
   object { Window_D                   //N 3rd floor windows
            scale < 7.5 5 1 >
            rotate < 0 24 0  >
            translate < 7 25 17 > }
   object { intersection { Disk_Y }
            texture { DMFDarkOak
                      turbulence 0.5
                      reflection 0.2
                      scale < 3 1 2 >
                      rotate < 0 0 10 > }
            scale < 1 5 1 >
            translate < 0 25 20 >
            color Yellow
          }  // end object
   object { Window_D                   //n
            scale < 7.5 5 1 >
            rotate < 0 -24 0 >
            translate < -7 25 17 > }
   object { Window_D                   //S 3rd floor windows
            scale < 7.5 5 1 >
            rotate < 0 -24 0  >
            translate < 7 25 -17 > }
   object { intersection { Disk_Y }
            texture { DMFDarkOak
                      turbulence 0.5
                      reflection 0.2
                      scale < 3 1 2 >
                      rotate < 0 0 10 > }
            scale < 1 5 1 >
            translate < 0 25 -20 >
            color Yellow
          }  // end object
   object { Window_D                   //s
            scale < 7.5 5 1 >
            rotate < 0 24 0  >
            translate < -7 25 -17 > }
   object { Plank_C
            texture { Grnt20
                      scale < 0.5 0.5 0.5 > }
            scale < 7.75 5 0.25 >
            rotate < 0 -65 0 >
            translate < -17 25 7 > }   //end 3rd flr wall panel
   object { Plank_C
            texture { Grnt20
                      scale < 0.5 0.5 0.5 > }
            scale < 7.75 5 0.25 >
            rotate < 0 65 0 >
            translate < -17 25 -7 > }  //end 3rd flr wall panel
   object { Plank_C
            texture { Grnt20
                      scale < 0.5 0.5 0.5 > }
            scale < 7.75 5 0.25 >
            rotate < 0 -65 0 >
            translate < 17 25 -7 > }   //end 3rd flr wall panel
   object { Plank_C
            texture { Grnt20
                      scale < 0.5 0.5 0.5 > }
            scale < 7.75 5 0.25 >
            rotate < 0 65 0 >
            translate < 17 25 7 > }    //end 3rd flr wall panel
          } // end Story 3

/* ********************************************************************* */

//  DEFINE  A tall round balcony

#declare Balcony =
composite {
   object {
      intersection { Disk_Y }
                     texture { DMFDarkOak }
                     scale < 2 30 2 >
                     translate < 0 10 0 >
                     color Red
          } //end object Disk Y
   object {
      intersection { Cone_Y }
                     texture { DMFDarkOak
                               turbulence 0.3
                               rotate < 0 10 10 > }
                     scale < 9 3 9 >
                     rotate < 0 0 180 >
                     translate < 0 38 0 >
                     color Green
          } //end object Cone Y
          } // end composite Balcony

/* ********************************************************************* */

//  DEFINE  Round Pillar with Round top

#declare RoundTop_Pillar =
composite {
   object { Pillar_Plain
            texture { DMFDarkOak }
            scale < 1 5 1 >
            translate < 0 5 0 > }
   object { Planet_Blank
            texture { DMFDarkOak }
            scale < 1 1 1 >
            translate < 0 10 0 > }
   object { Planet_Blank
            texture { DMFDarkOak }
            scale < 1 1 1 >
            translate < 0 0 0 > }
          } // end composite Round Pillar

/* ********************************************************************* */

//  DEFINE  Round Wing Colonade

#declare Round_Colonade =
composite {
   composite { RoundTop_Pillar
               translate < 0 0 0 > }
   composite { RoundTop_Pillar
               translate < 10 0 0 > }
   composite { RoundTop_Pillar
               translate < 20 0 0 > }
   composite { RoundTop_Pillar
               translate < 30 0 0 > }
          }  // end composite Round Wing Colonade

/* ********************************************************************* */

//  DEFINE  Round Wing Colonade Rafters

#declare Round_Rafters =
composite {
   composite { RoundTop_Pillar
               rotate < 90 0 0 >
               translate < 0 10 0 > }
   composite { RoundTop_Pillar
               rotate < 90 0 0 >
               translate < 10 10 0 > }
   composite { RoundTop_Pillar
               rotate < 90 0 0 >
               translate < 20 10 0 > }
   composite { RoundTop_Pillar
               rotate < 90 0 0 >
               translate < 30 10 0 > }
          }  // end composite Round Wing Rafters

/* ********************************************************************* */

//   DEFINE  Another railing unit for Wing Two balcony

#declare Balcony_Railing =
composite {
object    { Pillar_Plain
            texture { DMFDarkOak }
            scale < 0.5 2 0.5 >
            translate < 0.5 2 0 > }
object    { Pillar_Plain
            texture { DMFDarkOak }
            scale < 0.5 2 0.5 >
            translate < 4 2 0 > }
object    { Pillar_Plain
            texture { DMFDarkOak }
            scale < 0.5 2.1 0.5 >
            rotate < 0 0 90 >
            translate < 2.2 3.5 0 > }
          } // end composite Balcony Railing

/* ********************************************************************* */

#declare Balcony_Rail_A =
composite {
   composite { Balcony_Railing  translate < 14.5 0 0 > }
   composite { Balcony_Railing  translate < 19.5 0 0 > }
   composite { Balcony_Railing  translate < 24.5 0 0 > }
   composite { Balcony_Railing  translate < 29.5 0 0 > }
   composite { Balcony_Railing  translate < 34.5 0 0 > }
   composite { Balcony_Railing  translate < 39.5 0 0 > }
   composite { Balcony_Railing  translate < 44.5 0 0 > }
   composite { Balcony_Railing  translate < 49.5 0 0 > }
   composite { Balcony_Railing  translate < 54.5 0 0 > }
          } // end composite Railing A

/* ********************************************************************* */
//                           Landscaping                                 //
/* ********************************************************************* */

#declare Tree_B =
composite {
   object {
      quartic { Piriform               // foliage
                texture { TreeJade     // modified Jade
                        } // end texture
                scale < 12.5 6.5 6.5 >
                rotate < 0 90 0 >
                rotate < -90 0 0 >
                translate < 0 16 0 >
                color ForestGreen
              } // end Piri
          } // end obj Piriform
   object { Center_Pole                // trunk
              texture { DMFWood5 }
              scale < 0.17 0.6 0.17 >
          }  // end obj Pole
   bounded_by { intersection {
                   Disk_Y
                   scale < 5 17 5 > }
              } // end bounding
          }  // end composite  Tree

/* ********************************************************************* */

/*
//   DEFINE a proto-tree shape: lumpy masses of foliage
//usage: obj { blob
//         threshold: larger shapes <= 0.5 >= smaller shapes
//         component (str #) (radius #) <location>
//         ...any number of components
//         strum: better render, longer time

#declare Tree_C =
composite {
   object {
      blob {
         threshold 0.25
         component 0.6  0.6   <  0.0     0.3  -0.3  >
         component 1.0  1.0   <  0.750   0.0  -0.7  >
         component 1.0  1.0   < -0.375   1.0   0.0  >
         component 0.8  0.8   < -0.375  -0.65  0.2  >
         component 1.2  1.2   <  0.900   0.0   0.7  >
         component 0.9  0.9   <  0.300   1.2   0.3  >
         component 0.7  0.7   <  0.25    1.4   0.22 >
         component 0.6  0.6   <  0.12    1.6   0.18 >
         component 0.5  0.5   <  0.05    1.9   0.10 >
         component 0.3  0.3   <  0.00    2.2   0.00 >
         component 0.4  0.4   < -0.410  -0.64  -0.4  >
           } //end blob
      texture { TreeJade }
      scale < 5 5 5 >
      translate < 0 10 0 >
      color Firebrick
          } // end object Blob
   object { Pillar_A
            texture { DMFWood2
                      rotate < 0 0 85 >
                      scale < 3 0 0 >
                      ambient 0.1
                      diffuse 0.1 }
            scale < 1 1.6 1 >
            translate < 0.2 6 0.2 >
          } // end obj Trunk
          } // end object Tree C
*/

/* ********************************************************************* */

// DEFINE  A Hedge   *****   from POOL.POV   *****

#declare Hedge_B =
object {                               // a cube textured like foliage
   intersection { Cube }
   scale < 5 1 1 >                          //scale Cube
   texture {
      turbulence 0.7
      spotted 0.5
      colour_map {
         [ 0.00  0.25   color YellowGreen  color Green       ]
         [ 0.25  0.75   color Green        color DarkGreen   ]
         [ 0.75  1.001  color DarkGreen    color YellowGreen ]
           } // end color map
      wrinkles 1.0
      frequency 2000.0
      scale < 10.0 10.0 20.0 >              //scale texture on Cube
           } // end texture
   color YellowGreen                        //low res. color
       }  // end object Hedge_B

/* ********************************************************************* */

// DEFINE  Patio_East   15x20 slab of texture

#declare Patio_East =
composite {
   object { Box_Plain                  //foundation slab
            texture { Jade
                      scale < 0.7 1 0.7 > }
            scale < 15 0.90 20 >       //to fit House Walls
            color Goldenrod
          } //end obj Box
   object { Box_Plain                  //paving slab
            texture { Grnt20 }
            scale < 13 1 18 >          //inset
            translate < -2 0 0 >       //moved toward Wall
            color Goldenrod
          } //end obj Box
          }  //  end composite Patio_East

/* ********************************************************************* */

// DEFINE Rectangle Pool with Water   *****   from POOL.POV   *****
// ***** revised 4 Dec 96: water really reflects scene        *****

#declare Pool_A =
composite {
  object {                             // the Pool
    difference {
      intersection { Cube
                     scale <26.0 3.0 46.0>
                   } // end Cube outside
      intersection { Cube
                     scale <20.0 4.0 40.0>
                   } // end Cube inside
               } // end difference
      texture {                             // blue&white tiles
        checker colour DarkTurquoise colour White
        scale <2.0 2.0 2.0>
              } // end Tiles texture
      color DarkTurquoise                   //low res. color
         } // end obj Pool
  composite {                          // a cube of water
    object {
       intersection { Cube } // end intersection
       texture {                       // water-like effect
          ripples 0.3
          frequency 60 //
          phase 0.3
          scale <10.0 5.0 10.0>
          reflection 0.8
               } // end water texture
       scale < 20.0 0.5 40.0 >              // must be same as inside cube
       translate < 0.0 1.1 0.0 >            // 1 above floor
                 } // end obj water cube
    object {                           // a subsurface to catch reflections
       plane { < 0 1 0 > 0 }
       texture {
          0.05
          color  red 1.0  green 0.3
          ambient 1.0
          diffuse 0.0
               } // end texture
       scale < 20.0 1.0 40.0 >               // must be same as inside cube
       translate < 0.0 -0.5 0.0 >            // 1/2 below floor
       bounded_by { box
                      { UnitBox
                        scale < 20.2 1.1 40.2 > }
                  } // end bounding
           } // end object Plane
            } // end composite Water Cube
    bounded_by { box {                      // bounding shape
                    UnitBox
                    scale < 25.01 5.5 45.01 > }
               } // end bounding
          }  // end composite Pool A

/* ********************************************************************* */

//  DEFINE  Some walkways

#declare WalkWay_1 =
composite {
object { Arch_Plain
         texture { Pink_Granite
                   scale < 1 1 5 >
                   rotate < 10 0 5 >
                   octaves 3
                 } //end texture
         scale < 0.2 20 20 >
         rotate < 0 180 0 >
         rotate < -90 0 0 >
         rotate < 0 0 90 >
         color Violet
       } //end Arch Plain
          } // end composite Walk Way 1

#declare WalkWay_2 =
composite {
object { Arch_Plain
         texture { Pink_Granite
                   scale < 1 1 5 >
                   rotate < 10 0 5 >
                   octaves 3
                 } //end texture
         scale < 0.2 20 20 >
         rotate < 0 180 0 >
         rotate < 90 0 0 >
         rotate < 0 0 90 >
         color Violet
       } //end Arch Plain
          } // end composite Walk Way 2

#declare WalkWay_3 =
object { Pillar_Plain
         texture { Pink_Granite
                   scale < 1 1 5 >
                   rotate < 10 0 5 >
                   octaves 3
                 } //end texture
         scale < 7.5 0.2 7.5 >
         color Green
       } // end object Walk Way 3

/* ********************************************************************* */

//  DEFINE  A Winding Pathway

#declare Pathway_1 =
composite {
object    { WalkWay_3
            translate < 25.0 0 -30 > } //nearest to Pool
object    { WalkWay_3
            translate < 35.0 0 -30 > }
composite { WalkWay_1
            translate < 55.0 0 -27 > }
composite { WalkWay_2
            translate < 77.0 0 -42 > } //farthest from Pool
          }  // end composite Pathway 1

/* ********************************************************************* */

//  DEFINE  Our House Front Yard

#declare Front_Yard =
composite {
composite { Pool_A  scale < 0.8 1 0.7 >  translate < -20 0 -60 > }

object { Tiled_Floor1  translate < -20 0  -15 > }     //N of pool
object { Tiled_Floor1  translate < -20 0 -105 > }     //S
object { Tiled_Floor2  translate < -50 0  -60 > }     //W
object { Tiled_Floor2  translate <  10 0  -60 > }     //E

object { Hedge_B  scale < 4 2 2 >  translate <  40 0  -10 > }   //N of Pool
object { Hedge_B  scale < 4 2 2 >  translate < -80 0  -10 > }
object { Hedge_B  scale < 4 2 2 >  translate <  40 0 -110 > }   //S of Pool
object { Hedge_B  scale < 4 2 2 >  translate < -80 0 -110 > }

object { Hedge_B scale < 5 2 2 > rotate < 0 90 0 > translate <  30 0 -60 > }
object { Hedge_B scale < 5 2 2 > rotate < 0 90 0 > translate < -70 0 -60 > }

composite { Tree_B   scale < 2 2 2 >  translate <  40 0 -50 > } //E of Pool
composite { Tree_B   scale < 2 2 2 >  translate <  40 0 -70 > }
composite { Tree_B   scale < 2 2 2 >  translate < -80 0 -50 > } //W of Pool
composite { Tree_B   scale < 2 2 2 >  translate < -80 0 -70 > }
          }  // end composite Front Yard

/* ********************************************************************* */

//  DEFINE  A stone wall...adapted from Stonewal.POV

#declare Wall_Segment =
object {
   intersection { Cube }
   scale < 10 5 2.5 >
   translate < 0 5 0 >
   texture { 0.05
             granite
             ambient 0.2
             diffuse 0.8
             brilliance 7.0
             reflection 0.1
             phong 1.0
             phong_size 60
           } //end texture
   color Green
       } // end object Wall Segment

/* ********************************* */

#declare Granite_Ball =
object {
   sphere { < 0 0 0 > 2 }
   texture { 0.05
             granite
             ambient 0.2
             diffuse 0.8
             brilliance 7.0
             reflection 0.1
             phong 1.0
             phong_size 60
           } //end texture
   color Blue
       } // end object Granite Ball

/* ********************************* */

#declare Column =
object {
   intersection { Cube }
   scale < 2 6 2 >
   translate < 0 6 0 >
   texture { 0.05
             granite
             ambient 0.2
             diffuse 0.8
             brilliance 7.0
             reflection 0.1
             phong 1.0
             phong_size 60
           } //end texture
   color Orange
       } // end object Column

/* ********************************* */

#declare Wall_Column =
composite {
   object { Granite_Ball
            translate < 0 12 0 > }
   object { Column }
          } // end composite Wall Column

/* ********************************* */

#declare Garden_Wall =
composite {
   object    { Wall_Segment
               translate < 0 0 0 > }
   composite { Wall_Column
               translate < -10 0 0 > }
   composite { Wall_Column
               translate < 10 0 0 > }
          } // end composite Garden Wall

/* ********************************* */

#declare Main_Gate =
composite {
composite { RoundTop_Pillar            //main gate
            scale < 2 2 2 >
            translate < 6 0 0 > }
composite { RoundTop_Pillar
            scale < 2 2 2 >
            translate < -6 0 0 > }
composite { RoundTop_Pillar
            scale < 1.8 1.8 1.8 >
            rotate < 90 90 0 >
            translate < -9 10 0 > }
composite { RoundTop_Pillar
            scale < 1.7 1.7 1.7 >
            rotate < 90 90 0 >
            translate < -8.5 15 0 > }
          } // end composite Main Gate

/* ********************************* */

#declare Front_Wall =                  //the south wall
composite {
composite { Main_Gate }
composite { Garden_Wall
            translate <  20 0 0 > }
composite { Garden_Wall
            translate < -20 0 0 > }
composite { Garden_Wall
            translate <  40 0 0 > }
composite { Garden_Wall
            translate < -40 0 0 > }
composite { Garden_Wall
            translate <  60 0 0 > }
composite { Garden_Wall
            translate < -60 0 0 > }
composite { Garden_Wall
            translate <  80 0 0 > }
composite { Garden_Wall
            translate < -80 0 0 > }
composite { Garden_Wall
            translate <  100 0 0 > }
composite { Garden_Wall
            translate < -100 0 0 > }
          } // end composite Front Wall

/* ********************************* */

#declare Side_Wall =                   //the east or west wall
composite {
composite { Garden_Wall
            translate <  10 0 0 > }
composite { Garden_Wall
            translate < -10 0 0 > }
composite { Garden_Wall
            translate <  30 0 0 > }
composite { Garden_Wall
            translate < -30 0 0 > }
composite { Garden_Wall
            translate <  50 0 0 > }
composite { Garden_Wall
            translate < -50 0 0 > }
composite { Garden_Wall
            translate <  70 0 0 > }
composite { Garden_Wall
            translate < -70 0 0 > }
composite { Garden_Wall
            translate <  90 0 0 > }
composite { Garden_Wall
            translate <  30 0 0 > }
          } // end composite Side Wall

/* ********************************************************************* */

//  DEFINE  Walls around whole estate

#declare Our_House_Wall =
composite {
composite { Front_Wall                 //south wall
            translate < -20 0 -150 > }
composite { Side_Wall                  //west wall 1
            rotate < 0 90 0 >
            translate < -130 0 -50 > }
composite { Side_Wall                  //west wall 2
            rotate < 0 90 0 >
            translate < -130 0 120 > }
composite { Side_Wall                  //east wall 1
            rotate < 0 90 0 >
            translate < 90 0 -50 > }
composite { Side_Wall                  //east wall 2
            rotate < 0 90 0 >
            translate < 90 0 120 > }
composite { Front_Wall                 //north wall
            translate < -20 0 200 > }
          } // end composite House Wall

/* ********************************************************************* */
//                             Wall Panels                               //
/* ********************************************************************* */

// DEFINE   basic 20x20 Wood paneled wall unit

#declare Wall_Panel_A =
composite {
   object { Beam_A                     // top
            scale < 1.25 1.25 1.2 >
            rotate < 0 90 0 >
            translate < 10 20 0 >
          } // end object Beam A
   object { Beam_A                     // bottom
            scale < 1.25 0.2 1.2 >
            rotate < 0 90 0 >
            translate < 10 0.25 0 >
          } // end object Beam A
   object { Beam_A                     // left
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 20 10 0 >
          } // end object Beam A
   object { Plank_A                    //planks inset in Wall
            texture { zeb_wood }
            scale < 1 1 1>
            translate < 2.5 10 0 >           //left end
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      turbulence 1.0 }
            scale < 1 1 1 >
            translate < 4.5 10 0 >           // next to left end
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      turbulence 0.4 }
            scale < 1 1 1 >
            translate < 6.5 10 0 >
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      rotate < 30 10 0 >
                      turbulence 1.0 }
            scale < 1 1 1 >
            translate < 8.5 10 0 >
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      rotate < 15 0 -10 >
                      turbulence 1.0 }
            scale < 1 1 1 >
            translate < 10.5 10 0 >          //center plank
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      turbulence 1.0 }
            scale < 1 1 1 >
            translate < 12.5 10 0 >
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      turbulence 0.7 }
            scale < 1 1 1 >
            translate < 13.5 10 0 >
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      rotate < -17 0 6 >
                      turbulence 0.3 }
            scale < 1 1 1 >
            translate < 15.5 10 0 >          // next to right end
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      turbulence 0.8 }
            scale < 1 1 1 >
            translate < 17.5 10 0 >          //right end
          } //end wood Plank
          } // end composite Wall Panel A

/* ********************************************************************* */

// DEFINE   20x20 Wall_A with a centered window

#declare Wall_Panel_B =
composite {
   object { Beam_A                     // top
            scale < 1.25 1.25 1.2 >
            rotate < 0 90 0 >
            translate < 10 20 0 >
          } // end object Beam A
   object { Beam_A                     // bottom
            scale < 1.25 0.2 1 >
            rotate < 0 90 0 >
            translate < 10 0.25 0 >
          } // end object Beam A
   object { Beam_A                     // left
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 20 10 0 >
          } // end object Beam A
   object { Plank_A                    //planks inset in Wall
            texture { zeb_wood }
            scale < 1 1 1 >
            translate < 2.5 10 0 >           //left end
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      turbulence 1.0 }
            scale < 1 1 1 >
            translate < 4.5 10 0 >           // next to left end
          } //end wood Plank
   object { Plank_A
            texture { zeb_wood
                      rotate < -30 0 10 >
                      turbulence 0.7 }
            scale < 1 1 1 >
            translate < 6 10 0 >             // 3rd from left
          } //end wood Plank
   object { Plank_B                    //above window
            texture { zeb_wood
                      turbulence 0.3 }
            translate < 8 18 0 >
          } //end wood Plank B
   object { Plank_B
            texture { zeb_wood
                      turbulence 1.3 }
            translate < 10 18 0 >
          } //end wood Plank B
   object { Plank_B
            texture { zeb_wood
                      turbulence 0.8 }
            translate < 12 18 0 >
          } //end wood Plank B
   object { Plank_B                    // below window
            texture { zeb_wood
                      turbulence 0.7 }
            scale < 1 3.8 1 >
            translate < 8 4.8 0 >
          } //end wood Plank B
   object { Plank_B
            texture { zeb_wood
                      rotate < -35 0 0 >
                      turbulence 1.3 }
            scale < 1 3.8 1 >
            translate < 10 4.8 0 >
          } //end wood Plank B
   object { Plank_B
            texture { zeb_wood
                      turbulence 1.0 }
            scale < 1 3.8 1 >
            translate < 12 4.8 0 >
          } //end wood Plank B
   object { Beam_B                     // Window sashes:
            scale < 0.6 1 1.1 >
            translate < 10 17 0 >           //top molding
          } // end Beam B
   object { Beam_B
            scale < 0.6 1 1.1 >
            translate < 10 9 0 >            //bottom molding
          } // end Beam B
   object { Beam_B
            scale < 0.85 1 1.1 >
            rotate < 0 0 90 >
            translate < 7 13 0 >            //left molding
          } // end Beam B
   object { Beam_B
            scale < 0.85 1 1.1 >
            rotate < 0 0 90 >
            translate < 13 13 0 >           //right molding
          } // end Beam B
   object { Window_D                   //Window
            scale < 3 4 0.25 >
            translate < 10 13 0 >
          }  // end obj Window D
   object { Plank_A
            texture { zeb_wood
                      turbulence 0.7 }
            scale < 1 1 1>
            translate < 14 10 0 >            // 3rd from end
          } //end wood Plank A
   object { Plank_A
            texture { zeb_wood
                      rotate < 20 5 0 >
                      turbulence 0.3 }
            scale < 1 1 1>
            translate < 15.5 10 0 >          // next to right end
          } //end wood Plank A
   object { Plank_A
            texture { zeb_wood
                      turbulence 0.8 }
            scale < 1 1 1 >
            translate < 17.5 10 0 >          //right end
          } //end wood Plank A
          } // end composite Wall Panel B

/* ********************************************************************* */

// DEFINE  double size ver. of Wall_A: for Atrium Wall WITH 2 doors

#declare Wall_Panel_C =
composite {
   object { Beam_D                     // left
            scale < 1 1.1 1 >
            translate < -40 20 0 >
          } // end object Beam D
   object { Beam_D                     // right
            scale < 1 1.1 1 >
            translate < 0 20 0 >
          } // end object Beam D
   object { Beam_D                     // top
            scale < 1 1 1 >
            rotate < 0 0 90 >
            translate < -20 40 0 >
          } // end object Beam D
   object { Beam_D                     // half up
            scale < 0.35 1 1 >
            rotate < 0 0 90 >
            translate < -20 19.5 0 >
          } // end object Beam D
   object { Beam_D                     // 2/3rds up
            scale < 0.35 1 1 >
            rotate < 0 0 90 >
            translate < -20 30 0 >
          } // end object Beam D
   object { Beam_D                     // bottom
            scale < 0.35 1 1 >
            rotate < 0 0 90 >
            translate < -20 0.5 0 >
          } // end object Beam D
   object { Arch_Plain
            texture { oak
                      scale < 21 3 3 >
                      rotate < 20 0 15 > }
            scale < 5 9 19 >
            rotate < 0 90 0 >
            translate < -20 30 0 >
          } //end object Arch Plain
/*
   object { Plank_C                    // vertical Wall panel
            texture { pop_wood
                      reflection 0.1
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 7 10 1 >
            translate < -31 10 0.45 >
          } // end object Plank C
   object { Plank_C                    // vertical Wall panel
            texture { pop_wood
                      turbulence 0.9
                      scale < 0.5 1 0.5 >
                      rotate < 10 0 0 >
                    } //end tex
            scale < 7 10 1 >
            translate < -9 10 0.45 >
          } // end object Plank C
   object { Window_D                   // Window top right
            scale < 7.3 5 1 >
            translate < -10 35 -0.5 >
          } // end Picture Window D
   object { Window_D                   // Window top left
            scale < 7.3 5 1 >
            translate < -30 35 -0.5 >
          } // end Picture Window D
   object { Window_D                   // Window middle right
            scale < 7.2 5 1 >
            translate < -9 25 -0.25 >
          } // end Picture Window D
   object { Window_D                   // Window middle left
            scale < 7.2 5 1 >
            translate < -31 25 -0.25 >
          } // end Picture Window D
   composite { Front_Door              // Door ground floor
               translate < -20 0 0 > }
   composite { Front_Door              // Door 2nd floor
               translate < -20 20 0 > }
*/
          } // end composite Wall Panel C

/* ********************************************************************* */

// DEFINE  Wall_D:  Atrium Front, South Wall door

#declare Wall_Panel_D =
composite {
   object { Beam_D                     // left
            scale < 1 1.1 1 >
            translate < -40 20 0 >
          } // end object Beam D
   object { Beam_D                     // right
            scale < 1 1.1 1 >
            translate < 0 20 0 >
          } // end object Beam D
   object { Beam_D                     // top
            rotate < 0 0 90 >
            translate < -20 40 0 >
          } // end object Beam D
   object { Beam_D                     // 2/3rds up
            rotate < 0 0 90 >
            translate < -20 30 0 >
          } // end object Beam D
   object { Beam_D                     // half up
            rotate < 0 0 90 >
            translate < -20 20 0 >
          } // end object Beam D
   object { Beam_D                     // bottom
            scale < 0.35 1 1 >
            rotate < 0 0 90 >
            translate < -20 0.25 0 >
          } // end object Beam D
   object { Arch_Plain
            texture { oak
                      scale < 4 3 2 >
                      rotate < 20 0 15 > }
            scale < 10 12.5 20 >
            rotate < 0 90 0 >
            translate < -20 29 0 >
          } //end object Arch Plain
/*
   object { Plank_C                    // vertical Wall panel
            texture { pop_wood
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 7 10 1 >
            translate < -31 10 0.45 >
          } // end object Plank C
   object { Plank_C                    // vertical Wall panel
            texture { pop_wood
                      turbulence 0.9
                      scale < 0.5 1 0.5 >
                      rotate < 10 0 0 >
                    } //end tex
            scale < 7 10 1 >
            translate < -9 10 0.45 >
          } // end object Plank C
   object { Beam_D                     // lower left of doorway
            scale < 0.75 1.3 1 >
            translate < -25 5 0.45 >
          } // end object Beam D
   object { Beam_D                     // lower right of doorway
            scale < 0.75 1.3 1 >
            translate < -15 5 0.45 >
          } // end object Beam D
   object { Plank_C                    // panel above doorway
            texture { pop_wood
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 4 4 0.25 >
            translate < -20 14 -0.5 >
            color LimeGreen
          } // end object Plank C
   object { Beam_D                     // door lintel
            scale < 0.5 0.5 0.5 >
            rotate < 0 0 90 >
            translate < -20 10 0 >
          } // end object Beam D
   object { Window_B
            translate < -20 25 0 >
          } // end Picture Window
   object { Window_B
            scale < 1 1 1 >
            translate < -20 35 0 >
          } // end Picture Window
   composite { Door_Half               //one half of door
               translate < -18.4 0 0 > }
   composite { Door_Half               //the other half
               translate < -21.6 0 0 > }
   composite { WallLamp_A  translate < -15 5 -2.5 > }
   composite { WallLamp_A  translate < -25 5 -2.5 > }
*/
          } // end composite Wall Panel D

/* ********************************************************************* */

// DEFINE   Wide 40x20 wall unit

#declare Wall_Panel_Wide =
composite {
   object { Beam_A                     // right/south
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // left/north
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 40 >
          } // end object Beam A
   object { Beam_D                     // top
            rotate < 90 0 0 >
            translate < 0 20 20 >
          } // end object Beam D
   object { Beam_D                     // bottom
            scale < 0.2 1 1 >
            rotate < 90 0 0 >
            translate < 0 0.5 20 >
          } // end object Beam D
   object { Plank_C                    // panel above doorway
            texture { pop_wood
                      scale < 0.5 1 0.5 >
                      rotate < -10 0 0 >
                    } //end tex
            scale < 4 4 0.25 >
            rotate < 0 90 0 >
            translate < 0 14 20 >
            color LimeGreen
          } // end object Plank C

// select Planks or Windows:
   object { Plank_C                    // panel left of doorway
            texture { pop_wood
                      scale < 0.5 1 0.6 >
                      rotate < 15 0 0 >
                    } //end tex
            scale < 7 10 0.25 >
            rotate < 0 90 0 >
            translate < 0 10 8 >
            color LimeGreen
          } // end object Plank C
   object { Plank_C                    // panel right of doorway
            texture { pop_wood
                      scale < 0.5 1 0.6 >
                      rotate < 15 0 0 >
                    } //end tex
            scale < 7 10 0.25 >
            rotate < 0 90 0 >
            translate < 0 10 32 >
            color LimeGreen
          } // end object Plank C

// select Planks or Windows:
//   object { Window_C translate < 0 10 7.5 > }      //right window
//   object { Window_C translate < 0 10 32.5 > }     //left window

   object { Beam_D                     // lower left of doorway
            scale < 0.7 0.5 0.7 >
            translate < 0 9 15 >
          } // end object Beam D
   object { Beam_D                     // lower right of doorway
            scale < 0.7 0.5 0.7 >
            translate < 0 9 25 >
          } // end object Beam D
   object { Beam_D                     // door lintel
            scale < 0.45 0.45 0.45 >
            rotate < 90 0 0 >
            translate < 0 10 20 >
          } // end object Beam D
   composite { Door_Half               //one half of door
               rotate < 0 90 0 >
               translate < 0 0 18.3 > }
   composite { Door_Half
               rotate < 0 90 0 >
               translate < 0 0 21.7 > }//the other half
          }  //  end composite Wall_Panel_Wide

/* ********************************************************************* */

// DEFINE   Wing Two version of Wall A section, 20x20, plain

#declare Panel_W2A =
composite {
   object { Beam_A                     // top
            scale < 1.25 1.25 1.2 >
            rotate < 0 90 0 >
            translate < 10 20 0 >
          } // end object Beam A
   object { Beam_A                     // bottom
            scale < 1.25 0.5 1.2 >
            rotate < 0 90 0 >
            translate < 10 0.5 0 >
          } // end object Beam A
   object { Beam_A                     // left
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 20 10 0 >
          } // end object Beam A

// select Panels or Window:
   object { Plank_C                    //right panel
            texture { DMFWood5
                      turbulence 0.8
                      scale < 5 10 2 >
                      rotate < 85 0 0 > }
            scale < 2.5 10 1 >
            translate < 4 10 0 >
          } //end Plank C
   object { Plank_C                    //left panel
            texture { DMFWood5
                      turbulence 0.5
                      scale < 7 6 2 >
                      rotate < 5 0 0 > }
            scale < 2.5 10 1 >
            translate < 16 10 0 >
          } //end Plank C
   object { Plank_C                    //center panel
            texture { DMFWood5
                      turbulence 0.4
                      scale < 15 3 3 >
                      rotate < 15 0 0 > }
            scale < 3.5 10 1 >
            translate < 10 10 0 >
          } //end Plank C

// select Panels or Window:
/*
   object { Window_D
            scale < 10 10 1 >
            translate < 10 10 0 >
          } //object Window D
*/
          } // end composite Panel W2A

/* ********************************************************************* */

// DEFINE   Wing Two version Wall_B section, 20x20, with window

#declare Panel_W2B =
composite {
   object { Beam_A                     // top
            scale < 1.25 1.25 1.2 >
            rotate < 0 90 0 >
            translate < 10 20 0 >
          } // end object Beam A
   object { Beam_A                     // bottom
            scale < 1.25 0.5 1.2 >
            rotate < 0 90 0 >
            translate < 10 0.25 0 >
          } // end object Beam A
   object { Beam_A                     // left
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 20 10 0 >
          } // end object Beam A
/*
   object { Window_A                   //Window
            translate < 10 11 0 >
          }  // end obj Window A
*/
   object { Beam_B                     // Window sashes:
            scale < 0.75 1 1.25 >
            translate < 10 15 0 >           //top molding
          } // end Beam B
   object { Beam_B
            scale < 0.75 1 1.25 >
            translate < 10 7 0 >            //bottom molding
          } // end Beam B
   object { Beam_B
            scale < 0.75 1 1.25 >
            rotate < 0 0 90 >
            translate < 7 11 0 >            //left molding
          } // end Beam B
   object { Beam_B
            scale < 0.75 1 1.25 >
            rotate < 0 0 90 >
            translate < 13 11 0 >           //right molding
          } // end Beam B
   object { Plank_C
            texture { DMFWood5
                      turbulence 0.5
                      scale < 5 10 2 >
                      rotate < 85 0 0 > }
            scale < 2.75 10 1 >
            translate < 15.5 10 0 >           //right of window
          } //end Plank C
   object { Plank_C
            texture { DMFWood5
                      turbulence 0.4
                      scale < 5 10 3 >
                      rotate < 80 0 0 > }
            scale < 2.75 10 1 >
            translate < 4.5 10 0 >            //left of window
          } //end Plank C
   object { Plank_C
            texture { DMFWood5
                      turbulence 0.5
                      scale < 4 2 6 >
                      rotate < 35 0 0 > }
            scale < 3.4 1.6 1 >
            translate < 10 17 0 >           //panel above window
          } //end Plank C
   object { Plank_C
            texture { DMFWood5
                      turbulence 0.5
                      scale < 5 10 2 >
                      rotate < 85 0 0 > }
            scale < 3.4 3.5 1 >
            translate < 10 3.5 0 >          //panel below window
          } //end Plank K
          } // end composite Panel W2B

/* ********************************************************************* */

// DEFINE   Wing Two version Panel_W2B section, 20x20, with window
//          W2C modified to allow interior balconies    21 Sept 97

#declare Panel_W2C =
composite {
   object { Beam_A                     // top
            scale < 1.25 1.25 1.2 >
            rotate < 0 90 0 >
            translate < 10 20 0 >
          } // end object Beam A
   object { Beam_A                     // bottom
            scale < 1.2 0.5 1.2 >
            rotate < 0 90 0 >
            translate < 10 0.25 0 >
          } // end object Beam A
   object { Beam_A                     // left
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 20 10 0 >
          } // end object Beam A
/*
   object { Beam_B                     // Window sashes:
            scale < 0.65 1.5 1.25 >
            translate < 10 18.25 0 >           //top molding
          } // end Beam B
   object { Beam_B
            scale < 0.65 1.5 1.25 >
            translate < 10 11 0 >            //bottom molding
          } // end Beam B
   object { Beam_B
            scale < 0.70 1.3 1.25 >
            rotate < 0 0 90 >
            translate < 7 14.5 0 >            //left molding
          } // end Beam B
   object { Beam_B
            scale < 0.70 1.3 1.25 >
            rotate < 0 0 90 >
            translate < 13 14.5 0 >           //right molding
          } // end Beam B
   object { Window_D                   //Window
            scale < 3 3.6 1 >
            translate < 10 15 0 >
          }  // end obj Window D
   object { Plank_C
            texture { DMFWood5
                      turbulence 0.5
                      scale < 5 30 2 >
                      rotate < 45 0 0 > }
            scale < 2.75 10 1 >
            translate < 15.5 10 0 >           //right of window
          } //end Plank C
   object { Plank_C
            texture { DMFWood5
                      turbulence 0.5
                      scale < 5 10 3 >
                      rotate < 80 0 0 > }
            scale < 2.75 10 1 >
            translate < 4.5 10 0 >            //left of window
          } //end Plank C
   object { Plank_C
            texture { DMFWood5
                      turbulence 0.3
                      scale < 9 7 9 >
                      rotate < 85 0 0 > }
            scale < 3.4 5.5 1 >
            translate < 10 5.5 0 >          //panel below window
          } //end Plank C
*/
          } // end composite Panel W2C

/* ********************************************************************* */

// DEFINE   Wing Two version of Wall A section, 20x20, plain
//          W2D modified to allow doorways        21 Sept 97

#declare Panel_W2D =
composite {
   object { Beam_A                     // top
            scale < 1.25 1.25 1.2 >
            rotate < 0 90 0 >
            translate < 10 20 0 >
          } // end object Beam A
   object { Beam_A                     // bottom
            scale < 1.25 0.5 1.2 >
            rotate < 0 90 0 >
            translate < 10 0.25 0 >
          } // end object Beam A
   object { Beam_A                     // left
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 20 10 0 >
          } // end object Beam A
/*
   object { Plank_C                    //left of door panel
            texture { DMFWood5
                      turbulence 0.5
                      scale < 7 6 2 >
                      rotate < 5 0 0 > }
            scale < 5 10 1 >
            translate < 4 10 0 >
          } //end Plank C
   object { Plank_C                    //right of door panel
            texture { DMFWood5
                      turbulence 0.5
                      scale < 7 6 2 >
                      rotate < 5 0 0 > }
            scale < 0.5 10 1 >
            translate < 18.25 10 0 >
          } //end Plank C
   object { Plank_C                    //above door panel
            texture { DMFWood5
                      turbulence 0.5
                      scale < 2 16 2 >
                      rotate < 5 0 0 > }
            scale < 3.5 5.5 1 >
            translate < 13.5 15 0 >
          } //end Plank C
   object { Beam_C                     // door lintel
            scale < 0.5 3.6 1 >
            rotate < 0 0 90 >
            translate < 13.5 9.5 0 >
          } // end object Beam C
   object { Beam_C                     // left of doorway
            scale < 0.5 10 1 >
            translate < 9.5 10 0 >
          } // end object Beam C
   object { Beam_C                     // right of doorway
            scale < 0.5 10 1 >
            translate < 17.5 10 0 >
          } // end object Beam C
   composite { Door_Half                    //one half of door
               translate < 15.25 0 0 > }
   composite { Door_Half                    //the other half
               translate < 11.75 0 0 > }
   composite { WallLamp_A  translate < 13.5 6.5 -2.5 > }
*/
          } // end composite Panel W2D

/* ********************************************************************* */

// DEFINE   Wide 40x20 wall: WING TWO 2nd story   *****

#declare Panel_W2Wide =
composite {
   object { Beam_A                     // left/south
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right/north
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 40 >
          } // end object Beam A
   object { Beam_D                     // top
            scale < 0.8 1 0.4 >
            rotate < 90 0 0 >
            translate < 0 19.5 20 >
          } // end object Beam D
   object { Beam_D                     // bottom
            scale < 0.8 1 0.2 >
            rotate < 90 0 0 >
            translate < 0 0.4 20 >
          } // end object Beam D
   object { Plank_Blood                // left of door panel
            scale < 7 10 1.5 >
            rotate < 0 90 0 >
            translate < 0 10 8 >
          } // end object Plank Blood
   object { Plank_Blood                // right of door panel
            scale < 7 10 1.5 >
            rotate < 0 -90 0 >
            translate < 0 10 32 >
          } // end object Plank Blood
   object { Window_D                   // window panel above doorway
            scale < 4.5 4 1 >
            rotate < 0 90 0 >
            translate < 0 15 20 >
            color Green
          } // end object Window D
   object { Beam_D                     // lower left of doorway
            scale < 0.8 0.5 0.5 >
            translate < 0 10 15 >
          } // end object Beam D
   object { Beam_D                     // lower right of doorway
            scale < 0.8 0.5 0.5 >
            translate < 0 10 25 >
          } // end object Beam D
   object { Beam_D                     // door lintel
            scale < 0.8 0.3 0.45 >
            rotate < 90 0 0 >
            translate < 0 10 20 >
          } // end object Beam D
   composite { Door_Half                    //one half of door
               scale < 1.2 1 1 >
               rotate < 0 90 0 >
               translate < 0 0 18.1 > }
   composite { Door_Half
               scale < 1.2 1 1 >
               rotate < 0 90 0 >
               translate < 0 0 21.9 > }     //the other half
   composite { WallLamp_A
               scale < 0.7 0.7 0.7 >
               rotate < 0 90 0 >
               translate < -2.5 6.5 15 > }  //lamp flanks door
   composite { WallLamp_A
               scale < 0.7 0.7 0.7 >
               rotate < 0 90 0 >
               translate < -2.5 6.5 25 > }  //lamp flanks door
          }  //  end composite Panel_W2Wide

/* ********************************************************************* */

// DEFINE   Wide 40x20 wall: WING TWO 2nd story w/ big window  *****

#declare Panel_W2Wide_B =
composite {
   object { Beam_A                     // left/south
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // right/north
            scale < 1.25 1.25 1 >
            rotate < 90 0 0 >
            translate < 0 10 40 >
          } // end object Beam A
   object { Beam_D                     // top
            scale < 0.8 1 0.4 >
            rotate < 90 0 0 >
            translate < 0 19.5 20 >
          } // end object Beam D
   object { Beam_D                     // bottom
            scale < 0.8 1 0.2 >
            rotate < 90 0 0 >
            translate < 0 0.4 20 >
          } // end object Beam D
   object { Plank_Blood                // left side
            scale < 5 10 1.5 >
            rotate < 0 90 0 >
            translate < 0 10 6 >
          } // end object Plank Blood
   object { Plank_Blood                // right side
            scale < 5 10 1.5 >
            rotate < 0 90 0 >
            translate < 0 10 34 >
          } // end object Plank Blood
   object { Plank_C                    //below window
            texture { DMFWood5
                      turbulence 0.5
                      scale < 2 16 2 >
                      rotate < 5 0 0 > }
            scale < 10 1.25 1 >
            rotate < 0 90 0 >
            translate < 0 1.5 20 >
          } //end Plank C
   composite { Big_Window_A
               rotate < 0 90 0 >
               translate < 0 0 20 >
             } // end composite Big Window
          }  //  end composite Panel_W2Wide_B

/* ********************************************************************* */

#declare Front_Colonade =
composite {
   object { Beam_A                     // left front at <0 0 0>
            scale < 0.7 0.7 1 >
            rotate < 90 0 0 >
            translate < 0 10 0 >
          } // end object Beam A
   object { Beam_A                     // more right...
            scale < 0.7 0.7 1 >
            rotate < 90 0 0 >
            translate < 20 10 0 >
          } // end object Beam A
   object { Beam_A                     // more right...
            scale < 0.7 0.7 1 >
            rotate < 90 0 0 >
            translate < 40 10 0 >
          } // end object Beam A
   object { Beam_A
            scale < 0.7 0.7 1 >
            rotate < 90 0 0 >
            translate < 60 10 0 >
          } // end object Beam A
   object { Beam_A                     // right end
            scale < 0.7 0.7 1 >
            rotate < 90 0 0 >
            translate < 80 10 0 >
          } // end object Beam A
          }  //  end composite Front Columns

/* ********************************************************************* */

#declare Rear_Colonade =
composite {
   object { Beam_A                     // north +20z of 0 0 0
            scale < 0.7 0.7 1 >
            rotate < 90 0 0 >
            translate < 0 10 40 >
          } // end object Beam A
   object { Beam_A                     // more right...
            scale < 0.7 0.7 1 >
            rotate < 90 0 0 >
            translate < 20 10 40 >
          } // end object Beam A
   object { Beam_A                     // more right...
            scale < 0.7 0.7 1 >
            rotate < 90 0 0 >
            translate < 40 10 40 >
          } // end object Beam A
   object { Beam_A                     //
            scale < 0.7 0.7 1 >
            rotate < 90 0 0 >
            translate < 60 10 40 >
          } // end object Beam A
   object { Beam_A                     // right end
            scale < 0.7 0.7 1 >
            rotate < 90 0 0 >
            translate < 80 10 40 >
          } // end object Beam A
          }  //  end composite Rear Columns

/* ********************************************************************* */

#declare Rafters_A =                   // Ceiling rafters
composite {
   object { Beam_C                     // left end z-axis beam
            scale < 1 1 11 >
            translate < 0 20 0 >
          } // end object Beam C
   object { Beam_C                     // +10x
            scale < 1 1 10 >
            translate < 10 20 0 >
          } // end object Beam C
   object { Beam_C                     // +10x more
            scale < 1 1 10 >
            translate < 20 20 0 >
          } // end object Beam C
   object { Beam_C                     // etc. ...
            scale < 1 1 10 >
            translate < 30 20 0 >
          } // end object Beam C
   object { Beam_C                     //
            scale < 1 1 10 >
            translate < 40 20 0 >
          } // end object Beam C
   object { Beam_C                     // 
            scale < 1 1 10 >
            translate < 50 20 0 >
          } // end object Beam C
   object { Beam_C                     //
            scale < 1 1 10 >
            translate < 60 20 0 >
          } // end object Beam C
   object { Beam_C                     //
            scale < 1 1 10 >
            translate < 70 20 0 >
          } // end object Beam C
   object { Beam_C                     // right end beam
            scale < 1 1 11 >
            translate < 80 20 0 >
          } // end object Beam C

   object { Beam_C                     // cross rafters x-axis beam
            scale < 1 1 40 >
            rotate < 0 90 0 >
            translate < 40 20 10 >
          } // end object Beam C
   object { Beam_C                     //
            scale < 1 1 40 >
            rotate < 0 90 0 >
            translate < 40 20 -10 >
          } // end object Beam C
          } // end composite Rafters_A

/* ********************************************************************* */

//  DEFINE  Hallway, north of Atrium

#declare Hallway_N =
composite {
   composite { Panel_W2A
               rotate < 0 90 0 >
               translate < -10 0 60 > }
/*
   object    { Picture_C
               scale < 1 1 1 >
               rotate < 0 90 0 >
               translate < -10 10 50 > }
*/
   composite { Panel_W2A
               rotate < 0 90 0 >
               translate < -30 0 60 > }
/*
   object    { Picture_D
               scale < 1 1 1 >
               rotate < 0 90 0 >
               translate < -30 10 50 > }
*/
             }  //  end composite  Hallway North


/* ********************************************************************* */

//   DEFINE   Round wall section: scale to suit

#declare Cylinder_Wall =
object {
   intersection {
      quadric { Cylinder_Y scale < 1 1 1 > }
      quadric { Cylinder_Y scale < 0.85 0.85 0.85 > inverse }
      plane { < 0.0  1.0  0.0 > 1.0 }
      plane { < 0.0 -1.0  0.0 > 0.0 }
                } //end intersection
      texture { Grnt20
                scale < 2 2 2 >
                reflection 0.8 }
      color Green
       } // end object Cylndr wall 

/* ********************************************************************* */
//                           Our_House Definitions                       //
/* ********************************************************************* */
//                                  Atrium                               //
/* ********************************************************************* */

// DEFINE  Central Room/Atrium                                     *****

#declare Atrium_A =
composite {
   composite { Wall_Panel_D }          //south: front wall
   composite { Wall_Panel_C            //north
               rotate < 0 180 0 >
               translate < -40 0 40 > }
   composite { Wall_Panel_C            //west
               rotate < 0 90 0 >
               translate < -40 0 0 > }
   composite { Wall_Panel_C            //east
               rotate < 0 -90 0 >
               translate < 0 0 40 > }
/*
   object    { Atrium_Balcony          //east side
               scale < 7.5 0.5 9.75 >
               translate < -6 19.5 30 > }
   object    { Atrium_Balcony          //north side
               scale < 13 0.5 4.2 >
               translate < -26 19.5 35 > }
   object    { Atrium_Balcony          //west side
               scale < 4.3 0.5 15 >
               translate < -35 19.5 16 > }
   composite { Balcony                 //wine glass shape
               scale < 0.75 0.45 0.75 >
               translate < -26 1 11 > }
   composite { Atrium_Stairs           //east side
               scale < 0.9 1 0.75 >
               translate < -6 0 3.5 > }
*/
   object    { Atrium_Floor
               scale < 22 0.5 22 >
               translate < -20 0 20 > }
/*
// choose one roof
   object    { Roof_B                  //roof
               texture { oak }
               scale < 2.2 2 2.2 >
               translate < -20 40.6 20 > }
*/

// or the other
   object { Roof_Five                  // short square
            texture { DMFDarkOak
                      scale < 0.5 1 1 >
                      rotate < 0 0 -2 > }
           translate < -20 43 20 > } // end Roof 5 Atrium
//    composite { Sculpture_One }
// or composite { Sculpture_Two }

/*
//                                     ***** Atrium Interior Spotlights
object { light_source { AtriumSpot1 } }
object { light_source { AtriumSpot2 } }
object { light_source { AtriumSpot3 } }
object { light_source { AtriumSpot4 } }
object { light_source { AtriumSpot5 } }
object { light_source { AtriumSpot6 } }
object { light_source { AtriumSpot7 } }
object { light_source { AtriumSpot8 } }
object { light_source { AtriumSpot9 } }
object { light_source { AtriumSpot10 } }
object { light_source { AtriumSpot11 } }
object { light_source { AtriumSpot12 } }
*/

   bounded_by { box { UnitBox   scale < 50 50 50 > }
              } // end bounding
          } // end composite Atrium A

/* ********************************************************************* */
//                                Wing_One                               //
/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE  1st Wing of the House: Walls, Ceiling, Floor, etc.   *****
//         Each Wing definition specfic to original location.   *****

#declare Wing_One =
composite {
                                       // Building frame        *****
//composite { Rafters_A  translate < 0 0 30 > } //ceiling
//composite { Rafters_A  translate < 0 0 10 > } //ceiling

                                       // South Wall            *****
composite { Wall_Panel_B
            translate <  0 0 0 > }          //wall w/window
composite { Wall_Panel_A
            translate < 20 0 0 > }          //paneled wall
composite { Wall_Panel_B
            translate < 40 0 0 > }          //wall w/window

                                       // North Wall            *****
composite { Wall_Panel_B
            translate <  0 0 40 > }         //wall w/window
composite { Wall_Panel_A
            translate < 20 0 40 > }         //paneled wall
composite { Wall_Panel_B
            translate < 40 0 40 > }         //wall w/window

                                       // West Wall, new        *****
composite { Panel_W2Wide }                  //centered doorway

                                       // East Wall, new        *****
composite { Panel_W2Wide                    //centered doorway
            rotate < 0 180 0 >
            translate < 60 0 40 > }

/*
                         Old West Wall: double panels, no door  *****
composite { Wall_Panel_A                    //paneled wall
            rotate < 0 90 0 >               //  rotated n/s
            translate < 0 0 40 > }
composite { Wall_Panel_A                    //paneled wall
            rotate < 0 90 0 >               //  rotated n/s
            translate < 0 0 20 > }
                                       // Old East Wall         *****
composite { Wall_Panel_A                    //paneled wall
            rotate < 0 90 0 >               //  rotated n/s
            translate < 60 0 40 > }
composite { Wall_Panel_A                    //paneled wall
            rotate < 0 90 0 >               //  rotated n/s
            translate < 60 0 20 > }

// choose one roof:
object    { Roof_B                     // the flat Roof         *****
            texture { spural_texture
                      turbulence 1.0
                      reflection 0.0
                      scale < 0.5 1 0.5 >
                      rotate < 0 90 -10 > }
            scale < 3.3 1.25 2.5 >     //a bit larger than Wing
            translate < 31 21 20 >     //offset to east +1x
            color Cyan
          } //end Roof of Wing

// or the other
object { Roof_Three                    // long x-axis Roof
         texture { DMFDarkOak
                   turbulence 0.1
                   scale < 1 1 1 >
                   rotate < 0 5 0 > }
         scale < 13.5 5.5 22 >
         translate < 30 22.5 20 > } // end Roof 3

composite { FirePlace_A
            scale < 1 1 1 >
            translate < 30 0 35 > }    // cntr north wall Wing 1

object    { Atrium_Floor
            scale < 30.2 0.5 20.2>
            translate < 30 0 20 > }
*/

bounded_by { box
               { UnitBox   scale < 65 38 45 > }
           } // end bounding
          }  // end composite Wing_One

/* ********************************************************************* */
//                                  Wing_Two                             //
/* ********************************************************************* */

// DEFINE  North Wing: Double wide/long version of Wing 1            *****

#declare Wing_Two =
composite {
                                       // Building frame             *****
//   composite { Rafters_A  translate < 0 0 30 > } //ceiling
//   composite { Rafters_A  translate < 0 0 10 > } //ceiling

   composite { Panel_W2Wide }          //North (West) wall           *****

   composite { Panel_W2Wide            //South (East) wall           *****
               translate < 60 0 0 > }

   composite { Panel_W2C               // South Wall                 *****
               translate <  0 0 0 > }       //wall w/window
   composite { Panel_W2D
               translate < 20 0 0 > }       //paneled wall
   composite { Panel_W2C
               translate < 40 0 0 > }       //wall w/window

   composite { Panel_W2C               // North Wall                 *****
               translate <  0 0 40 > }      //wall w/window
   composite { Panel_W2D
               translate < 20 0 40 > }      //paneled wall
   composite { Panel_W2C
               translate < 40 0 40 > }      //wall w/window

   object    { Atrium_Floor            // the Floor                  *****
               scale < 30.2 0.5 20.2>
               translate < 30 0 20 > }

   object    { Roof_B                  // Roof flat slab             *****
               texture { spural_texture
                         turbulence 1.0
                         reflection 0.0
                         scale < 0.5 1 0.5 >
                         rotate < 0 90 -10 > }
               scale < 3.3 1.25 2.5 >  //a bit larger than Wing
               translate < 30 20.5 20 >
               color Cyan
             } //end Roof of Wing

/*
   composite { Atrium_Stairs_B         //W_2 stairs                  *****
               scale < 0.5 0.6 0.25 >
               rotate < 0 180 0 >
               translate < 50 -1.5 20 > }
   composite { Atrium_Stairs_B         //W_2 stairs
               scale < 0.5 0.6 0.25 >
               translate < 10 -1.5 20 > }

   object    { Atrium_Balcony          // W_2 north balcony          *****
               scale < 2.5 0.5 7.5 >
               translate < 4 10 20 > }
   object    { Atrium_Balcony          // W_2 west balcony
               scale < 30 0.5 7.5 >
               translate < 30 10 32.5 > }
   object    { Atrium_Balcony          // W_2 east balcony
               scale < 30 0.5 7.5 >
               translate < 30 10 7.5 > }

   composite { Balcony_Rail_A          // W_2 west balcony           *****
               translate < 0 10 25 > }
   composite { Balcony_Rail_A          // W_2 east balcony
               translate < -10 10 15 > }
// choose one roof
   object    { Roof_Six                // Roof beveled          *****
               texture { DMFDarkOak
                         scale < 0.5 1 1 >
                         rotate < 0 0 -2 > }
               translate < 30 24 20 > }

                                       //lower level lamps
   composite { WallLamp_A  rotate < -90 0 0 >  translate < 10 8 12.5 > }
   composite { WallLamp_A  rotate < -90 0 0 >  translate < 10 8 37.5 > }
   composite { WallLamp_A  rotate < -90 0 0 >  translate < 30 8 12.5 > }
   composite { WallLamp_A  rotate < -90 0 0 >  translate < 30 8 37.5 > }
   composite { WallLamp_A  rotate < -90 0 0 >  translate < 50 8 12.5 > }
   composite { WallLamp_A  rotate < -90 0 0 >  translate < 50 8 37.5 > }

                                       //upper level lamps
   composite { WallLamp_A  rotate < -90 0 0 >  translate < 10 17 12.5 > }
   composite { WallLamp_A  rotate < -90 0 0 >  translate < 10 17 37.5 > }
   composite { WallLamp_A  rotate < -90 0 0 >  translate < 30 17 12.5 > }
   composite { WallLamp_A  rotate < -90 0 0 >  translate < 30 17 37.5 > }
   composite { WallLamp_A  rotate < -90 0 0 >  translate < 50 17 12.5 > }
   composite { WallLamp_A  rotate < -90 0 0 >  translate < 50 17 37.5 > }

   composite { Hyper_Pillar translate < 20 5 26 > }
   composite { Hyper_Pillar translate < 30 5 26 > }
   composite { Hyper_Pillar translate < 40 5 26 > }
   composite { Hyper_Pillar translate < 50 5 26 > }
   composite { Hyper_Pillar translate < 10 5 14 > }
   composite { Hyper_Pillar translate < 20 5 14 > }
   composite { Hyper_Pillar translate < 30 5 14 > }
   composite { Hyper_Pillar translate < 40 5 14 > }
*/
          }  // end composite Wing_Two

/* ********************************************************************* */
//                                Wing_Two_Up                            //
/* ********************************************************************* */

// DEFINE  North Wing: Up-stairs ver of Wing 1                        *****

#declare Wing_Two_Up =
composite {

composite { Panel_W2Wide_B }           //West wall              *****

composite { Panel_W2Wide_B             //East wall              *****
            translate < 60 0 0 > }

composite { Panel_W2C                  // South Wall            *****
            translate <  0 0 0 > }          //wall w/window
composite { Panel_W2C
            translate < 20 0 0 > }          //paneled wall w/window
composite { Panel_W2C
            translate < 40 0 0 > }          //wall w/window

composite { Panel_W2C                  // North Wall            *****
            translate <  0 0 40 > }         //wall w/window
composite { Panel_W2A
            translate < 20 0 40 > }         //paneled wall w/window
composite { Panel_W2C
            translate < 40 0 40 > }         //wall w/window

object    { Atrium_Floor               // the Floor             *****
            scale < 30.2 0.5 20.2>
            translate < 30 0 20 > }

// choose one roof
object    { Roof_Seven                 // Roof beveled          *****
            texture { DMFDarkOak
                      scale < 0.5 1 1 >
                      rotate < 0 90 -2 > }
            translate < 30 22 20 > }

/*
// or the other
object    { Roof_B                     // Roof slab             *****
            texture { spural_texture
                      turbulence 1.0
                      reflection 0.0
                      scale < 0.5 1 0.5 >
                      rotate < 0 90 -10 > }
            scale < 3.3 1.25 2.5 >     //a bit larger than Wing
            translate < 30 20 20 >     //offset to east +1x
            color Cyan
          } //end Roof of Wing

composite { FirePlace_A                // cntr n wall Wing 1    *****
            translate < 30 0 35 > }
*/

          }  // end composite Wing Two Up Stairs

/* ********************************************************************* */
//                                Wing_Three                             //
/* ********************************************************************* */

// DEFINE  3rd Wing of the House: Walls, Ceiling, Floor, etc. *****
//         Round Wing; designed at 0 0 0,  translated to site *****
//         Cylinder and flat walled storys        May-Sept 97 *****

#declare Wing_Three =
composite {
   composite { Foundation_A            //Ground level              *****
               translate < 0 0.5 0 > }
   object    { RFloor                  //Main Floor                *****
               texture { DMFWood4
                         reflection 0.2
                         scale < 25 2 3 >
                         rotate < -50 0 0 > }
               translate < 0 0.3 0 >
               color Gray50
             } // end object           the +0y Floor
   composite { Story1 }                // end composite Story 1
   object    { Story2
               texture { Grnt20
                         scale < 2 2 2 >
                         reflection 0.8 }
             }                         // end object Story 2
   object    { RFloor
               texture { Grnt20 }
               translate < 0 20 0 >
               color Magenta
             } // end object           +20y Floor
   composite { Story3
               rotate < 0 90 0 > }     // end composite Story 3
   object    { RFloor
               texture { Grnt20 }
               translate < 0 30 0 >
               color Magenta
             } // end object           +30y Floor
   composite { Story3
               rotate < 0 180 0 >
               translate < 0 10 0 > }  // end composite Story 4
   object    { RFloor
               texture { Grnt20 }
               translate < 0 40 0 >
               color Magenta
             } // end object           +40y Floor
   composite { Story1
               translate < 0 37.5 0 > }// end composite Story 5
   composite { SupportColumns
               rotate < 0 45 0 >
               translate < 0 25 0 > }
   object    { Pillar_A                //Fire place
               texture { Red_Marble
                         scale < 10 10 10 > }
               scale < 2.2 0.45 2.2 >
               color Orange
             } //end obj Firepit
   object    { Pillar_A                //Pedistal
               texture { Red_Marble
                         scale < 10 10 10 > }
               scale < 2.7 0.30 2.7 >
               color Green
             } //end obj Firepit
   object    { Pillar_A                //Chimney
               texture { Chrome_Metal
                         reflection 0.9 }
               scale < 1 5.5 1 >
               translate < 0 32 0 >
             } //end obj Chimney
   object    { intersection { UCone }  //Smoke hood
               texture { Chrome_Metal
                         reflection 0.9 }
               scale < 3.5 3.3 3.5 >
               translate < 0 7 0 >
               color Violet
             } //end obj Smoke Hood
   composite { Foundation_A            //Roof level                *****
               translate < 0 52 0 > }
   object    { RFloor
               texture { Grnt20 }
               translate < 0 54 0 >
               color DustyRose
             } // end object           +50y Roof

/*
   object { light_source { FireSpot3 } }  // spots on fireplace
   object { light_source { FireSpot4 } }  //        "
   object { light_source { FireSpot5 } }  //        "
*/

   composite { Balcony
               translate < 25 0 0 > }

   bounded_by { intersection
                   { Disk_Y  scale < 34 56 34 > }
              } // end bounding
          }  //  end composite  Wing Three

*/

/* ********************************************************************* */
/* END OF   ROOMS.INC   FILE                                  ********** */
/* ********************************************************************* */
