/* ********************************************************************* */
/*    Filename: TEMPLE.INC              #include file of declarations    */
/*                  Assorted Objects, FXs, and Textures                  */
/*               for use in  Temple, Garden, Floors scenes               */
/*       Used to generate  TEMPLE, GARDEN, CKFLOORx.TGA images           */
/* Michael Brendan Hurley                           AUG-OCT 96  Ver. 1.0 */
/* ********************************************************************* */

/* ********************************************************************* */
//            DEFINE Spot Lights on Specific Objects                     //
/* ********************************************************************* */

// DEFINE Flood Lights for Checkered Floors                *****   *****

#declare FloodSE =
light_source { < 2000 500 -2000 >
               color White
             }  //end light Flood SE 1

#declare FloodSW =
light_source { < -870 870 -870 >
               color White
             }  //end light Flood SE 1

/* ********************************************************************* */

//  DEFINE LIGHTS  on HyperTower *****  *****

#declare HTSpot1 =
light_source { < -20 50 20 >
               color White
               spotlight
               point_at < 45 5 55 >
               tightness 10
               radius 1
               falloff 15
             }  //end light HyperTower1

#declare HTSpot2 =
light_source { < 70 75 20 >
               color White
               spotlight
               point_at < 45 10 55 >
               tightness 5
               radius 1.5
               falloff 10
             }  //end light HyperTower2
/* ********************************** */

//  DEFINE LIGHTS  on  TetraPile  *****

#declare TPSpot1 =                     // on Tetra Pile from west
light_source { < -40 50 -25 >
               color White
               spotlight
               point_at < 10 10 -20 >
               tightness 10
               radius 1
               falloff 15
             }  //end light TetraPile1

#declare TPSpot2 =                     // on TetraPile from east
light_source { < 70 75 -50 >
               color White
               spotlight
               point_at < 10 10 -20 >
               tightness 5
               radius 1.5
               falloff 10
             }  //end light TetraPile2
/* ********************************** */

//  DEFINE LIGHTS  on  *****   Pile O Spheres  SW of Temple   *****

#declare POSSpot1 =                     // on Pile O Spheres from south
light_source { < -50 150 -85 >
               color White
               spotlight
               point_at < -50 10 -20 >
               tightness 5
               radius 1
               falloff 5
             }  //end light P O Spheres
/* ********************************** */

//  DEFINE LIGHTS  on  *****  BlobBox  *****

#declare BBSpot1 =                     // on BlobBox from east
light_source { < -10 85 -65 >
               color White
               spotlight
               point_at < -35 5 -13 >
               tightness 10
               radius 1
               falloff 15
             }  //end BBSpot 1
/* ********************************** */

//  DEFINE LIGHTS  on  *****  Glass Sphere & Rods  *****

#declare SRSpot1 =                     // on Sphere & Rods from east
light_source { < -10 85 -65 >
               color White
               spotlight
               point_at < -35 5 37 >
               tightness 5
               radius 1
               falloff 10
             }  //end SRSpot 1
/* ********************************** */

// DEFINE SPOT LIGHT on Twin Globs obj

#declare TGSpot =
light_source
    { < 0 15 -60 >                     // from due south
      color White
      spotlight
      point_at < -10 0 -20 >           // Twin Globs
      tightness 15
      radius 5
      falloff 10
    }  //end of TGSpot

/* ********************************************************************* */

// DEFINE SPOT LIGHT on Floor NW +1 at < -400 0 400 >

#declare NWSpot =
light_source
    { < 355 165 100>
      color White
      spotlight
      point_at < -400 5 400 >
      tightness 19
      radius 9
      falloff 19
    }  //end of NWSpot

/* ********************************************************************* */

// DEFINE SPOT LIGHT on Floor NE +1 at < 400 0 400 >

#declare NESpot =
light_source
    { < 395 145 60 >                   // from south east of <400 0 400>
      color White
      spotlight
      point_at < 400 5 400 >
      tightness 25
      radius 15
      falloff 30
    }  //end of NESpot

/* ********************************************************************* */

// DEFINE SPOT LIGHT on Floor SW +1 at < -400 0 -400 >

#declare SWSpot =
light_source
    { < -655 165 -655>
      color White
      spotlight
      point_at < -400 0 -400 >
      tightness 25
      radius 20
      falloff 69
    }  //end of SWSpot

/* ********************************************************************* */

// DEFINE SPOT LIGHT on Floor SE +1 at < 400 0 -400 >

#declare SESpot =
light_source
    { < -255 165 -555>
      color White
      spotlight
      point_at < 400 0 -400 >
      tightness 35
      radius 50
      falloff 99
    }  //end of SESpot

/* ********************************************************************* */

#declare FootSpot1 =                   // for Scene NW +1
light_source
    {
      < -460 0.01 350 >                // between pairs of columns
      color LightGrey
    }  //end of FootLight 1

/* ********************************************************************* */
//                           Texture Definitions                         //
/* ********************************************************************* */

// DECLARE TEXTURE ***** Green surface with lavendar cloud pattern

#declare Green_World =
texture { wood
          turbulence 1.25
          color_map {
             [0.0  0.6  color LimeGreen  color ForestGreen]
             [0.1  0.6  color Yellow     color LimeGreen]
             [0.6  1.0  color LimeGreen  color Clear]
                    }  //end color map
          scale < 3.5 1.0 1.0 >
          diffuse 0.55
          brilliance 0.2
          reflection 0.2
        }  //end texture  Green World

/* ********************************************************************* */

// DECLARE TEXTURE ***** Yellow surface with  cloud pattern

#declare Yellow_World =
texture { wood
          turbulence 0.5
          color_map {
             [0.0  0.6  color Orange     color Yellow]
             [0.1  0.6  color Yellow     color Goldenrod]
             [0.6  1.0  color Goldenrod  color Yellow]
                    }  //end of color map
          scale < 2.8 1.25 3.0 >
          diffuse 0.15
          brilliance 0.2
          reflection 0.2
        }  //end texture Yellow World

/* ********************************************************************* */

// DECLARE TEXTURE  *****  Cloudy atmosphere

#declare Cloudy1 =
texture { turbulence 1.2
          bozo
          color_map { //transparent to transparent
                      [0.0 0.5 color red 1   green 1   blue 1   alpha 1
                               color red 1   green 1   blue 1   alpha 1]
                      //transparent to white
                      [0.5 0.8 color red 1   green 1   blue 1   alpha 1
                               color red 1   green 1   blue 0.01]
                      //white to gray
                      [0.8 1.0 color red 1   green 1   blue 0.01
                               color red 0.7 green 0.7 blue 0.7]
                      }  //end colormap
          scale < 0.4  0.058  0.4 >
        }  //end texture  Cloudy1

/* ********************************************************************* */

// DECLARE TEXTURE *****  transparent Sapph_Agate *****

#declare Sapphire_AgateB =
texture { agate
            color_map {
              // deep blue to less deep blue
              [0.0  0.3  color red 0.0  green 0.0  blue 0.9  alpha 1.0
                         color red 0.0  green 0.0  blue 0.8  alpha 1.0]
              // less deep blue to lighter blue
              [0.3  0.6  color red 0.0  green 0.0  blue 0.8  alpha 1.0
                         color red 0.0  green 0.0  blue 0.9]
              // to transparent
              [0.6  1.0  color red 0.0  green 0.0  blue 0.9
                         color red 0.8  green 0.8  blue 1.0]
                      }  //end color map
        }  // end texture

/* ********************************************************************* */

// DEFINE  Ckeckered-Floors Sky TEXTURE   *****   *****

#declare Sky_Agate =
texture { agate
          color_map {
          // transparent fades to
          [0.0  0.95  color red 0.0  green 0.0  blue 0.9  alpha 1.0
                      color red 0.0  green 0.0  blue 0.8  alpha 1.0]
          // less deep blue to lighter blue
          [0.95 1.0   color red 0.5  green 0.0  blue 0.7  alpha 0.5
                      color red 0.5  green 0.5  blue 0.9]
                    }  //end color map
        }  // end texture Sky Agate

/* ********************************************************************* */

#declare Sky_Agate2 =
texture { agate
          color_map {
          // transparent fades to
          [0.0  0.99  color red 0.9  green 0.0  blue 0.0  alpha 1.0
                      color red 0.8  green 0.0  blue 0.0  alpha 1.0]
          // light red to deeper blue
          [0.99 1.0   color red 0.6  green 0.0  blue 0.6  alpha 0.5
                      color red 0.8  green 0.3  blue 0.3]
                    }  //end color map
        }  // end texture Sky Agate 2

/* ********************************************************************* */

// DEFINE A Variant of Jade for Tree Foliage   *****

#declare TreeJade =
texture {
   marble
   color_map {
      [0.0  0.2   color red 0.1  green 0.8  blue 0.1
                  color red 0.0  green 0.4  blue 0.0 ]
      [0.2  0.5   color red 0.1  green 0.7  blue 0.1
                  color red 0.0  green 0.3  blue 0.0 ]
      [0.5  0.85  color red 0.1  green 0.6  blue 0.1
                  color red 0.0  green 0.3  blue 0.0 ]
      [0.85 1.0   color red 0.1  green 0.6  blue 0.1 alpha 0.6
                  color red 0.0  green 0.2  blue 0.0 alpha 0.6]
             } // end color map
   turbulence 19
   reflection 0.1
   diffuse    0.1
   brilliance 0.001
   scale < 2.5 3.0 1.5 >
        } // end texture Tree Jade

/* ********************************************************************* */
/* ********************************************************************* */

// Cracks, Granites, SnakeSkin, etc from Stones.INC, Marble.INC

/* ********************************************************************* */

//-------- Declare Green Colors
#declare g1 = color red 0.26 green 0.41 blue 0.31 //---Light Gray Green
#declare g2 = color red 0.27 green 0.34 blue 0.26 //---Med Gray Green
#declare g3 = color red 0.13 green 0.29 blue 0.28 //---Med Gray Aqua
#declare g4 = color red 0.03 green 0.18 blue 0.08 //---Dark Green

/* ********************************************************************* */

#declare Crack1 = texture {
   marble
   turbulence 0.85
   color_map {
      [0.0   0.04   color Black   alpha 0.6   color Black   alpha 1.0]
      [0.04  0.97   color Scarlet alpha 0.80  color DimGray alpha 0.90]
      [0.97  1.001  color Black   alpha 0.9   color Black   alpha 1.0]
             }  // end color map
                          }  // end texture Crack1

/* ********************************************************************* */

#declare Crack4 = texture {            // Overtint with White Crack
   marble
   turbulence 0.85
   color_map {
      [0.0  0.03   color White  alpha 0.3   color White    alpha 1.0 ]
      [0.03 0.97   color Black  alpha 0.70  color DimGray  alpha 0.90]
      [0.97 1.001  color White  alpha 0.9   color White    alpha 1.0 ]
             }
                          } // end texture

/* ********************************************************************* */

#declare Grnt1 = texture {             // Creamy white with yellow & light gray
   granite
   turbulence 0.6
   colour_map {
      [0.000 0.212   colour red  0.898  green  0.898  blue  0.851  alpha  0.000
      colour red  0.969  green  0.980  blue  0.875  alpha  0.000]
      [0.212 0.424   colour red  0.969  green  0.980  blue  0.875  alpha  0.000
      colour red  0.859  green  0.859  blue  0.859  alpha  0.000]
      [0.424 0.627   colour red  0.859  green  0.859  blue  0.859  alpha  0.000
      colour red  0.992  green  0.922  blue  0.659  alpha  0.000]
      [0.627 0.881   colour red  0.992  green  0.922  blue  0.659  alpha  0.000
      colour red  0.937  green  0.965  blue  0.902  alpha  0.000]
      [0.881 1.001   colour red  0.937  green  0.965  blue  0.902  alpha  0.000
      colour red  0.898  green  0.898  blue  0.851  alpha  0.000]
              } //end map
                         } // end texture

/* ********************************************************************* */

#declare Grnt2 = texture {   //  Deep Cream w/ light rose, yellow orchid & tan
   granite
   turbulence 0.5
   colour_map {
      [0.000 0.178   colour red  0.863  green  0.757  blue  0.596  alpha  0.000
      colour red  0.925  green  0.792  blue  0.714  alpha  0.000]
      [0.178 0.356   colour red  0.925  green  0.792  blue  0.714  alpha  0.000
      colour red  0.871  green  0.702  blue  0.659  alpha  0.000]
      [0.356 0.525   colour red  0.871  green  0.702  blue  0.659  alpha  0.000
      colour red  0.992  green  0.922  blue  0.659  alpha  0.000]
      [0.525 0.729   colour red  0.992  green  0.922  blue  0.659  alpha  0.000
      colour red  0.902  green  0.812  blue  0.714  alpha  0.000]
      [0.729 1.001   colour red  0.902  green  0.812  blue  0.714  alpha  0.000
      colour red  0.863  green  0.757  blue  0.596  alpha  0.000]
              } //end map
                         }  // end texture

/* ********************************************************************* */

#declare Grnt7 = texture {             //  Dark Orchid Olive & Dark Putty
   granite
   turbulence 0.5
   colour_map {
      [0.000 0.153   colour red  0.439  green  0.310  blue  0.282  alpha  0.000
      colour red  0.463  green  0.369  blue  0.259  alpha  0.000]
      [0.153 0.398   colour red  0.463  green  0.369  blue  0.259  alpha  0.000
      colour red  0.541  green  0.369  blue  0.298  alpha  0.000]
      [0.398 0.559   colour red  0.541  green  0.369  blue  0.298  alpha  0.000
      colour red  0.573  green  0.424  blue  0.286  alpha  0.000]
      [0.559 0.729   colour red  0.573  green  0.424  blue  0.286  alpha  0.000
      colour red  0.494  green  0.396  blue  0.306  alpha  0.000]
      [0.729 1.001   colour red  0.494  green  0.396  blue  0.306  alpha  0.000
      colour red  0.439  green  0.310  blue  0.282  alpha  0.000]
   }
}

/* ********************************************************************* */

#declare Grnt9 = texture {             // Light steely grays
   granite
   turbulence 0.6
   colour_map {
      [0.000 0.154   colour red  0.894  green  0.886  blue  0.886  alpha  0.000
      colour red  0.745  green  0.745  blue  0.753  alpha  0.000]
      [0.154 0.308   colour red  0.745  green  0.745  blue  0.753  alpha  0.000
      colour red  0.902  green  0.902  blue  0.859  alpha  0.000]
      [0.308 0.444   colour red  0.902  green  0.902  blue  0.859  alpha  0.000
      colour red  0.729  green  0.706  blue  0.694  alpha  0.000]
      [0.444 0.615   colour red  0.729  green  0.706  blue  0.694  alpha  0.000
      colour red  0.588  green  0.592  blue  0.635  alpha  0.000]
      [0.615 0.803   colour red  0.588  green  0.592  blue  0.635  alpha  0.000
      colour red  0.608  green  0.616  blue  0.659  alpha  0.000]
      [0.803 1.001   colour red  0.608  green  0.616  blue  0.659  alpha  0.000
      colour red  0.894  green  0.886  blue  0.886  alpha  0.000]
   } //end color map
}  // end texture

/* ********************************************************************* */

#declare Grnt15 = texture {            // Black with subtle chroma
   granite
   turbulence 0.6
   colour_map {
      [0.000 0.104   colour red  0.161  green  0.133  blue  0.118  alpha  0.000
                     colour red  0.110  green  0.082  blue  0.071  alpha  0.000]
      [0.104 0.252   colour red  0.110  green  0.082  blue  0.071  alpha  0.000
                     colour red  0.161  green  0.133  blue  0.118  alpha  0.000]
      [0.252 0.383   colour red  0.161  green  0.133  blue  0.118  alpha  0.000
                     colour red  0.000  green  0.000  blue  0.000  alpha  0.000]
      [0.383 0.643   colour red  0.000  green  0.000  blue  0.000  alpha  0.000
                     colour red  0.161  green  0.133  blue  0.118  alpha  0.000]
      [0.643 0.783   colour red  0.161  green  0.133  blue  0.118  alpha  0.000
                     colour red  0.220  green  0.149  blue  0.137  alpha  0.000]
      [0.783 0.922   colour red  0.220  green  0.149  blue  0.137  alpha  0.000
                     colour red  0.000  green  0.000  blue  0.000  alpha  0.000]
      [0.922 0.983   colour red  0.000  green  0.000  blue  0.000  alpha  0.000
                     colour red  0.220  green  0.149  blue  0.137  alpha  0.000]
      [0.983 1.001   colour red  0.220  green  0.149  blue  0.137  alpha  0.000
                     colour red  0.161  green  0.133  blue  0.118  alpha  0.000]
              }  // end color map
                          }  // end texture

/* ********************************************************************* */

#declare Grnt17 = texture {            // bug juice and green
   granite
   turbulence 0.6
   colour_map {
      [0.000 0.303   colour red  0.000  green  0.239  blue  0.000  alpha  0.000
                     colour red  0.333  green  0.294  blue  0.000  alpha  0.000]
      [0.303 0.588   colour red  0.333  green  0.294  blue  0.000  alpha  0.000
                     colour red  0.000  green  0.239  blue  0.341  alpha  0.000]
      [0.588 0.790   colour red  0.000  green  0.239  blue  0.341  alpha  0.000
                     colour red  0.000  green  0.020  blue  0.000  alpha  0.000]
      [0.790 1.001   colour red  0.000  green  0.020  blue  0.000  alpha  0.000
                     colour red  0.000  green  0.239  blue  0.000  alpha  0.000]
              } // end color map
                          }  // end texture Grnt17

/* ******************************************************************** */

#declare Grnt20 = texture {            // White Marble, gray feather veins
   granite
   turbulence 0.0
   color_map {
      [0.0  0.3  color Mica   color White]
      [0.2  0.4  color White  color White]
      [0.4  0.6  color White  color White]
      [0.6  1.0  color White  color White]
             }  // end color map
   0.02
                          }  // end texture

/* ********************************************************************* */

#declare Grnt21 = texture {            // Green Jade
   granite
   turbulence 0.0
   color_map {
      [0.0  0.1  color White      alpha 0.3  color SeaGreen  alpha 0.4]
      [0.1  0.3  color SeaGreen   alpha 0.4  color g2        alpha 0.7 ]
      [0.3  0.5  color g2         alpha 0.7  color DarkGreen alpha 0.7 ]
      [0.5  0.7  color DarkGreen  alpha 0.7  color g4        alpha 0.7 ]
      [0.7  0.8  color g4         alpha 0.7  color DarkGreen alpha 0.7 ]
      [0.8  1.0  color DarkGreen  alpha 0.7  color DarkGreen alpha 0.7 ]
             } // end color map
   0.02
                          }  // end texture Green Jade

/* ********************************************************************* */

#declare Grnt22 = texture {            //Clear with White feather veins, alpha
   granite
   turbulence 0.0
   color_map {
      [0.0   0.07  color White    color White]
      [0.07  0.2   color White    color DimGray ]
      [0.2   0.3   color DimGray  color Clear]
      [0.3   0.7   color Clear    color Clear]
      [0.7   1.0   color Clear    color DimGray ]
             }  // end color map
   0.02
                          }  // end texture

/* ********************************************************************* */

#declare Grnt23 = texture {            // Light Tan to Mauve
   marble
   turbulence 0.5
   colour_map {
      [0.000 0.178   colour red  0.831  green  0.631  blue  0.569  alpha  0.000
                     colour red  0.925  green  0.831  blue  0.714  alpha  0.000]
      [0.178 0.356   colour red  0.925  green  0.831  blue  0.714  alpha  0.000
                     colour red  0.871  green  0.702  blue  0.659  alpha  0.000]
      [0.356 0.525   colour red  0.871  green  0.702  blue  0.659  alpha  0.000
                     colour red  0.831  green  0.631  blue  0.569  alpha  0.000]
      [0.525 0.729   colour red  0.831  green  0.631  blue  0.569  alpha  0.000
                     colour red  0.937  green  0.882  blue  0.820  alpha  0.000]
      [0.729 1.001   colour red  0.937  green  0.882  blue  0.820  alpha  0.000
                     colour red  0.831  green  0.631  blue  0.569  alpha  0.000]
   }
}

/* ********************************************************************* */

#declare Grnt27 = texture {            // Dark Green & Browns
   granite
   colour_map {
    [0.000 0.043   colour red  0.773  green  0.647  blue  0.569  alpha  0.000
                   colour red  0.431  green  0.322  blue  0.227  alpha  0.000]
    [0.043 0.113   colour red  0.431  green  0.322  blue  0.227  alpha  0.000
                   colour red  0.278  green  0.282  blue  0.216  alpha  0.000]
    [0.113 0.304   colour red  0.278  green  0.282  blue  0.216  alpha  0.000
                   colour red  0.278  green  0.282  blue  0.216  alpha  0.000]
    [0.304 0.426   colour red  0.278  green  0.282  blue  0.216  alpha  0.000
                   colour red  0.459  green  0.341  blue  0.243  alpha  0.000]
    [0.426 0.843   colour red  0.459  green  0.341  blue  0.243  alpha  0.000
                   colour red  0.459  green  0.341  blue  0.243  alpha  0.000]
    [0.843 0.878   colour red  0.459  green  0.341  blue  0.243  alpha  0.000
                   colour red  0.459  green  0.341  blue  0.243  alpha  0.000]
    [0.878 0.983   colour red  0.459  green  0.341  blue  0.243  alpha  0.000
                   colour red  0.278  green  0.282  blue  0.216  alpha  0.000]
    [0.983 1.001   colour red  0.278  green  0.282  blue  0.216  alpha  0.000
                   colour red  0.773  green  0.647  blue  0.569  alpha  0.000]
   }
}

/* ********************************************************************* */

#declare Grnt28 = texture {            // Red Swirl
   marble
   turbulence 0.7
   colour_map {
      [0.000 0.155   colour red  0.686  green  0.235  blue  0.282  alpha  0.000
                     colour red  0.686  green  0.235  blue  0.282  alpha  0.000]
      [0.155 0.328   colour red  0.686  green  0.235  blue  0.282  alpha  0.000
                     colour red  0.494  green  0.243  blue  0.294  alpha  0.000]
      [0.328 0.474   colour red  0.494  green  0.243  blue  0.294  alpha  0.000
                     colour red  0.769  green  0.329  blue  0.373  alpha  0.000]
      [0.474 0.647   colour red  0.769  green  0.329  blue  0.373  alpha  0.000
                     colour red  0.769  green  0.329  blue  0.373  alpha  0.000]
      [0.647 0.810   colour red  0.769  green  0.329  blue  0.373  alpha  0.000
                     colour red  0.686  green  0.235  blue  0.282  alpha  0.000]
      [0.810 0.922   colour red  0.686  green  0.235  blue  0.282  alpha  0.000
                     colour red  0.792  green  0.388  blue  0.427  alpha  0.000]
      [0.922 1.001   colour red  0.792  green  0.388  blue  0.427  alpha  0.000
                     colour red  0.686  green  0.235  blue  0.282  alpha  0.000]
              }  // end color map
   0.03
                          }  // end texture

/* ********************************************************************* */

#declare Grnt0a = texture {            //----- Translucent Grnt0
   granite
   turbulence 0.6
   colour_map {
      [0.000 0.153   colour red  0.729  green  0.502  blue  0.451  alpha  0.306
      colour red  0.769  green  0.686  blue  0.592  alpha  0.792]
      [0.153 0.398   colour red  0.769  green  0.686  blue  0.592  alpha  0.792
      colour red  0.843  green  0.753  blue  0.718  alpha  0.396]
      [0.398 0.559   colour red  0.843  green  0.753  blue  0.718  alpha  0.396
      colour red  0.780  green  0.667  blue  0.561  alpha  0.976]
      [0.559 0.729   colour red  0.780  green  0.667  blue  0.561  alpha  0.976
      colour red  0.741  green  0.659  blue  0.576  alpha  0.820]
      [0.729 1.001   colour red  0.741  green  0.659  blue  0.576  alpha  0.820
      colour red  0.729  green  0.502  blue  0.451  alpha  0.306]
   }
}

/* ********************************************************************* */

#declare Grnt16a = texture {           //  Cream Rose & light moss
   granite
   turbulence 0.6
   colour_map {
      [0.000 0.078   colour red  0.769  green  0.722  blue  0.690  alpha  0.180
      colour red  0.745  green  0.690  blue  0.655  alpha  1.000]
      [0.078 0.96   colour red  0.745  green  0.690  blue  0.655  alpha  1.000
      colour red  0.839  green  0.804  blue  0.780  alpha  1.000]
      [0.96 1.001   colour red  0.839  green  0.804  blue  0.780  alpha  0.278
      colour red  0.769  green  0.722  blue  0.690  alpha  0.180]
              }  // end color map
                           }  // end texture

/* ********************************************************************* */

#declare Grnt20a = texture {           // White Feature Viens
   granite
   turbulence 0.0
   color_map {
      [0.0 0.2 color White alpha 0.0 color White alpha 0.7]
      [0.2 0.3 color White alpha 0.7 color Clear ]
      [0.3 1.0 color Clear color Clear]
             }  // end color map
   0.02
                           }  // end texture

/* ********************************************************************* */

#declare marble2 = texture {           // Dark Cream Moss with Alpha
   marble
   colour_map {
      [0.000 0.291   colour red  0.690  green  0.612  blue  0.569  alpha  1.00
      colour red  0.737  green  0.596  blue  0.522  alpha  0.500]
      [0.291 0.316   colour red  0.737  green  0.596  blue  0.522  alpha  0.500
      colour red  0.667  green  0.561  blue  0.514  alpha  0.300]
      [0.316 0.436   colour red  0.667  green  0.561  blue  0.514  alpha  0.300
      colour red  0.788  green  0.667  blue  0.631  alpha  0.500]
      [0.436 0.641   colour red  0.788  green  0.667  blue  0.631  alpha  0.500
      colour red  0.604  green  0.506  blue  0.455  alpha  0.700]
      [0.641 0.692   colour red  0.604  green  0.506  blue  0.455  alpha  0.700
      colour red  0.773  green  0.612  blue  0.569  alpha  0.400]
      [0.692 1.001   colour red  0.773  green  0.612  blue  0.569  alpha  0.400
      colour red  0.690  green  0.612  blue  0.569  alpha  1.000]
              }      // end colour_map
   turbulence 0.5
   0.03
                           }  // end texture marble 2

/* ********************************************************************* */

#declare marble4 = texture {           //Crack and overtint in red
   marble
   color_map {
      [0.0   0.05   color Black  alpha 0.6   color Black  alpha 1.0 ]
      [0.05  0.90   color Red    alpha 0.95  color Red    alpha 0.95]
      [0.90  1.001  color Black  alpha 0.7   color Black  alpha 1.0 ]
             }  // end_color_map
   turbulence 0.7
   0.03
                           }  // end texture marble 4

/* ********************************************************************* */

#declare snk1 = texture {              // snake skin color map
   marble
   colour_map {
      [0.000 0.303 colour red 0.000  green 0.239  blue 0.000  alpha 0.000
                   colour red 0.333  green 0.294  blue 0.000  alpha 0.000]
      [0.303 0.588 colour red 0.333  green 0.294  blue 0.000  alpha 0.000
                   colour red 0.000  green 0.239  blue 0.341  alpha 0.000]
      [0.588 0.790 colour red 0.000  green 0.239  blue 0.341  alpha 0.000
                   colour red 0.000  green 0.020  blue 0.000  alpha 0.000]
      [0.790 1.001 colour red 0.000  green 0.020  blue 0.000  alpha 0.000
                   colour red 0.000  green 0.239  blue 0.000  alpha 0.000]
              }  // end_colour_map
   ripples 1.0 frequency 100
   turbulence 0.3
                        }  // end_texture snk1

#declare snake_skin = texture {        // Snake Skin texture
   snk1 scale <2 5 2> ambient 0.6 phong 1.0 diffuse 1.0
                              }  // end_texture

/* ********************************************************************* */

//------------- Deep Rose & Green Marble with large White Swirls
#declare Stone1 =
texture { Grnt7 scale <2 3 2> rotate <0 0 40> }
texture { Grnt0a scale <2 3 2> rotate <0 0 -30>  phong 1.0 phong_size 90
}

/* ********************************************************************* */

#declare Stone9 =                      //White, LtBlue marble + lite violets
   texture { Grnt9 scale  < 1.1  2.4  1.2 >
                   rotate < 0    0    -30 >
                   rotate < 40   0      0 > }
   texture { Crack1 scale < 1 2 1.4 >
                    rotate < 10 0 -20 >
                    ambient 0.2
                    phong 1.0
                    phong_size 90 }

/* ********************************************************************* */

#declare Stone18 =                     // Green Jade with white veining
texture { color SeaGreen  ambient 0.3  diffuse 0.6  0.03 }
texture { Grnt22   scale <1.5 0.7 0.5>  rotate <0  0  40>  }
texture { Grnt20a  scale <2.5 2.0 0.5>  rotate <0  0 -50>  }
texture { Crack4   scale <0.7 1.0 1.0>  rotate <10 0 -20>
                                  phong 1.0  phong_size 90 }

/* ********************************************************************* */

// DEFINE  Glass TEXTURE

#declare Glass_1 =
   texture { color red 1 green 1 blue 1 alpha 0.75
             ambient 0.01
             diffuse 0.0
             reflection 0.12
             refraction 1.0
             ior 1.45
             specular 1.0
             roughness 0.001
           }  //end texture Glass_1

/* ********************************************************************* */
/*                             Declare Planets                           */
/* ********************************************************************* */

// DEFINE FIRST PLANET ***** Green, grayish planetary surface texture *****

#declare Planet_001 =
object {
  sphere { <0.0 0.0 0.0> 1.0 }
  texture { Green_World
               phong 0.5
               reflection 0.7
               ambient 0.4
               diffuse 0.7
               brilliance 0.6
          } // end texture
       } // end object

/* ********************************************************************* */

// DEFINE SECOND PLANET ***** Yellow brown planet, dull, Dune-like  *****

#declare Planet_002 =
object {
   sphere { <0.0 0.0 0.0> 1.0 }
   texture { Yellow_World
                turbulence 2.0
                phong 0.95
                reflection 0.7
                ambient 0.7
                diffuse 0.7
                brilliance 0.6
           }  //end of texture
       }  //end of obj P 2

/* ********************************************************************* */

// DEFINE THIRD Ver 2 PLANET *****

#declare Planet_003b =
object {
  sphere { <0.0 0.0 0.0> 1.0 }
  texture { Blood_Sky scale <4.0 2.0 1.0>
                      turbulence 2.6
                      reflection 0.6
                      phong 0.5
                      ambient 0.7
                      diffuse 0.7
                      brilliance 0.6
          }  //end texture
       }  //end obj P 3b

/* ********************************************************************* */

// DEFINE THIRD Ver 3 PLANET ***** Ver 2 with cloudy atmosphere *****

#declare Planet_003c =
object {
  sphere { <0.05 0.0 0.0> 1.0 }
    // planetary surface
    texture { Blood_Sky scale <4.0 2.0 1.0>
                        turbulence 2.8
                        reflection 0.25
            }  //end texture
    // cloudy atmosphere
    texture { Cloudy1 }  //end texture
       }  //end of object

/* ********************************************************************* */

// DEFINE SEVENTH PLANET ***** rippling dark green with yellow highlights **

#declare Planet_007 =
object {
  sphere { <0.0 0.0 0.0> 1.0 }
  texture { Jade scale < 3.0 1.1 2.75 >
                 turbulence 3.5
                 reflection 0.6
                 specular 0.6
          }  // end texture 1
  texture { Cloudy1 }  // end texture 2
       }  // end obj  P 7

/* ********************************************************************* */

// DEFINE NINTH PLANET *****  Mirror world  *****

#declare Planet_009 =
object {
  sphere { <0.0 0.0 0.0> 1.0 }
  texture { Silver_Metal               // or any tex to be mirror-ed
              scale < 4 2 2 >
              diffuse 0.0              // these definitions
              reflection 1.0           // set a mirror surface
              brilliance 10.0
              specular 1.0
              roughness 0.03
          }  // end texture
       }  // end object P 9  Mirror

/* ********************************************************************* */
//                            Object Definitions                         //
/* ********************************************************************* */
//                 Simple  Shapes, may be used in any scene              //
/* ********************************************************************* */

// DEFINE  ELLIPSOID  *****   *****

#declare Elli_01a =
object {
   quadric  { Ellipsoid }  //end of quadric Ellip
                                       // define texture, etc in scene
       }  //end of obj Elli_01a

/* ********************************************************************* */

// DECLARE Classic four-sided PYRAMID.
#declare Pyramid =
intersection {
   union {
      triangle { <-1 0 -1> <+1 0 -1> <0 1 0>  }
      triangle { <+1 0 -1> <+1 0 +1> <0 1 0>  }
      triangle { <-1 0 +1> <+1 0 +1> <0 1 0>  }
      triangle { <-1 0 +1> <-1 0 -1> <0 1 0>  }
         }  //end union
   scale <1 2 1>
   translate <0 -1 0>
             }  //end intersection

/* ********************************************************************* */

#declare Center_Pole =
object {                            // A pillar at <0 0 0>
  intersection { Disk_Y }
                 texture { Green_World      // Stone2
                           turbulence 0.0   // Mix colors
                           rotate < 33 0 0 >// tilt texture on
                           rotate < 0 15 0 >//   the object
                         } // end texture
                 scale < 5 20 5 >           // Enlarge entire obj
                 color PaleGreen            // Low res. color
          } // end obj CenterPole

/* ********************************************************************* */

#declare Brick_A =
    object { box { UnitBox
                     scale < 2 2 2 >
                     translate < 0 4 0 >
                 } // end box
           } // end obj

/* ********************************************************************* */

// Piriform: Looks like a hersheys kiss.

#declare Piriform =
quartic {
   < 4.0   0.0   0.0   -4.0  0.0   0.0   0.0   0.0   0.0  0.0
     0.0   0.0   0.0    0.0  0.0   0.0   0.0   0.0   0.0  0.0
     0.0   0.0   0.0    0.0  0.0   1.0   0.0   0.0   0.0  0.0
     0.0   0.0   1.0    0.0  0.0 >
        }  // end quartic

/* ********************************************************************* */

// DECLARE  Tetrahedron Object

#declare Tetrahedron =
intersection { plane { <0.0 -1.0  0.0> 1.0 }
               plane { <0.0  0.0 -1.0> 1.0 rotate <19.47    0.0  0.0> }
               plane { <0.0  0.0 -1.0> 1.0 rotate <19.47 -120.0  0.0> }
               plane { <0.0  0.0 -1.0> 1.0 rotate <19.47  120.0  0.0> }
             }  // end of intersection Tetra

/* ********************************************************************* */

//  Approximation to the helix z = arctan(y/x).

#declare Helix =
object {
   intersection {
      quadric { Cylinder_Z
         scale <2.0 2.0 2.0>
         texture { color Clear }
              } // end quadric Cly Z
      plane { <0.0 0.0 1.0> 1.4142 texture { color Clear } }
      plane { <0.0 0.0 -1.0> 0.0 texture { color Clear } }
      quartic {
         <  0.0   0.0   0.0    0.0  0.0   0.0   0.0    0.0   0.0  0.0
            0.0   0.0   0.0    0.0  0.0   0.0  -0.1666 0.0   1.0  0.0
            0.0   0.0   0.0    0.0  0.0   0.0   0.0    0.5   0.0 -1.0
            0.0   0.0   0.0    0.0  0.0 >
              } // end quartic
                } // end intersection
      }  // end object Helix

/* ********************************************************************* */

// Bicorn: This looks like the top part of a paraboloid,
// bounded from below by another paraboloid. Shapes.INC

#declare Bicorn =
quartic { < 1.0   0.0   0.0   0.0  1.0   0.0   4.0   2.0   0.0 -2.0
            0.0   0.0   0.0   0.0  0.0   0.0   0.0   0.0   0.0  0.0
            0.0   0.0   0.0   1.0  0.0   3.0   0.0   4.0   0.0 -4.0
            1.0   0.0  -2.0   0.0  1.0 >
        }  // end quartic

/* ********************************************************************* */

// DECLARE ELEMENT Octahedron

#declare Octahedron = intersection {
   plane { <0.0 0.0 1.0> 1.0 rotate <35.26438968275 0.0 0.0> }
   plane { <0.0 0.0 1.0> 1.0 rotate <-35.26438968275 0.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <35.26438968275 0.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <-35.26438968275 0.0 0.0> }

   plane { <1.0 0.0 0.0> 1.0 rotate <0.0 0.0 -35.26438968275> }
   plane { <1.0 0.0 0.0> 1.0 rotate <0.0 0.0 35.26438968275> }
   plane { <-1.0 0.0 0.0> 1.0 rotate <0.0 0.0 -35.26438968275> }
   plane { <-1.0 0.0 0.0> 1.0 rotate <0.0 0.0 35.26438968275> }
                                   }   //end intersect Octa

/* ********************************************************************* */

/* Variant of a lemniscate - the two lobes are much more teardrop-like.  */

#declare Twin_Glob =
poly { 6
   < 4.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0 -4.0
     0.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0  0.0
     0.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0  0.0
     0.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0  0.0
     0.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0  0.0
     0.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0  0.0
     0.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0  0.0
     1.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0   0.0  0.0
     0.0   1.0   0.0   0.0 >
     }  // end poly Twin Glob

/* ********************************************************************* */
//                            More Complex Shapes                        //
//                Simple shapes combined to make complex objects         //
//              These shapes are specific to the ChekFloors series       //
/* ********************************************************************* */

#declare Column_1 =                    // lamp globe on pillar
composite {
   object {                                 // sphere as light source
      union {
         sphere { < 0 0 0 > 4 } // end sphere
         light_source {
            < 0 0 0 >
            color red 1 green 1 blue 0.5
            spotlight
            point_at < 0 -20 0 >
            tightness 15
            radius 15
            falloff 40
                      } // end light
            } //end union 1
      texture { color White ambient 1 diffuse 0 }
      no_shadow
      translate < 0 20 0 >
            } // end obj union lamp
   object {                            // column
      Pillar_A
        texture { Stone1
                    turbulence 0.2
                    scale < 2 1 1 >
                    rotate < 45 0 0 >
                } // end texture
            scale < 1.5 4 1.5 >
            color Blue
          } //end obj 2
   object { Planet_001                 // sphere as pedistal
            scale < 5 5 5 >
            color Green
          } //end obj 3
   bounded_by { intersection {
                   Disk_Y
                   scale < 5.1 24.1 5.1 > }
              } // end bounding
          } // end composite Col_1

/* ********************************************************************* */

#declare Column_2 =
composite {
   object { Planet_Blank               // Pedistal
            texture { Gold_Metal
                      reflection 1.0
                    } // end texture
            scale < 4 4 4 >
            color OldGold
          } //end obj 1
   object { Pillar_A                   // Column
            texture { Stone1
                      turbulence 0.2
                      scale < 2 1 1 >
                      rotate < 45 0 0 >
                    } // end texture
            scale < 1.5 4 1.5 >
            color Blue
          } //end obj 2
   object { Planet_Blank               // Capital
            texture { Gold_Metal
                      reflection 1.0
                    } // end texture
            scale < 3 3 3 >
            translate < 0 20 0 >
            color OldGold
          } //end obj 3
   bounded_by { intersection {
                   Disk_Y
                   scale < 5.1 24.1 5.1 > }
              } // end bounding
          } // end composite Col_2

/* ********************************************************************* */
// **********   The Shrine Grove    ********** //
/* ********************************************************************* */

#declare Wall_A =
      composite {
         object { Brick_A                   // 1st layer
                     texture { snake_skin
                               scale < 2 2 2 >
                               turbulence 0.6
                               rotate < 0 30 0 >
                             } // end texture
                     translate < 0 2 0 >
                     color Red
                } // end obj
         object { Brick_A
                     texture { snake_skin
                               scale < 2 2 2 >
                               turbulence 0.44
                               rotate < 0 50 0 >
                             } // end texture
                     translate < 8 2 0 >
                     color Blue
                } // end obj
         object { Brick_A
                     texture { snake_skin
                               scale < 2 2 2 >
                               rotate < 30 0 0 >
                             } // end texture
                     translate < 16 2 0 >
                     color Green
                } // end obj
         object { Brick_A
                     texture { snake_skin
                               scale < 2 2 2 >
                               turbulence 0.44
                               rotate < 0 50 0 >
                             } // end texture
                     translate < -8 2 0 >
                     color Blue
                } // end obj
         object { Brick_A
                     texture { snake_skin
                               scale < 2 2 2 >
                               rotate < 30 0 0 >
                             } // end texture
                     translate < -16 2 0 >
                     color Green
                } // end obj
         object { Brick_A                   // 2nd layer
                     texture { Grnt21
                               scale < 4 2 2 >
                             } // end texture
                     translate < 4 6 0 >
                     color Orange
                } // end obj
         object { Brick_A
                     texture { Grnt21
                               scale < 4 2 2 >
                             } // end texture
                     translate < 12 6 0 >
                     color Yellow
                } // end obj
         object { Brick_A
                     texture { Grnt21
                               scale < 4 2 2 >
                             } // end texture
                     translate < -4 6 0 >
                     color LightBlue
                } // end obj
         object { Brick_A
                     texture { Grnt21
                               scale < 4 2 2 >
                             } // end texture
                     translate < -12 6 0 >
                     color Violet
                } // end obj
         object { Brick_A                      // 3rd layer
                     texture { Grnt22
                               scale < 2 2 2 >
                             } // end texture
                     translate < 0 10 0 >
                     color Red
                } // end obj
         object { Brick_A
                     texture { Grnt22
                               scale < 2 2 2 >
                             } // end texture
                     translate < 8 10 0 >
                     color Blue
                } // end obj
         object { Brick_A
                     texture { Grnt22
                               scale < 2 2 2 >
                             } // end texture
                     translate < 16 10 0 >
                     color Green
                } // end obj
         object { Brick_A
                     texture { Grnt22
                               scale < 2 2 2 >
                             } // end texture
                     translate < -8 10 0 >
                     color Blue
                } // end obj
         object { Brick_A
                     texture { Grnt22
                               scale < 2 2 2 >
                             } // end texture
                     translate < -16 10 0 >
                     color Green
                } // end obj
         object { Brick_A                   // upper east corner
                     texture { Grnt2
                               scale < 2 2 2 >
                             } // end texture
                     scale < 1.5 1.5 1.5 >
                     translate < 20 11 0 >
                     color IndianRed
                } // end obj
         object { Brick_A                   // upper west corner
                     texture { Grnt2
                               scale < 2 2 2 >
                             } // end texture
                     scale < 1.5 1.5 1.5 >
                     translate < -20 11 0 >
                     color IndianRed
                } // end obj
      object { Center_Pole                  // east pillar
                 texture { Stone18 }        // high quality texture
                 scale < 0.5 0.8 0.5 >
                 translate < 20 0 0.5 >     //
             }  // end obj Pole
       object { Center_Pole                 // west pillar
                 texture { Stone18 }        // high quality texture
                 scale < 0.5 0.8 0.5 >
                 translate < -20 0 0.5 >    //
             }  // end obj Pole
       object { Center_Pole                 // top pillar
                 texture { Stone18 }        // high quality texture
                 scale < 0.35 1.0 0.35 >
                 rotate < 0 0 90 >          //
                 translate < 0 17 0.5 >     //
             }  // end obj Pole
       bounded_by { box                //encloses obj to speed rendering
                      { UnitBox   scale < 25.001 23.001 5.001 > }
                  } // end bounding
                }  // end composite Wall_A

/* ********************************************************************* */

#declare Statue_A =
   object {                            // Statue form from ROMO.POV
     union {
       sphere { < 0 8 0 > 2 }               // head
       sphere { < 0 4 0 > 4 }               // body
       box { UnitBox                        // pedistal
             scale < 4.5 1.5 4.5 >
           } //end box
          } // end union
     color Coral
     bounded_by { box {
                     UnitBox
                     scale < 4.51 10 4.51 > }
                } // end bounding
          }  // end object Statue A

/* ********************************************************************* */

#declare Tree_A =
composite {
   object {
      quartic { Piriform               // foliage
                texture { TreeJade     // modified Jade
                        } // end texture
                scale < 12.5 6.5 6.5 >
                rotate < 0 90 0 >
                rotate < -90 0 0 >
                translate < 0 16 0 >
                color ForestGreen
              } // end Piri
          } // end obj Piriform
   object { Center_Pole                // trunk
              texture { DMFWood5 }
              scale < 0.17 0.6 0.17 >
          }  // end obj Pole
   bounded_by { intersection {
                   Disk_Y
                   scale < 5 17 5 > }
              } // end bounding
          }  // end composite  Tree

/* ********************************************************************* */

#declare Row_Of_Trees =
composite {
   composite { Tree_A  translate < 0 0 0 > }
   composite { Tree_A  translate < 0 0 10 > }
   composite { Tree_A  translate < 0 0 20 > }
   composite { Tree_A  translate < 0 0 30 > }
          }  // end composite Row of Trees

/* ********************************************************************* */

// DEFINE  Grove of Trees  OBJECT   *****   ******

#declare Grove_A =                     // a grouping of Trees
composite {
   composite { Tree_A  scale < 1.0 1.0 1.0 >  translate <   0  0.0   0 > }
   composite { Tree_A  scale < 1.1 1.2 1.1 >  translate <   5  0.0   5 > }
   composite { Tree_A  scale < 0.7 0.8 0.7 >  translate <  -6  0.0   9 > }
   composite { Tree_A  scale < 1.2 1.2 1.2 >  translate <  -9  0.0  -5 > }
   composite { Tree_A  scale < 0.5 0.9 0.5 >  translate < -12  0.1   4 > }
   composite { Tree_A  scale < 0.6 1.5 0.6 >  translate <   1  0.0  -5 > }
   composite { Tree_A  scale < 0.7 1.0 0.7 >  translate <   7  0.0  -8 > }
   composite { Tree_A  scale < 0.8 0.8 0.8 >  translate <  15  0.0 -13 > }
   composite { Tree_A  scale < 1.1 0.0 1.1 >  translate <   2  0.0 -17 > }
          }  //end composite Grove A

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE Rectangle Pool with Water   *****  orig. from POOL.POV  *****

#declare Pool_A =
composite {
  object {                             // the Pool
    difference {
      intersection { Cube
                     scale <26.0 3.0 46.0>
                   } // end Cube outside
      intersection { Cube
                     scale <20.0 4.0 40.0>
                   } // end Cube inside
               } // end difference
      texture {                             // blue&white tiles
        checker colour DarkTurquoise colour White
        scale <2.0 2.0 2.0>
              } // end Tiles texture
      color DarkTurquoise                   //low res. color
         } // end obj Pool

  object {
    intersection { Cube                // a cube of water
      scale < 20.0 1.0 40.0 >               // must be same as inside cube
      translate < 0.0 1.5 0.0 >
                 } // end intersect
    texture {                          // water-like effect
      0.05
      color LightBlue
      ripples 0.5
      frequency 100.0
      scale <5.0 5.0 10.0>
      translate <20.0 4.0 -15.0>            // set water surface
      reflection 0.7
      brilliance 3.0
            } // end water texture
    color LightBlue                         // low res. color
         } // end obj Water Cube
    bounded_by { box {                      // bounding shape
                    UnitBox
                    scale < 23.01 4.5 43.01 > }
               } // end bounding
          }  // end composite Pool A

/* ********************************************************************* */

// DEFINE  A Hedge   *****   from POOL.POV   *****

#declare Hedge_A =
object {                               // a cube textured like foliage
   intersection { Cube }
   scale < 5 1 1 >
   texture {
      0.05                                  // This dithers the colours
      color YellowGreen
      turbulence 0.7
      spotted 0.5
      colour_map {
         [0.00 0.25  colour YellowGreen colour Green ]
         [0.25 0.75  colour Green       colour DarkGreen]
         [0.75 1.001 colour DarkGreen   colour YellowGreen ]
           } // end color map
      wrinkles 1.0
      frequency 2000.0
      scale < 10.0 10.0 20.0 >
           } // end texture
   color YellowGreen
       }  // end object Hedge_A

/* ********************************************************************* */

// DEFINE Shrine Grove   *****   Pool, Wall, Statue, Groves   *****

#declare ShrineGrove =
composite {
      object { Hedge_A                      // east of Pool
               scale < 5 3 3 >
               rotate < 0 90 0 >
               translate < 45 0 0 >
             } // end object Hedge A #1
      object { Hedge_A                      // west of Pool
               scale < 5 3 3 >
               rotate < 0 90 0 >
               translate < -45 0 0 >
             } // end object Hedge A #2
                                       // Trees at 45 degrees
      composite { Row_Of_Trees              // SW nearest Wall
                  rotate < 0 -45 0 >
                  translate < -40 0 -45 > }
      composite { Row_Of_Trees              // SE    "
                  rotate < 0 45 0 >
                  translate < 40 0 -45 > }
      composite { Row_Of_Trees              // NE    "
                  rotate < 0 -45 0 >
                  translate < 40 0 40 > }
      composite { Row_Of_Trees              // NW    "
                  rotate < 0 45 0 >
                  translate < -40 0 40 > }
                                       // assorted Groves
      composite { Grove_A                   // NE of Idol
                  rotate < 0 90 0 >
                  translate < 80 0 110 > }
      composite { Grove_A                   // NW
                  scale < 1.2 1.2 1.2 >
                  translate < -80 0 60 > }
      composite { Grove_A                   // SE of Idol
                  translate < 90 0 -40 > }
      composite { Grove_A                   // SW
                  rotate < 0 150 0 >
                  scale < 1.4 1.3 1.4 >
                  translate < -100 0 -80 > }
      composite { Pool_A }
      composite { Wall_A }
      object { Statue_A
               texture { Grnt27
                         scale < 2 2 2 >
                       } // end texture
               scale < 1 1 1 >
               translate < 0 2 -15 >
             } //end obj Statue A
          } // end composite ShrineGrove

/* ********************************************************************* */
// *********   The Holo Deck   ********** //
/* ********************************************************************* */

// DEFINE  A Thin Line of Color   **********

#declare StripeZ =
object { union { Square_Z } // end union   // +-z axis
           texture { Yellow_Tex }
           scale <25 1 1 >           // < L H W >
           translate < 25 -0.5 0 >
           color Yellow
       } // end obj StripeZ

#declare StripeX =
object { union { Square_X } // end union   // +-x axis
           texture { Yellow_Tex }
           scale < 1 1 25 >          // < W H L >
           translate < 0 -0.5 25 >
           color Yellow
       } // end obj StripeX

/* ********************************************************************* */

// DEFINE  A Grid of Stripes: like the Holodeck   **********

#declare HoloGrid =
composite {
      object { StripeZ                 // +z axis
             } // end obj StripeZ
      object { StripeZ
               translate < 0 0 10 >
             } // end obj StripeZ
      object { StripeZ
               translate < 0 0 20 >
             } // end obj StripeZ
      object { StripeZ
               translate < 0 0 30 >
             } // end obj StripeZ
      object { StripeZ
               translate < 0 0 40 >
             } // end obj StripeZ
      object { StripeZ
               translate < 0 0 50 >
             } // end obj StripeZ
      object { StripeX                 // +x axis
             } // end obj StripeX
      object { StripeX
               translate < 10 0 0 >
             } // end obj StripeX
      object { StripeX
               translate < 20 0 0 >
             } // end obj StripeX
      object { StripeX
               translate < 30 0 0 >
             } // end obj StripeX
      object { StripeX
               translate < 40 0 0 >
             } // end obj StripeX
      object { StripeX
               translate < 50 0 0 >
             } // end obj StripeX
          } // end composite HoloGrid

/* ********************************************************************* */

#declare Box_Poles =
composite {
   object { Center_Pole                // NE corner of grid
              scale < 0.4 2.5 0.4 >
              translate < 50 0 50 >
          }  // end object
   object { Center_Pole                // NW corner of grid
              scale < 0.4 2.5 0.4 >
              translate < 0 0 50 >
          }  // end object
   object { Center_Pole                // SE corner of grid
              scale < 0.4 2.5 0.4 >
              translate < 50 0 0 >
          }  // end object
/*
   object { Center_Pole                // SW corner of grid
              scale < 0.4 2.5 0.4 >
              translate < 0 0 0 >
          }  // end object
*/
       }  // end composite Box Poles

/* ********************************************************************* */

// DEFINE  HoloBox   *****   2 walls, floor, ceiling with grids   *****

#declare HoloBox =
composite {
   composite { HoloGrid }              // floor level grid
   composite { HoloGrid                // east wall grid
                 rotate < 0 0 90 >
                 translate < 50 0 0 > }
   object { union { Square_Z }         // east wall
              texture { Black_Tex }
              scale < 25 50 25 >
              rotate < 0 90 0 >
              translate < 50 0 25 >
              color Black
          } // end obj
   composite { HoloGrid                // north wall grid
                 rotate < 0 0 90 >
                 rotate < 0 90 0 >
                 translate < 0 0 50 > }
   object { union { Square_Z }         // north wall
              texture { Black_Tex }
              scale < 25 50 25 >
              translate < 25 0 50 >
              color Black
          } // end obj
   composite { Box_Poles }             // center & corners
//   composite { HoloGrid                // +25y middle of HoloBox
//                 translate < 0 25 0 > }
   composite { HoloGrid                // +50y top of HoloBox
                 translate < 0 50 0 > }
   bounded_by { box { UnitBox
                      scale < 50.1 50.1 50.1 > }
              } // end bounding
          }  // end composite HoloBox

/* ********************************************************************* */
//                            Most Complex Shapes                        //
//   The Temple,  the Original Garden, etc.  ;major elements of scenes   //
/* ********************************************************************* */
/* ********************************************************************* */
// **********                     The Temple                 **********  //
/* ********************************************************************* */

// DEFINE  COMPOSITE Tower of Spheres with Ellip Pedistal  *****  *****

#declare TowerSphere_B =
composite {                            // a group of other objects
                                       // see Manual p. 40
   // DEFINE Element One  Bottom globe *****
   object {                            // 1st obj of composite
      Planet_007                       // has Jade (green) texture
         scale     < 1.8  1.8  1.8 >   // englarge obj by these
         translate < 0.0  1.5  0.0 >   // move obj up or down
         color SeaGreen                // low resolution display color
          }  //end of obj Elem One
   // DEFINE Element Two   *****
   object {                            // 2nd obj of composite
      Planet_Blank
         texture { Stone9              // from Stones.Inc
                   scale < 2.2 1.2 1 >
                   reflection 0.75     // how much light reflects off
                 }  //end texture
         scale     < 1.5  1.5  1.5 >
         translate < 0.0  3.0  0.0 >
         color Aquamarine
          } //end of obj Elem Two
   // DECLARE Element Three   Middle of stack  *****
   object {                            // 3rd obj in composite
      quadric {
         Ellipsoid                     // from Shapes.INC
            texture { Glass            // semi-transparent
                      brilliance 0.95  // 0 = dull 1 = shiny
                      reflection 0.99  // 0 = none 1 = mirror
                      ambient    0.00  // min light
                      diffuse    0.00  // max subdued
                    }  //end texture
            scale     < 1.0  2.2  1.0 >
            translate < 0.0  5.0  0.0 >
            color Blue
              }  //end of quadric Ellipsoid
          }  //end of obj ElemThree
   // DECLARE Element  Four  *****
   object {                            // 4th object in composite
     Planet_Blank                      // same as Element_Two
        texture { Stone9               // from Stones.INC
                  scale < 2.5 1.2 1 >
                  reflection 0.75
                  turbulence 2.0       // how much mixing in texture
                                       // 0 = none 1+ = more
                }  //end texture
        scale     < 1.5  1.5  1.5 >
        translate < 0.0  7.0  0.0 >
        color Aquamarine
          }  //end obj ElemFour
   // DECLARE Element  Five   Top sphere  *****
   object {                            // 5th obj in composite
     Planet_007                        // same as Element_One
         scale     < 2.0  2.0  2.0 >
         translate < 0.0  8.5  0.0 >
         color SeaGreen
          }  //end of obj ElemFive
   // DEFINE Element Pedistal_Base
   object {                            // 6th object in composite
      Elli_01a                         // author's ver of Shapes.INC ver
         texture { Blood_Sky
                   scale < 3 3 1 >
                   turbulence 3.0
                 }  //end texture
         scale     < 8.0  1.45 2.8 >
         translate < 0.0  0.3  0.0 >
         color Scarlet
          }  //end of obj  Ellipsoid  Pedistal_Base
   bounded_by { intersection {
                  Disk_Y
                  scale < 7.8 11.1 7.8 >
                             } //end intersect
              }  // end bounding shape
      }  //end composite  Tower of Spheres

/* ********************************************************************* */

// DECLARE  Composite Temple Ver. B  *****  3 walls, pyramid roof, spires ***

#declare Temple_B =
composite {
  object { This_Wall_1                 // South wall
             texture { Yellow_World
                       scale < 2 4 1 >
                       turbulence 1.75
                       reflection 0.2
                       specular 0.2
                       refraction 0.2
                     }  //end of texture
             scale < 5 5 5 >
             translate < 5 0 0 >       // horz wall 5 over 5 in
                                       // left corner touches <0 0 0 >
             color Red
         }  //end of obj Wall 1
  object { This_Wall_1                 // North wall
             texture { Yellow_World
                       scale < 2 4 1 >
                       turbulence 1.75
                       reflection 0.2
                       specular 0.2
                       refraction 0.02
                     }  //end of texture
             scale < 5 5 5 >
             translate < 5 0 10 >
             color Yellow
         }  //end obj Wall 3
  object { This_Wall_1                 // East wall
             texture { Yellow_World
                       scale < 2 4 1 >
                       turbulence 1.75
                       reflection 0.2
                       specular 0.2
                       refraction 0.02
                     }  //end of texture
             scale < 5 5 5 >
             rotate < 0 90 0 >
             translate < 10 0 5 >
             color Green
         }  //end obj Wall 4
  object { intersection { Pyramid }    // roof
             texture { snake_skin
                       scale < 2.0 2.2 1.0 >
                       brilliance 0.5
                       reflection 0.2
                       specular 0.5
                       diffuse 0.4
                     }  //end texture
             scale < 5 3 5 >
             translate < 5 8 5 >
             color Blue
         }  //end object Roof Pyramid
  object { intersection { Pyramid }    // spire fore
             texture { marble2         // dark silky blue gray red
                       scale < 4 1 2 >
                       brilliance 0.2
                       reflection 0.2
                     }  //end texture Pyrm Spire Fore
             texture { marble4         // overlay black w/ red lines
                       scale < 1 0.5 1 > }  //  Excellent effect!
             scale < 2.0 17.0 1.4 >
             translate < 0.7 0.0 0.0 >
             color Sienna
         }  //end object spire Fore
  object { intersection { Pyramid }    // spire Aft
             texture { marble2
                       scale < 4 1 2 >
                       brilliance 0.2
                       reflection 0.2
                     }  //end texture Pyrm Spire Aft
             texture { marble4
                       scale < 0.5 1 1 > }
             scale < 2.0 17.0 1.4 >
             translate < 0.7 0.0 10.0 >
             color Sienna
         }  //end object spire Aft
  composite { TowerSphere_B
              scale < 0.6 0.6 0.6 >
              rotate < 0 90 0 >
              translate < 5 0 5 >
            }  // end composite TowerSphere
  bounded_by { box { UnitBox
                     scale < 10.5 18.5 20.5 > } } // end bounding
          }  //end composite Temple_B

/* ********************************************************************* */
// **********   The Garden of Objects   ********** //
/* ********************************************************************* */

// DEFINE   BiCorner Hills     *****  *****

#declare BiCorn_Hills =
composite {
object {
   quartic { Bicorn }  //end of quartic
      texture { DMFWood3
                scale < 3 1 1 >
                turbulence 0.4
              }  // end of texture
      scale < 13 13 13 >
      color IndianRed
       }                               // end of object first hill
object {
   quartic { Bicorn }  //end of quartic
      texture { DMFWood2
                scale < 3 2 1 >
                turbulence 0.5
              }  // end of texture
      scale < 11 11 11 >
      translate < 4 0 -5 >
      color Gray80
       }                               // end of object 2nd hill
object {
   quartic { Bicorn }  //end of quartic
      texture { DMFWood3
                scale < 1 1 3 >
                turbulence 0.4
              }  // end of texture
      scale < 7 6 7 >
      translate < 10 0 -2 >
      color Firebrick
       }                               // end of object third hill
object {
   quartic { Bicorn }  //end of quartic
      texture { Green_World
                scale < 3 1 1 >
                turbulence 0.75
              }  // end of texture
      scale < 10 14 10 >
      translate < 17 0 -18 >
      color SpringGreen
       }                               // end of object 4th hill
object {
   quartic { Bicorn }  //end of quartic
      texture { DMFWood5
                scale < 3 1 1 >
                turbulence 0.4
              }  // end of texture
      scale < 6 4 6 >
      translate < 29 0 -13 >
      color VioletRed
       }  // end of object 5th hill

bounded_by { quadric  { Ellipsoid
                        scale < 50 40 40 >
                      } //end quadric
           }  // end bounding shape
          }                            //end composite BiCorn Hills

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE Tetrahedron Pile

#declare Element_TetraPile_B =
composite {
   object {
      intersection { Tetrahedron }  //end intersection
      texture { Grnt21
                scale < 2 4 2 >
              }  //end texture
      scale  < 2 2 2 >
      rotate < 45 0 0 >
      rotate < 0 0 45 >
      color DarkGreen
          }  //end object 1
   object {
      intersection { Tetrahedron }  //end intersection
      texture { Red_Marble
                scale < 1 1 1 >
              }  //end texture
      scale < 1 1.5 1.5 >
      rotate < 45 0 0 >
      rotate < 0 45 0 >
      translate < 2.5 3 2.5 >
      color Red
          }  //end object 2
   object {
      intersection { Tetrahedron }  //end intersection
      texture { Grnt23
                scale < 2 2 1 >
              }  //end texture
      scale  < 1.2 1 1.2 >
      rotate < 0 45 0 >
      rotate < 0 0 45 >
      translate < -1.5 0 -1.5 >
      color Green
          }  //end object 3
          } //end composite TetraPile

/* ********************************************************************* */

// DECLARE ELEMENT_Tetra_3  A bunch of TetraPiles on a platform

#declare Element_Tetra_3 =
composite {
  composite { Element_TetraPile_B      // Tetra 1 NW corner
                scale < 0.45 0.45 0.45 >
                translate < -4 1.2 0 > }
  composite { Element_TetraPile_B      // Tetra 2 SW corner
                rotate < 65 0 0 >
                scale < 0.3 0.8 0.3 >
                translate < -5.5 3.5 -4.5 > }
  composite { Element_TetraPile_B      // Tetra 3 NE corner
                scale < 0.35 0.30 0.35 >
                rotate < 30 45 0 >
                translate < 1 2 2 > }
  composite { Element_TetraPile_B      // Tetra 4 SE corner
                scale < 0.6 0.5 0.4 >
                rotate < 0 45 0 >
                rotate < 0 0 45 >
                translate < 4.5 3 -3.5 > }
  object {                             // Tetra 5 center
    intersection { Tetrahedron }
      texture { Gold_Metal }
      scale < 1 2 1 >
         } // end obj Tetra
  object { box { UnitBox               // platform under objects
                   texture { Cherry_Wood
                             scale < 1.3 1 1 >
                             rotate < 30 0 0 > }
                   scale < 8 0.5 5 >
                   color Green
               }  //end obj box
         }  //end obj Box Platform
  bounded_by {
     box { UnitBox
           scale < 9 9 8 > } }         // end bounding
            }  //end comp of comp object Element_Tetra_3

/* ********************************************************************* */
/* ********************************************************************* */

#declare Element_Octa1 =               // an instance of an Octahedron
object {
   intersection { Octahedron }
   texture { Grnt2
             scale < 4 2 1 >
           }  //end texture
   scale < 3 3 3 >
   color Orange
   bounded_by { box { UnitBox
                      scale < 4 4.5 4 > }
              } // end bounding
       }  //end object Elem_Octa1

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE Blob Two  *****  big spheres, chunky blob comes from str=radius

#declare Blob_Two =
object {
  blob { threshold 0.3
         component 4.8  4.8  < 4.8   3.4   6   >  //middle
         component 5.3  5.3  <-0.5   1.8   7.6 >  //left
         component 4.3  4.3  < 6.3  -1.0   7.5 >  //low right
       }  //end of blob
       } //end of object BlobTwo

/* ********************************************************************* */

// DECLARE BLOB_BOX_B

#declare Blob_Box_B =
composite {
   object {
      box { UnitBox
               texture { DMFLightOak
                         scale < 2 3 2 >
                         rotate < 45 0 0 >
                         rotate < 0 55 0 >
                       }  //end texture
               scale < 3 3 3 >
               color Sienna
          }  //end obj UnitBox
          }  //end of obj unitbox platform
   object { Blob_Two
               texture { Sapphire_AgateB
                         scale < 2 2 2 >
                       }  //end texture
               scale < 0.7 0.7 0.7 >
               translate < -3.5 4.0 -5 >   // on top of platform
               color SeaGreen
          }  //end obj Blob_Two
   bounded_by { box { UnitBox
                      scale < 7 9 7 > }
              } // end bounding
          } // end of composite Blob_Box_B

/* ********************************************************************* */
/* ********************************************************************* */

// DECLARE Piriform with array of glass rods

#declare Piri_Glass_B =
composite {
   object { quartic {                  // 1st object in composite
               Piriform
               texture { Blue_Sky2
                         scale < 4 2 1 >
                       }  //end texture
               scale < 6.1 10 6.1 >
               rotate < 90 0 0 >
               rotate < 0 0 90 >
               translate < 0 8 0 >
               color ForestGreen
                    }  //end of quartic
          }  //end of object PiriForm
   object { intersection { Disk_Y }    // 2nd obj in comp
            texture { Glass
                      brilliance 0.5
                    }  //end texture
            scale < 0.5 20 0.5 >
            translate < -2 0 -2 >
            color Yellow
          }  //end obj Pillar
   object { intersection { Disk_Y }    // 3rd obj in comp
            texture { Glass
                      brilliance 0.5
                    }  //end texture
            scale < 0.5 15 0.5 >
            rotate < 0 0 75 >
            translate < 0 11 0 >
            color Yellow
          }  //end obj Pillar
   object { intersection { Disk_Y }    // 4th obj in comp
            texture { Glass
                      brilliance 0.5
                    }  //end texture
            scale < 0.75 10 0.75 >
            rotate < 50 0 0 >
            rotate < 0 45 0 >
            translate < 3 2 1 >
            color Yellow
          }  //end obj Pillar
   object { intersection { Disk_Y }    // 5th obj in comp
            texture { Glass
                      brilliance 0.5
                    }  //end texture
            scale < 0.5 10 0.5 >
            rotate < -35 0 0 >
            rotate < 0 0 -25 >
            translate < 0 8 0 >
            color Yellow
          }  //end obj Pillar
   object { intersection { Disk_Y }    // 6th obj in comp
            texture { Glass
                      brilliance 0.5
                    }  //end texture
            scale < 0.6 13 0.6 >
            rotate < 66 0 0 >
            translate < 5 5 5 >
            color Yellow
          }  //end obj Pillar
   bounded_by { intersection {
                  Disk_Y
                  scale < 10 15 10 >
                             } //end intersect
              }  // end bounding shape
          }  //end composite Piri_Glass B

/* ********************************************************************* */

// DEFINE ELEMENT SphereRods

#declare SphereRod_B =
   composite {
      object { sphere { < 0 0 0 > 3.15 }
               color White
               texture { Glass_1 }  //end texture of sphere
               translate < 0 6 0 >
             }  //end obj sphere
      object { intersection { Disk_X }
               color Blue
               texture { Glass_1 }  //end texture of Disk X
               scale < 6 1 1 >
               translate < 0 5 2.5 >
             }  //end obj Disk_X
      object { intersection { Disk_Y }
               color Green
               texture { Glass_1 }  //end texture of Disk Y
               scale < 1 5.5 1 >
               translate < 2.5 6 0 >
             }  //end obj Disk_Y
      object { intersection { Disk_Z }
               color Yellow
               texture { Glass_1 }  //end texture of Disk Z
               scale < 0.75 0.75 6 >
               translate < -2.5 7 0 >
             }  //end obj Disk_Z
   bounded_by { box { UnitBox
                      scale < 8 9 8 > }
              } // end bounding
          }  //end composite Crystal Sphere, Rods

/* ********************************************************************* */
/* ********************************************************************* */

#declare Pile_O_Spheres =
composite {
   object { Planet_001
            scale < 2.5 2.5 2.5 >
            translate < 0 0.4 0 >
            color Red }
   object { Planet_003b
            scale < 3.3 3.3 3.3 >
            translate < -2 1 3.75 >
            color Blue }
   object { Planet_009
            scale < 1.3 1.3 1.3 >
            translate < 3 2.2 1.2 >
            color Green }
   object { Planet_002
            scale < 2.2 2.2 2.2 >
            translate < -5 1.3 0.5 >
            color Yellow }
   bounded_by { sphere { < 0 0 0 > 8.5 }
              }//end bounding
          }  // end composite P_O_S

/* ********************************************************************* */
/* ********************************************************************* */

// DECLARE  HyperTower ELEMENT

#declare HyperTower =
composite {
   object {                            // One
   intersection {
      quadric { Hyperboloid_Y
                texture { Grnt1
                          scale < 6 2 1 >
                        }  //end texture
                scale < 2 4.5 2 >
              }  //end quadric
      plane { < 0 1 0 >  10 }          // upper cap on shape
      plane { < 0 1 0 > -10 inverse }  // lower cap on shape
                }  //end of intersection
          }  //end obj #1
   object {                            // Two bottom
      box { UnitBox
            texture { Grnt15
                      scale < 4 2 1 >
                    }  //end texture
            scale < 6 2 7 >
            translate < 0 -11 0 >
           }  //end obj UnitBox
           }  //end obj #2
   object {                            // Three  top
      box { UnitBox
            texture { Grnt15
                      scale < 4 2 1 >
                    }  //end texture
            scale < 6 1.5 6 >
            translate < 0 10 0 >
          }  //end obj UnitBox
          }  //end obj #3
   composite { Pile_O_Spheres
               translate < 0 -10 -10 > }
   object { Pillar_A                   // with HyperTower
              texture { Brass_Valley }
              scale < 2 3 2 >
              translate < 6.5 0 3 >
              color Cyan
          }  // end obj Pillar
   object { Pillar_A                   // same
              texture { Brass_Valley }
              scale < 1.3 2 1.3 >
              translate < 4.3 0 4.5 >
              color Blue
          }  // end obj Pillar
   object { Pillar_A                   // same
              texture { Brass_Valley }
              scale < 1.8 2.5 1.8 >
              translate < 5.5 0 0.8 >
              color Red
          }  // end obj Pillar
   object { Pillar_A                   // same
              texture { Rusty_Iron }
              scale < 1.3 2 1.3 >
              translate < -6 0 -6 >
              color Magenta
          }  // end obj Pillar
   object { Pillar_A                   // same
              texture { Yellow_Pine }
              scale < 1 2.5 1 >
              translate < -5 0 6.8 >
              color SeaGreen
          }  // end obj Pillar
   bounded_by { box { UnitBox
                      scale < 10 20 10 > } } // end bounding
          }  //end composite HyperTower

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE Twin Glob on Platform Composite

#declare Twin_Glob_B =
composite {
   object {                            // obj A
      poly { Twin_Glob
             texture { DMFWood4 } // end texture
           } // end poly
     scale < 5 4 4 >
     rotate < 45 0 0 >
     translate < 0 4 0 >
     color Goldenrod
          } // end obj Twin_Glob
   object {                            // obj B
      intersection { Disk_Y }
      texture { DMFWood1
                turbulence 0.2
                rotate < 33 0 0 >
                rotate < 0 15 0 > } // end texture
      scale < 5.4 2.7 5.4 >
      color PaleGreen
          } // end obj Disk Y pedistal
   bounded_by { intersection { Disk_Y
                scale < 6 7 6 > }
              } // end bounding
      }  //end composite Twin_Glob_B

/* ********************************************************************* */
/* ********************************************************************* */

// copied from P Of V ver. 1.0 sample file. ROMAN.POV

#declare Beam =
   quadric { Cylinder_Y
               scale <0.5 20.0 0.5>
               translate <2.0 0.0 0.0>
           } // end quadric

#declare BaseColumn =                  // a column for the base
object {
   intersection {
      union {
         quadric { Beam }
         quadric { Beam rotate <0.0 -25.7  0.0> }
         quadric { Beam rotate <0.0 -51.4  0.0> }
         quadric { Beam rotate <0.0 -77.1  0.0> }
         quadric { Beam rotate <0.0 -102.8 0.0> }
         quadric { Beam rotate <0.0 -128.5 0.0> }
         quadric { Beam rotate <0.0 -154.2 0.0> }
         quadric { Beam rotate <0.0 -179.9 0.0> }
         quadric { Beam rotate <0.0 -205.6 0.0> }
         quadric { Beam rotate <0.0 -231.3 0.0> }
         quadric { Beam rotate <0.0 -257.0 0.0> }
         quadric { Beam rotate <0.0 -282.7 0.0> }
         quadric { Beam rotate <0.0 -308.4 0.0> }
         quadric { Beam rotate <0.0 -334.1 0.0> }
            } // end union
      plane { <0.0 1.0 0.0> 40.0 }
      plane { <0.0 -1.0 0.0> 0.0 }
                } // end intersection
   bounded_by {
      intersection {
         plane { <0.0 1.0 0.0> 40.0 }
         plane { <0.0 -1.0 0.0> 0.0 }
         quadric {
            Cylinder_Y
            scale <2.51 1.0 2.51>
                 } // end quadric
                   } // end inter
              } // end bounding
   texture {
      Red_Marble
      scale <10.0 10.0 10.0>
      ambient 0.2
      diffuse 0.7
      reflection 0.1
           } //
   colour red 0.8 green 0.0 blue 0.0
       }  // end Base Column

#declare BasePad =                     // a rectangular pad as a footing
object {
   box {
      UnitBox
      scale <4 1 4>
       }
   texture {
      Red_Marble
      scale <10.0 10.0 10.0>
      ambient 0.2
      diffuse 0.7
      reflection 0.1
           }
   colour red 0.6 green 0.6 blue 0.4
       }  // end BasePad

#declare BaseArch =                    // a basic arch to span the columns
object {
   intersection {
      quadric { Cylinder_X scale <1.0 12.5 12.5> }
      quadric { Cylinder_X scale <1.0 8.5 8.5> inverse }
      plane { <1.0 0.0 0.0> 2.0 }
      plane { <-1.0 0.0 0.0> 2.0 }
      plane { <0.0 -1.0 0.0> 0.0 }
                }
   bounded_by {
      quadric {
         Ellipsoid
         scale <5.0 13.0 13.0>
              }
              }  // end bounding
   texture {
      Red_Marble
      scale <10.0 10.0 10.0>
      ambient 0.2
      diffuse 0.7
      reflection 0.1
           }
   colour red 0.8 green 0.8 blue 0.8
                           }  // end BaseArch

#declare BaseFloor =                   // the first floor's floor
object {
   intersection {
      quadric { Cylinder_Y scale <50.0 50.0 50.0> }
      quadric { Cylinder_Y scale <40.0 40.0 40.0> inverse }
      plane { <0.0 1.0 0.0> 2.0 }
      plane { <0.0 -1.0 0.0> 2.0 }
                }
   texture {
      Red_Marble
      scale <10.0 10.0 10.0>
      ambient 0.2
      diffuse 0.7
      reflection 0.1
           }
   colour red 0.8 green 0.8 blue 0.6
                           }  // end Base Floor

#declare FullColumn =                  // ring of columns w/ footings
composite {
   object { BaseColumn translate <45.0   0.0   0.0> }
   object { BasePad    translate <45.0  -1.0   0.0> }
   object { BasePad    translate <45.0  41.0   0.0> }
   object { BaseArch   translate <45.0  42.0   2.0>
                       rotate    < 0.0 -12.85  0.0> }
                                } // end Full Column

#declare Level1 = composite {
   composite { FullColumn }
   composite { FullColumn rotate <0.0 -25.7  0.0> }
   composite { FullColumn rotate <0.0 -51.4  0.0> }
   composite { FullColumn rotate <0.0 -77.1  0.0> }
   composite { FullColumn rotate <0.0 -102.8 0.0> }
   composite { FullColumn rotate <0.0 -128.5 0.0> }
   composite { FullColumn rotate <0.0 -154.2 0.0> }
   composite { FullColumn rotate <0.0 -179.9 0.0> }
   composite { FullColumn rotate <0.0 -205.6 0.0> }
   composite { FullColumn rotate <0.0 -231.3 0.0> }
   composite { FullColumn rotate <0.0 -257.0 0.0> }
   composite { FullColumn rotate <0.0 -282.7 0.0> }
   composite { FullColumn rotate <0.0 -308.4 0.0> }
   composite { FullColumn rotate <0.0 -334.1 0.0> }
   composite { FullColumn rotate <0.0 -334.1 0.0> }
   object { BaseFloor translate <0.0 56.5 0.0>   }
   bounded_by {
      intersection {
         quadric { Cylinder_Y scale <55.0 1.0 55.0> }
         plane { <0.0  -1.0  0.0> 0.0 }
         plane { <0.0  1.0   0.0> 60.0 }
                   }
              } // end bounding
                            }  // end Level1

/* ********************************************************************* */
// *********   The Circle Scene   ********** //
/* ********************************************************************* */

#declare Quad_Part =                   // pillar and 3 spheres
composite {
  object { Pillar_A                    // pillar 1
             texture { Grnt2
                       turbulence 0.9
                       scale < 1 0.51 1.5 >
                       rotate < 0 0 0 >
                       rotate < 0 0 0 >
                       rotate < 0 0 45 >
                     } // end texture
             scale < 1.5 6 1.5 >
             translate < 10 2 0 >           // east
             color Yellow
         }  // end obj Pillar
  object { Planet_Blank                // sphere 1
             texture { Grnt17
                       turbulence 0.2
                       reflection 0.3
                       scale < 1.3 1.3 1.3 >
                       rotate < 0 0 0 >
                     } // end texture
             scale < 3 3 3 >
             translate < 9 1.5 4 >
             color Red
         } // end obj sphere
  object { Planet_Blank                // sphere 2
             texture { Grnt17
                       scale < 1.3 1.3 1.3 >
                       rotate < 0 30 0 >
                     } // end texture
             scale < 2.5 2.5 2.5 >
             translate < 8 1.3 8 >
             color Green
         } // end obj sphere
  object { Planet_Blank                // sphere 3
             texture { Grnt17
                       turbulence 0.2
                       reflection 0.3
                       scale < 1.3 1.3 1.3 >
                       rotate < 0 30 0 >
                     } // end texture
             scale < 3 3 3 >
             translate < 4 1.5 9 >
             color Blue
         } // end obj sphere
          } // end composite Quad Part

/* ******************************************************************** */

// DEFINE Circle from 4 Quadrant Parts at <0 0 0>

#declare Circle_A =
composite {
object { Helix                         // obj #1
           texture { Blue_Agate
                     scale < 2 1 1 >
                     rotate < 15 0 0 >
                   } // end texture
           scale < 2 2 2 >             // enlarge whole obj
           rotate < 0 -90 0 >          // turn fore/aft
           rotate < 190 0 0 >          // turn left/right
           translate < 0 13 1 >        // move obj
           color SeaGreen
       }  // end obj Helix
object { Helix                         // obj #3
           texture { Pink_Granite
                     scale < 2 1 1 >
                     rotate < 0 15 0 >
                   } // end texture
           scale < 1.1 1.3 1.1 >
           rotate < 0 -60 0 >          // turn fore/aft
           rotate < -99 0 0 >          // turn left/right
           rotate < 0 0 -45 >          // turn up/down
           translate < -6 6 -2.5 >
           color SkyBlue
       }  // end obj Helix
   composite { Quad_Part }
   composite { Quad_Part  rotate < 0  90 0 > }
   composite { Quad_Part  rotate < 0 180 0 > }
   composite { Quad_Part  rotate < 0 270 0 > }
   clipped_by {
         intersection {
            Disk_Y
              scale < 9.5 20 9.5 >
                      } // end intersection
              } // end clipping
          } // end composite Circle A

/* ********************************************************************* */
// **********   Assorted Other Objects   ********** //
/* ********************************************************************* */

// DEFINE  Tube Sculpture  *****   *****

#declare Tubes =
composite {
object { Pillar_A
           texture { Yellow_Tex }
           scale < 2 2 2 >             // tube 2x20x2 units +-y
           translate < 20 10 -20 >
       } // end obj Pillar A
object { Pillar_B
           texture { Yellow_Tex }
           scale < 2 2 2 >             // tube 20x2x2 units +-x
           translate < 10 20 -20 >
       } // end obj Pillar B
object { Pillar_C
           texture { Yellow_Tex }
           scale < 2 2 2 >             // tube 2x2x20 units +-z
           translate < 0 20 -10 >
       } // end obj Pillar C
object { Pillar_A
           texture { Yellow_Tex }
           scale < 2 2 2 >             // tube 2x20x2 units +-y
           translate < 0 30 0 >
       } // end obj Pillar A
object { Pillar_B
           texture { Yellow_Tex }
           scale < 4 2 2 >             // tube 40x2x2 units +-x
           translate < 20 40 0 >
       } // end obj Pillar B
object { Pillar_C
           texture { Yellow_Tex }
           scale < 2 2 4 >             // tube 2x2x40 units +-z
           translate < 40 40 -20 >
       } // end obj Pillar C
object { Pillar_A
           texture { Yellow_Tex }
           scale < 2 2 2 >             // tube 2x20x2 units +-y
           translate < 40 30 -40 >
       } // end obj Pillar A
bounded_by { box { UnitBox   scale < 40.001 40.001 40.001 > }
           } // end bounding
          }  // end composite Tubes

/* ********************************************************************* */
/* END OF   TEMPLE.INC   FILE                                 ********** */
/* ********************************************************************* */
