/* ********************************************************************* */
//  TEX.INC edited from TEXTURES.INC :: altered in support of ROOMS.INC  //
//  Persistence of Vision Raytracer V.2  Standard textures include file  //
/* ********************************************************************* */

/* ********************************************************************* */
//                            STONE TEXTURES                             //
/* ********************************************************************* */

// A nice Jade.  Color map works nicely with other textures, too.
#declare Jade = texture {
   marble
   turbulence 1.8
   colour_map {
      [ 0.0  0.8  color  red 0.1  green 0.6  blue 0.1
                  color  red 0.0  green 0.3  blue 0.0 ]
      [ 0.8  1.0  color  red 0.1  green 0.6  blue 0.1
                  color  red 0.0  green 0.2  blue 0.0 ]
              } //end map
                        } // end texture

/* ********************************** */
// Classic white marble with red veins.
#declare Red_Marble = texture {
   marble
   turbulence 1.0
   color_map {
      [ 0.0 0.8   color  red 0.8  green 0.8  blue 0.6
                  color  red 0.8  green 0.4  blue 0.4 ]
      [ 0.8 1.0   color  red 0.8  green 0.4  blue 0.4
                  color  red 0.8  green 0.2  blue 0.2]
             }//end map
                              } // end texture

/* ********************************** */
// White marble with black veins.
#declare White_Marble = texture {
   marble
   turbulence 1.0
   color_map {
      [ 0.0 0.8  color  red 0.9  green 0.9  blue 0.9
                 color  red 0.5  green 0.5  blue 0.5 ]
      [ 0.8 1.0  color  red 0.5  green 0.5  blue 0.5
                 color  red 0.2  green 0.2  blue 0.2 ]
             }//end map
                                } // end texture

/* ********************************** */
// Light blue and black marble with a thin red vein 
// Try changing LBlue and Vein below to modify the marble.
#declare LBlue = colour red 0.0 green 0.6 blue 0.6
#declare Vein = colour red 0.6 green 0.0 blue 0.0
#declare Blood_Marble = texture {
   marble
   turbulence 2.3
   colour_map {
      [0.0 0.8   colour Black  colour LBlue]
      [0.8 0.9   colour LBlue  colour Vein]
      [0.9 1 colour Vein   colour Black]
   }
}

/* ********************************** */
// a grey blue agate -- kind of purplish.
#declare Blue_Agate = texture {
   agate
   color_map {
      [ 0.0  0.5   color  red 0.30  green 0.30  blue 0.50
                   color  red 0.30  green 0.30  blue 0.50 ]
      [ 0.5  0.55  color  red 0.30  green 0.30  blue 0.50
                   color  red 0.20  green 0.20  blue 0.30 ]
      [ 0.55 0.6   color  red 0.20  green 0.20  blue 0.30
                   color  red 0.25  green 0.25  blue 0.35 ]
      [ 0.6  0.7   color  red 0.25  green 0.25  blue 0.35
                   color  red 0.15  green 0.15  blue 0.26 ]
      [ 0.7  0.8   color  red 0.15  green 0.15  blue 0.26
                   color  red 0.10  green 0.10  blue 0.20 ]
      [ 0.8  0.9   color  red 0.10  green 0.10  blue 0.20
                   color  red 0.30  green 0.30  blue 0.50 ]
      [ 0.9  1.0   color  red 0.30  green 0.30  blue 0.50
                   color  red 0.10  green 0.10  blue 0.20 ]
             } //end map
                              } // end texture

/* ********************************** */
#declare Pink_Granite =  texture {
   granite
   turbulence 0
   color_map {
      [ 0.0  0.4   color Black     color Black]
      [ 0.4  0.45  color Quartz    color Quartz]
      [ 0.45 0.5   color Quartz    color Gray]
      [ 0.5  0.55  color Gray      color Feldspar]
      [ 0.55 0.8   color Feldspar  color Feldspar]
      [ 0.8  1.0   color Feldspar  color Orange]
             }//end map
                                 } //end texture

/* ********************************** */
#declare Grnt15b = texture {           // Black with subtle chroma
   granite
   turbulence 0.3
   colour_map {
      [ 0.000 0.104   color  red 0.161  green 0.133  blue 0.118
                      color  red 0.110  green 0.082  blue 0.071 ]
      [ 0.104 0.232   color  red 0.110  green 0.082  blue 0.071
                      color  red 0.161  green 0.133  blue 0.118 ]
      [ 0.232 0.373   color  red 0.161  green 0.133  blue 0.118
                      color  red 0.000  green 0.000  blue 0.000 ]
      [ 0.373 0.643   color  red 0.000  green 0.000  blue 0.000
                      color  red 0.200  green 0.150  blue 0.128 ]
      [ 0.643 0.743   color  red 0.200  green 0.150  blue 0.128
                      color  red 0.380  green 0.289  blue 0.217 ]
      [ 0.743 0.922   color  red 0.380  green 0.289  blue 0.217
                      color  red 0.195  green 0.380  blue 0.150 ]
      [ 0.922 0.983   color  red 0.195  green 0.380  blue 0.150
                      color  red 0.280  green 0.422  blue 0.207 ]
      [ 0.983 1.001   color  red 0.280  green 0.422  blue 0.207
                      color  red 0.381  green 0.483  blue 0.207 ]
              } // end map
} // end texture

//-----Alpha  Dark Cracks
#declare Crack2 = texture {
   granite
   turbulence 0.8
   colour_map {
      [ 0.0  0.5   color Clear  color Clear ]
      [ 0.5  0.54  color Clear  color Black ]
      [ 0.54 1.0   color Clear  color Clear ]
              } //end map
} //end texture

// new tile texture
#declare DarkTile_1 =
texture { Grnt15b  scale < 1 1 1 >  rotate < 0 0 0 > }
texture { Crack2   scale < 1 1 1 >  rotate < 0 0 0 > }

/* ********************************************************************* */
//                           SKY TEXTURES
/* ********************************************************************* */

#declare Bright_AquaBlue =               //Our_House sky
texture {
   bozo
   turbulence  0.4
   colour_map {
      [ 0.0  0.3  color Aquamarine
                  color red 0.4  green 0.4  blue 0.9 ]
      [ 0.3  0.6  color red 0.4  green 0.4  blue 0.9
                  color red 0.5  green 0.5  blue 0.9 ]
      [ 0.6  0.7  color red 0.5  green 0.5  blue 1.0
                  color red 1.0  green 1.0  blue 1.0 ]
      [ 0.7  1.0  color red 1.0  green 1.0  blue 1.0
                  color red 0.5  green 0.5  blue 0.5 ]
              } //end map
        }  //  end Bright Aqua Blue sky

/* ********************************** */
// Red sky w/ yellow clouds -- very surreal.
#declare Blood_Sky = texture {
   bozo
   turbulence 0.5
   color_map {
      [ 0.0 0.5  color  red 0.9  green 0.7    blue 0.0
                 color  red 0.3  green 0.2    blue 0.0 ]
      [ 0.5 0.6  color  red 0.6  green 0.025  blue 0.0
                 color  red 0.9  green 0.7    blue 0.0 ]
      [ 0.6 1.0  color  red 0.6  green 0.025  blue 0.0
                 color  red 0.6  green 0.025  blue 0.0 ]
             } //end map
                             } // end texture

/* ********************************************************************* */
//                           WOODEN TEXTURES
/* ********************************************************************* */

// Dark wood with a greenish hue to it.
#declare Dark_Wood = texture {
   wood
   turbulence 0.2
   color_map {
      [ 0.0 0.8  color red 0.42857  green 0.23810  blue 0.04762
                 color red 0.42857  green 0.23810  blue 0.04762 ]
      [ 0.8 1.0  color red 0.40     green 0.3330   blue 0.0660
                 color red 0.20     green 0.0330   blue 0.0330 ]
              } //end map
} // end texture

/* ********************************** */
// modified Dark wood from above.
#declare Dark_Wood_B = texture {
   wood
   turbulence 0.3 
   color_map {
      [ 0.0 0.2  color red 0.42857  green 0.23810  blue 0.04762
                 color red 0.42857  green 0.23810  blue 0.04762 ]
      [ 0.2 0.4  color red 0.40     green 0.3330   blue 0.0660
                 color red 0.20     green 0.0330   blue 0.0330 ]
      [ 0.4 1.0  color red 0.20     green 0.0330   blue 0.0330
                 color red 0.10     green 0.0220   blue 0.0220 ]
              } //end map
   diffuse 0.3
   brilliance 0.3
   reflection 0.3
} // end texture

/* ********************************** */
#declare DMFWood2 = texture {
   wood
   turbulence 0.03
   octaves 4
   scale <0.05 .05 1>
   colour_map {
      [0.00 0.10 color red 0.52 green 0.37 blue 0.26
      color red 0.52 green 0.37 blue 0.26]
      [0.10 0.90 color red 0.52 green 0.37 blue 0.26
      color red 0.42 green 0.26 blue 0.15]
      [0.90 1.0  color red 0.42 green 0.26 blue 0.15
      color red 0.42 green 0.26 blue 0.15]
   }
}

/* ********************************** */
#declare DMFWood3 = texture {
   wood
   turbulence 0.05
   octaves 2
   scale <0.05 .05 1>
   colour_map {
      [0.00 0.10 color red 0.4 green 0.133 blue 0.066
      color red 0.4 green 0.133 blue 0.066]
      [0.10 0.90 color red 0.4 green 0.133 blue 0.066
      color red 0.2 green 0.065 blue 0.033]
      [0.90 1.0  color red 0.2 green 0.065 blue 0.033
      color red 0.2 green 0.065 blue 0.033]
   }
}

/* ********************************** */
#declare DMFWood4 = texture {
   wood
   turbulence 0.04
   octaves 7                           //Round Wing Floor, formerly octaves 3
   scale <0.05 .05 1>
   colour_map {
      [0.00 0.10 color red 0.888 green 0.600 blue 0.3
                 color red 0.888 green 0.600 blue 0.3]
      [0.10 0.90 color red 0.888 green 0.600 blue 0.3
                 color red 0.6   green 0.4   blue 0.2]
      [0.90 1.0  color red 0.6   green 0.4   blue 0.2
                 color red 0.6   green 0.4   blue 0.2]
              }
                            } //end texture

/* ********************************** */
#declare DMFWood5 = texture {
   wood
   turbulence 0.2
   octaves 6
   scale < 0.075 0.075 1.0 >
   color_map {
      [ 0.00 0.10  color  red 0.30  green 0.10  blue 0.050
                   color  red 0.30  green 0.10  blue 0.050 ]
      [ 0.10 0.90  color  red 0.30  green 0.10  blue 0.050
                   color  red 0.25  green 0.07  blue 0.038 ]
      [ 0.90 1.00  color  red 0.25  green 0.07  blue 0.038
                   color  red 0.25  green 0.07  blue 0.038 ]
             } //end map
                            } //end texture

/* ********************************** */
#declare DMFDarkOak =                  //like old desk oak if used correctly.
texture {
   wood
   turbulence 0.08            // For best results,  keep this low!
   octaves 3
   scale <0.2 0.2 1>          // Scaled on a unit object
   color_map {
      [0.00 0.10 color red 0.60 green 0.30 blue 0.18
                 color red 0.60 green 0.30 blue 0.18 ]
      [0.10 0.90 color red 0.60 green 0.30 blue 0.18
                 color red 0.30 green 0.15 blue 0.09 ]
      [0.90 1.00 color red 0.30 green 0.15 blue 0.09
                 color red 0.30 green 0.15 blue 0.09 ]
              }  //end map
        }  //end tex

/* ********************************************************************* */
/* ********************************************************************* */

#declare br14 = color  red 0.57  green 0.37  blue 0.24
#declare br16 = color  red 0.54  green 0.35  blue 0.25
#declare br17 = color  red 0.56  green 0.31  blue 0.21
#declare br21 = color  red 0.40  green 0.24  blue 0.14
#declare br25 = color  red 0.40  green 0.21  blue 0.15
#declare br27 = color  red 0.30  green 0.14  blue 0.02
#declare br30 = color  red 0.25  green 0.13  blue 0.09

/* ********************************************************************* */

#declare zeb_wood =                    //three layered texture
texture {
   marble
   color_map {
      [0.0 0.2  color br16  color br16]
      [0.2 0.4  color br16  color br14]
      [0.4 0.6  color br14  color br17]
      [0.6 0.8  color br17  color br17]
      [0.8 0.9  color br17  color br14]
      [0.9 1.01 color br14  color br16]
             } //end map
   ambient 0.3
   diffuse 1.2
   turbulence 0.25
   scale <13 13 1>
        } //end texture 1
texture {
   wood
   color_map {
      [0.0  0.05  color br25            color br25 alpha 0.7]
      [0.05 0.2   color br25 alpha 0.7  color br21 alpha 1.0]
      [0.2  0.7   color br21 alpha 1.0  color br21 alpha 0.8]
      [0.7  0.8   color br27 alpha 0.7  color br27 alpha 1.0]
      [0.8  0.9   color br27 alpha 1.0  color br27 alpha 0.7]
      [0.9  1.01  color br27 alpha 1.0  color br30 alpha 0.7]
             } //end map
   turbulence 0.3
   ambient 0.6
   diffuse 0.9
   scale <5 15 5>
        } //end texture 2
texture {
   wood
   color_map {
      [ 0.0  0.05  color br25            color br25 alpha 0.4]
      [ 0.05 0.2   color br25 alpha 0.4  color br21 alpha 0.8]
      [ 0.2  0.7   color br21 alpha 0.8  color br21 alpha 0.9]
      [ 0.7  0.8   color br27 alpha 0.8  color br27 alpha 0.6]
      [ 0.8  0.9   color br27 alpha 0.6  color br27 alpha 0.4]
      [ 0.9  1.01  color br27 alpha 0.5  color br30 alpha 0.8]
             } //end map
   diffuse 0.9
   ambient 0.3
   turbulence 0.2
   scale <4 20 4>
        } //end texture 3

/* ********************************************************************* */

#declare oak =                         //modified from Samples POV
texture {
   wood
   turbulence 1.6
   color_map {
      [0.00 0.10 color red 0.42 green 0.26 blue 0.15
                 color red 0.42 green 0.26 blue 0.15]
      [0.10 0.50 color red 0.42 green 0.26 blue 0.15
                 color red 0.52 green 0.37 blue 0.26]
      [0.50 1.01 color red 0.52 green 0.37 blue 0.26
                 color red 0.52 green 0.37 blue 0.26 ]
             } //end map
   ambient 0.005
   diffuse 0.5
   specular 0.2
   roughness 0.006
   reflection 0.05
        } // end tex oak

/* ********************************************************************* */

#declare pop_wood =
texture {                              //layer 1
   marble
   color_map {
      [0.0 0.2 color br16 color br16]
      [0.2 0.4 color br16 color br14]
      [0.4 0.6 color br14 color br17]
      [0.6 0.8 color br17 color br17]
      [0.8 0.9 color br17 color br14]
      [0.9 1.01 color br14 color br16]
             }
   turbulence 0.4
   scale <13 13 1> 
   ambient 0.8 phong 0.5 
        }
texture {                              //layer 2
   wood
   color_map {
      [ 0.0  0.05  color br25            color br25 alpha 0.5 ]
      [ 0.05 0.2   color br25 alpha 0.5  color br21 alpha 1.0 ]
      [ 0.2  0.7   color br21 alpha 1.0  color br21 alpha 0.8 ]
      [ 0.7  0.8   color br27 alpha 0.7  color br27 alpha 1.0 ]
      [ 0.8  0.9   color br27 alpha 1.0  color br27 alpha 0.7 ]
      [ 0.9  1.01  color br27 alpha 1.0  color br30 alpha 0.5 ]
             }
   turbulence 0.5
   ambient 0.9
   phong 1.0
   scale <5 15 1>
        }

/* ********************************************************************* */

// DECLARE TEXTURE ***** Green surface with lavendar cloud pattern

#declare Green_World =
texture { wood
          turbulence 1.25
          color_map {
             [ 0.0  0.6  color LimeGreen  color ForestGreen ]
             [ 0.1  0.6  color Yellow     color LimeGreen ]
             [ 0.6  1.0  color LimeGreen  color Clear ]
                    }  //end color map
          scale < 3.5 1.0 1.0 >
          diffuse 0.55
          brilliance 0.2
          reflection 0.2
        }  //end texture  Green World

/* ********************************************************************* */

// DEFINE A Variant of Jade for Tree Foliage   *****

#declare TreeJade =
texture {
   0.06
   marble
   color_map {
      [ 0.0  0.2   color red 0.1  green 0.8  blue 0.1
                   color red 0.0  green 0.4  blue 0.0 ]
      [ 0.2  0.5   color red 0.1  green 0.7  blue 0.1
                   color red 0.0  green 0.3  blue 0.0 ]
      [ 0.5  0.85  color red 0.1  green 0.6  blue 0.1
                   color red 0.0  green 0.3  blue 0.0 ]
      [ 0.85 1.0   color red 0.1  green 0.6  blue 0.1  alpha 0.6
                   color red 0.0  green 0.2  blue 0.0  alpha 0.6 ]
             } // end color map
   turbulence 19
   ambient 0.01
   reflection 0.0
   diffuse    0.1
   brilliance 0.0002
   scale < 2.5 3.0 1.5 >
        } // end texture Tree Jade

/* ********************************************************************* */

//DEFINE  a shiny black texture        ***** from Ttexture.INC

#declare Iris =
texture {
   color Black
   ambient 0.05
   diffuse 0.55
   phong 1.0
   phong_size 1000
   specular 1.0
   roughness 0.004
   reflection 0.75
        } // end texture Iris

/* ********************************************************************* */

#declare spural_texture =              //from Ttexture.INC: truely excellent
texture {
   marble
   turbulence 0.7
   color_map {
      [ 0.00  0.53  color Copper
                    color red 0.42  green  0.26 blue 0.15 ]
      [ 0.53  0.65  color red 0.42  green 0.26  blue 0.15
                    color Firebrick ]
      [ 0.65  0.81  color Firebrick
                    color Black ]
      [ 0.81  1.01  color Black
                    color Copper ]
             } //end map
   specular 1.0
   roughness 0.00024
   ambient 0.05
   diffuse 0.65
   reflection 0.7
   rotate < 90 0 0 >
   scale < 2 2 2 >
        }  // end texture spural

/* ********************************************************************* */
//                     SURFACE TEXTURES
/* ********************************************************************* */

// Shiny creates a small, tight highlight on the object's surface
#declare Shiny = texture { specular 1.0 roughness 0.001 }

// a perfectly mirrored texture with no highlights
#declare Mirror = texture {
   ambient 0.0
   diffuse 0.0
   reflection 1.0
}

/* ********************************** */
#declare Glass_A =                     //modified Texture.INC Glass
   texture {
      color red 1 green 1 blue 1 alpha 1
      ambient 0.0
      diffuse 0.0
      specular 0.5
      roughness 0.001
      reflection 0.1
      refraction 1.0
      ior 1.5
           } //end Glass A texture

/* ********************************************************************* */

#declare Black_Tex =
texture { color Black
        } // end Black Texture

/* ********************************** */

#declare Yellow_Tex =
texture { color Yellow
        } // end Yellow Texture

/* ********************************** */

#declare Red_Tex =
texture { color Red
        } // end texture Red

/* ********************************** */

#declare Blue_Tex =
texture { color Blue
        } // end texture Blue

/* ********************************** */

#declare Green_Tex =
texture { color Green
        } // end texture Green

/* ********************************** */

#declare White_Tex =
texture { color White
        } // end texture White

/* ********************************** */

#declare MidBlue_Tex =
texture { color MidnightBlue
        } // end texture Midnight Blue

/* ********************************** */

#declare Gray15_Tex =                  //dark gray
texture { color Gray15
        } // end texture Gray 15

/* ********************************** */

#declare Gray75_Tex =                  //light gray
texture { color Gray75
        } // end texture Gray 75

/* ********************************** */

#declare Clear_Tex =
texture { color Clear
        } // end texture Clear

/* ********************************** */

#declare Chex_Tex =
texture {                              // black & white tiles
   checker  color Black  color White
   scale < 10 10 10 >                  // tiles 10x10 units
        } // end texture B & W checks

/* ********************************** */

#declare Grnt20 = texture {            // White Marble, gray feather veins
   granite
   turbulence 0.0
   color_map {
      [0.0  0.3  color Mica   color White]
      [0.2  0.4  color White  color White]
      [0.4  0.6  color White  color White]
      [0.6  1.0  color White  color White]
             }  // end color map
                          }  // end texture

/* ********************************** */

#declare Grass =   texture {           // variant of Jade, TreeJade
   color YellowGreen
   turbulence 7.5
   spotted 0.1
   colour_map {
      [ 0.00  0.35   color Green        color PaleGreen ]
      [ 0.35  0.60   color PaleGreen    color Green ]
      [ 0.60  0.80   color Green        color SpringGreen ]
      [ 0.80  1.00   color SpringGreen  color LimeGreen ]
              } // end color map
   wrinkles 1.0
   scale < 0.75 0.4 0.75 >
                           } // end Grass texture

/* ********************************************************************* */
//                           METAL TEXTURES
/* ********************************************************************* */

// Good looking "metal" textures
// IMPORTANT: They REQUIRE that colors.inc be included BEFORE textures.inc!
#declare Chrome_Texture = texture {
   ambient 0.3
   diffuse 0.7
   reflection 0.15
   brilliance 8.0
   specular 0.8
   roughness 0.1
   color LightGray
}

// You need to specify a color when Metal is used
#declare Metal = texture {
   metallic
   ambient 0.2
   diffuse 0.7
   brilliance 6.0
   reflection 0.25
   phong 0.75
   phong_size 80
}

// A series of metallic textures using the Metal texture:
#declare Brass_Texture   = texture { Metal  colour Brass      }
#declare Gold_Texture    = texture { Metal  colour BrightGold }
#declare Bronze_Texture  = texture { Metal  colour Bronze     }
#declare Copper_Texture  = texture { Metal  colour Copper     }
#declare Silver_Texture  = texture { Metal  color Silver      }

#declare Chrome_Metal = texture { Chrome_Texture  }
#declare Brass_Metal  = texture { Brass_Texture   }
#declare Gold_Metal   = texture { Gold_Texture    }
#declare Bronze_Metal = texture { Bronze_Texture  }
#declare Copper_Metal = texture { Copper_Texture  }
#declare Silver_Metal = texture { Silver_Texture  }

/* ********************************************************************* */
/* ********************************************************************* */
