/* ********************************************************************* */
//   Filename: NEWHOUSE.INC                             Nov 97 Ver 1.0   //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   Include file of definitions for NewHouse Prototype Designs          //
/* ********************************************************************* */

//  DEFINE  The elements of a Frame Cubic Box
 
#declare Post_Tall =
object { Box_Plain
         texture { Dark_Wood_B 
                   scale < 0.5 0.25 0.5 > }
         color Blue
         scale < 0.5 5.5 0.5 > }

#declare Post_Wide =
object { Box_Plain
         texture { Dark_Wood_B
                   scale < 0.25 0.5 0.5 > }
         color Green
         scale < 5.5 0.5 0.5 > }

#declare Post_Long =
object { Box_Plain
         texture { Dark_Wood_B 
                   scale < 0.5 0.5 0.25 > }
         color Yellow
         scale < 0.5 0.5 5.5 > }


#declare Post_Diagonal_1 =
object { Box_Plain
         texture { Dark_Wood_B 
                   scale < 0.5 0.25 0.5 > }
         color Orange
         scale < 0.5 3.25 0.5 >
         rotate < 0 0 45 > }

#declare Post_Diagonal_2 =
object { Box_Plain
         texture { Dark_Wood_B 
                   scale < 0.5 0.25 0.5 > }
         color Orange
         scale < 0.5 3.25 0.5 >
         rotate < 0 0 -45 > }

#declare Post_Diagonal_3 =
object { Box_Plain
         texture { Dark_Wood_B 
                   scale < 0.5 0.25 0.5 > }
         color Orange
         scale < 0.35 2.25 0.5 >
         rotate < 0 0 45 > }

#declare Post_Diagonal_4 =
object { Box_Plain
         texture { Dark_Wood_B 
                   scale < 0.5 0.25 0.5 > }
         color Orange
         scale < 0.35 2.25 0.5 >
         rotate < 0 0 -45 > }

#declare Post_Diagonal_5 =
object { Box_Plain
         texture { Dark_Wood_B 
                   scale < 0.5 0.25 0.5 > }
         color Orange
         scale < 0.25 3.25 0.5 >
         rotate < 0 0 45 > }

#declare Post_Diagonal_6 =
object { Box_Plain
         texture { Dark_Wood_B 
                   scale < 0.5 0.25 0.5 > }
         color Orange
         scale < 0.25 3.25 0.5 >
         rotate < 0 0 -45 > }

#declare Plaster_Panel =
object { Box_Plain
         texture { Plaster
                   scale < 0.15 0.15 0.15 > }
         color Red
         scale < 5 5 0.4 > }

#declare Medallion_Wood =
object {
   union {
      box { UnitBox }
      intersection { Disk_Z
                     scale < 0.8 0.8 1.1 > }
         } //end union
   texture { Dark_Wood_B
             scale < 0.5 1 0.5 > }
   color Blue
       } // end object Wood Medallion

/* ********************************************************************* */
/*                           Define Boxes, Frames                        */
/* ********************************************************************* */

#declare Post_Box =                    // a cube box
composite {
   object { Post_Tall translate < -5  0 -5 > }
   object { Post_Tall translate <  5  0  5 > }
   object { Post_Tall translate < -5  0  5 > }
   object { Post_Tall translate <  5  0 -5 > }
   object { Post_Wide translate <  0  5 -5 > }
   object { Post_Wide translate <  0  5  5 > }
   object { Post_Wide translate <  0 -5 -5 > }
   object { Post_Wide translate <  0 -5  5 > }
   object { Post_Long translate < -5  5  0 > }
   object { Post_Long translate <  5  5  0 > }
   object { Post_Long translate < -5 -5  0 > }
   object { Post_Long translate <  5 -5  0 > }
          } // end composite Post Box

#declare Square_Frame =                //faces n/s
composite {
   object { Post_Tall translate < -5  0 0 > }
   object { Post_Tall translate <  5  0 0 > }
   object { Post_Wide translate <  0  5 0 > }
   object { Post_Wide translate <  0 -5 0 > }
          } // end composite Square Frame

#declare Rectangle_Frame =             //faces n/s
composite {
   object { Post_Tall translate < -10  0 0 > }   //wide in x-axis
   object { Post_Tall translate <  10  0 0 > }
   object { Post_Wide translate <   5  5 0 > }
   object { Post_Wide translate <  -5  5 0 > }
   object { Post_Wide translate <   5 -5 0 > }
   object { Post_Wide translate <  -5 -5 0 > }
          } // end composite Rectangle Frame

#declare Diagonal_A =                  //basic X
composite {
   object { Post_Diagonal_1 translate < -2  2.5 0 > }
   object { Post_Diagonal_2 translate < -2 -2.5 0 > }
   object { Post_Diagonal_1 translate <  2 -2.5 0 > }
   object { Post_Diagonal_2 translate <  2  2.5 0 > }
          } // end composite Diagonal A

#declare Diagonal_B =                  //basic diamond 1
composite {
   object { Post_Diagonal_3 translate <  3.5  3.5 0 > }
   object { Post_Diagonal_4 translate <  3.5 -3.5 0 > }
   object { Post_Diagonal_3 translate < -3.5 -3.5 0 > }
   object { Post_Diagonal_4 translate < -3.5  3.5 0 > }
          } // end composite Diagonal B

#declare Diagonal_C =                  //basic diamond 2
composite {
   object { Post_Diagonal_5 translate <  2.5  2.5 0 > }
   object { Post_Diagonal_6 translate <  2.5 -2.5 0 > }
   object { Post_Diagonal_5 translate < -2.5 -2.5 0 > }
   object { Post_Diagonal_6 translate < -2.5  2.5 0 > }
          } // end composite Diagonal C

/* ********************************************************************* */

#declare TWall_Square =
composite {
   composite { Square_Frame  translate < 0 5.5 0 > }
//   composite { Diagonal_B    translate < 0 5.5 0 > }
   composite { Diagonal_C    translate < 0 5.5 0 > }
   object    { Plaster_Panel translate < 0 5.5 0 > }
          } // end composite Square Wall Frame

/* ********************************************************************* */

#declare TWall_Rectangle =
composite {
   composite { Rectangle_Frame translate <  0 5.5 0 > }
   composite { Diagonal_C      translate < -5 5.5 0 > }
   composite { Diagonal_C      translate <  5 5.5 0 > }
   object    { Plaster_Panel   translate <  5 5.5 0 > }
   object    { Plaster_Panel   translate < -5 5.5 0 > }
   object    { Medallion_Wood  translate <  0 5.5 0 > }
          } // end composite Rectangle Wall Frame

/* ********************************************************************* */
/*                    Roofs and Towers, from TOWERS.INC                  */
/* ********************************************************************* */

//  DEFINE  A triangular end panel
 
#declare TriA_Panel =
object {
   difference {
      intersection {
         intersection { Cube scale < 1 1 1 > }
         plane { < 0 1 0> 0
                 scale < 1 1 1 >
                 rotate < -45 0 0 >    //45 degree cut from front edge
               } //end clipping plane
                   } //end intersection
              } //end difference
   texture { Dark_Wood_B
             scale < 0.5 0.25 0.5 > }
   scale < 0.5 1 1 >
   color Orange
       } // end object Triangle End Panel

/* ********************************************************************* */

// DEFINE  Square sloped roof   *****

#declare A_Frame_Roof =
composite {
   object { box { UnitBox  scale < 4 0.5 4 > }
            texture { Dark_Wood_B
                      scale < 0.5 0.25 0.5 > }
            rotate < 45 0 0 >
            translate < 0 2 2.5 >      //
            color NeonPink
          } //end obj box
   object { box { UnitBox  scale < 4 0.5 4 > }
            texture { Dark_Wood_B
                      scale < 0.5 0.25 0.5 > }
            rotate < -45 0 0 >
            translate < 0 2 -2.5 >     //
            color ForestGreen
          } //end obj box
   object { box { UnitBox  scale < 4 0.5 4 > }
            texture { Dark_Wood_B
                      scale < 0.5 0.25 0.5 > }
            translate < 0 0.2 0 >      // the base
            color Violet
          } //end obj box
   object { TriA_Panel                 // roof ends
            texture { Plaster }
            scale < 0.5 2.9 2.9 >
            rotate < -135 0 0 >           // point up
            translate < 3.3 0.6 0  > }
   object { TriA_Panel
            texture { Plaster }
            scale < 0.5 2.9 2.9 >
            rotate < -135 0 0 >
            translate < -3.3 0.6 0  > }
          }  //  end composite A-Frame Roof

/* ********************************************************************* */

//  DEFINE  Double A-frame roof

#declare Double_A_Frame =
composite {
composite { A_Frame_Roof
            scale < 2 1 1 > }
composite { A_Frame_Roof
            scale < 2 1 1 >
            rotate < 0 90 0 > }
          }  //  end composite Double AFrame

/* ********************************************************************* */

/*

//  DEFINE  A prototype Tudor-style two story tower

#declare TRoom_Proto =
composite {
   // 1st story
   composite { TWall_Square                   translate <  0  0  0 > }
   composite { Square_Frame                   translate <  0  5 10 > }
   composite { TWall_Square rotate < 0 90 0 > translate < -5  0  5 > }
   composite { TWall_Square rotate < 0 90 0 > translate <  5  0  5 > }
   // 2nd. story
   composite { TWall_Square                   translate <  0 10  0 > }
   composite { TWall_Square rotate < 0 90 0 > translate < -5 10  5 > }
   composite { TWall_Square                   translate <  0 10 10 > }
   composite { TWall_Square rotate < 0 90 0 > translate <  5 10  5 > }
   // or roof 2
   composite { Double_A_Frame
               scale < 1.4 1.0 1.0 >
               translate < 0 20 5 > }
   // roof 1
   composite { A_Frame_Roof
               scale < 1.7 1.3 1.3 >
               rotate < 0 90 0 >          //ends face n/s
               translate < 0 20 5 > }
   bounded_by { box { UnitBox  scale < 10 32 10 > } }

          } // end composite Proto Tudor Room

*/

/* ********************************************************************* */

//  DEFINE  A generic Tudor-style two story tower

#declare TTower_1 =
composite {
   // 1st story
   composite { TWall_Square                   translate <  0  0  0 > }
   composite { TWall_Square rotate < 0 90 0 > translate < -5  0  5 > }
   composite { TWall_Square                   translate <  0  5 10 > }
   composite { TWall_Square rotate < 0 90 0 > translate <  5  0  5 > }
   // 2nd. story
   composite { TWall_Square                   translate <  0 10  0 > }
   composite { TWall_Square rotate < 0 90 0 > translate < -5 10  5 > }
   composite { TWall_Square                   translate <  0 10 10 > }
   composite { TWall_Square rotate < 0 90 0 > translate <  5 10  5 > }
   // roof
   composite { A_Frame_Roof
               scale < 1.7 1.3 1.3 >
               rotate < 0 90 0 >          //ends face n/s
               translate < 0 20 5 > }
   bounded_by { box { UnitBox  scale < 10 31 10 > } }
          } // end composite Tudor Tower 1

/* ********************************************************************* */

//  DEFINE  A modified 2-story tower for TRoom 1

#declare TTower_2 =
composite {
                                       // 1st story
   composite { TWall_Square                   translate <  0  0  0 > }
   composite { Square_Frame                   translate <  0  5 10 > }
   composite { TWall_Square rotate < 0 90 0 > translate < -5  0  5 > }
   composite { TWall_Square rotate < 0 90 0 > translate <  5  0  5 > }
                                       // 2nd. story
   composite { TWall_Square                   translate <  0 10  0 > }
   composite { TWall_Square rotate < 0 90 0 > translate < -5 10  5 > }
   composite { TWall_Square                   translate <  0 10 10 > }
   composite { TWall_Square rotate < 0 90 0 > translate <  5 10  5 > }
                                       // roof 1
   composite { A_Frame_Roof
               scale < 1.7 1.3 1.3 >
               rotate < 0 90 0 >       //ends face n/s
               translate < 0 20 5 > }

   bounded_by { box { UnitBox  scale < 10 32 10 > } }
          } // end composite Tudor Tower 2

/* ********************************************************************* */

#declare TLong_Wall_1 =
composite {
   composite { TTower_2         translate <  0  0  0 > }
   composite { TTower_2         translate < 30  0  0 > }
   composite { TTower_2         translate < 60  0  0 > }
   composite { TWall_Rectangle  translate < 15  0  0 > }
   composite { TWall_Rectangle  translate < 15 10  0 > }
   composite { TWall_Rectangle  translate < 45  0  0 > }
   composite { TWall_Rectangle  translate < 45 10  0 > }
          } // end composite Tudor Long Wall 1

/* ********************************************************************* */

//  DEFINE  A simple large room

#declare TRoom_1 =
composite {
                                       // e&w end tall walls
   composite { TWall_Rectangle rotate < 0 90 0 >  translate <  65  0 20 > }
   composite { TWall_Rectangle rotate < 0 90 0 >  translate <  65 10 20 > }
   composite { TWall_Rectangle rotate < 0 90 0 >  translate <  -5  0 20 > }
   composite { TWall_Rectangle rotate < 0 90 0 >  translate <  -5 10 20 > }
                                       // south wall
   composite { TLong_Wall_1                       translate < 0   0  0 > }
                                       // north wall
   composite { TLong_Wall_1  rotate < 0 180 0 >   translate < 60  0 40 > }
                                       // the long roof
   composite { A_Frame_Roof  scale < 9.2 2 3.75 > translate < 30 21 20 > }
          } // end composite Tudor Simple Room

/* ********************************************************************* */

/* ********************************************************************* */

/* ********************************************************************* */
/*   END of New House Include FILE                                       */
/* ********************************************************************* */
