/* ********************************************************************* */
//   Filename: TUDOR002.POV                                              //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   Revised Universal Scene Template            Aug 96-Oct 97  Ver 2.1  //
//   NH 001: Tudor Tower Room 2                      24 Nov 97           //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "newhouse.inc"

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.6 } }   // ambient light
max_trace_level 4

/* ********************************************************************* */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 5000 }
         texture { Black_Tex           // LightBlue_Tex or BABlue3
//                   scale < 1000 1000 1000 >
//                   ambient 0.6
//                   diffuse 0.6
                 }  //end texture
         color Black                   // LightBlue or MidnightBlue
       }  //end object Sky

/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
  direction < 0 0 2 >                  //
  location  < 40.0 30.0 -70.0 >        // SE
  look_at   <  0.0 10.0   0.0 >        // scene center

//  location  <  0.0 75.0  -10.0 >       // above
//  look_at   <  0.0   0.0    0.0 >      // center

//  location  < 40.0  10.0  5.0 >        // near E
//  look_at   <  0.0  10.0  5.0 >        // center

//  location  < -2 3.5 -35 >             // due South
//  look_at   < -2 3.5   0 >             // scene center
       }  //end of camera Test View

/* ********************************************************************* */
// DEFINE SCENE  *****   TEST OF ASSORTED STANDARDIZED ELEMENTS    ***** //
/* ********************************************************************* */

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES
/* ********************************************************************* */

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
//object { light_source { FloodSW1 } }   // high flood light -1000
//object { light_source { FloodSE1 } }   // high flood light -1000
object { light_source { FloodSE2 } }   // high flood light -500
//composite { Flood_Bank1 }              // pseudo sun  -300
composite { Flood_Bank2 }              // pseudo sun  -700

/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA
/* ********************************************************************* */

camera { TestView }                    // Variable with each view

/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE ELEMENTS IN SCENE
/* ********************************************************************* */

//  DEFINE  A Tudor-style


/* ********************************************************************* */

//object    { Test_Floor texture { Gray75_Tex } }
//composite { RodGrid  translate < 0 0 0 > }

composite { TTower_1 }

/* ********************************************************************* */
/* ********************************************************************* */

/*       STORAGE...
composite { Rectangle_Frame translate < 0 5.5 0 > }
composite { TWall_Rectangle }
composite { TRoom_Proto }
// skeleton of a room:
composite { TWall_Square }
composite { TWall_Square translate < -10 0 0 > }
composite { TWall_Square rotate < 0 90 0 > translate < -15 0 5 > }
composite { TWall_Square rotate < 0 90 0 > translate <   5 0 5 > }

composite { Grid_Zero translate < 0 0 0> }
composite { Grid_Plus translate < 0 0 0> }
composite { Grid_Up   translate < 0 0 0> }
composite { Push_Pin  translate <  20 0 15 > } //markers
composite { Push_Pin  translate <  20 0 65 > }
object { Rod_X  translate < 0 0 0 > }  // yellow e/w
object { Rod_Y  translate < 0 0 0 > }  // red
object { Rod_Z  translate < 0 0 0 > }  // green  n/s
composite { RodGrid  translate < 0  0 0 > }
composite { RodGrid  translate < 0  5 0 > }
composite { RodGrid  translate < 0 10 0 > }
object { Wall_Z1                       //backdrop wall
         texture { Gray75_Tex }
         scale     <  20 10  1 >
         translate < -10 10 15 > } // end Wall Z1
*/

/* ********************************************************************* */
/*  END OF  New House Tester Tudor Tower 1  FILE   ********************* */
/* ********************************************************************* */
