/* ********************************************************************* */
//   Filename: WING3a.POV                                                //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   HOUSE 00: Master copy of Our_House script                19 Apr 97  //
//   WING 3a: Test Wing_Three, the Round Wing         Ver 1.2  1 May 97  //
/* ********************************************************************* */
/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "rooms.inc"                   // Textures, Complex Objects

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.6 } }   // ambient light
max_trace_level 5

/* ********************************************************************* */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 6000 }
/*
         texture { Bright_AquaBlue     //Our_House Sky
                   scale < 1100 100 250 >
                 } //end tex
*/
         texture { Blue_Tex
                   ambient 1.0
                   diffuse 0.0
                 }  //end texture
         color White
       }  //end object Sky

/* ********************************************************************* */

#declare TestSpot2 =
light_source {
   < 490 700 -490 >                       //
   color White
             }  // end of TestSpot 2

/* ********************************************************************* */
/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
   direction < 0 0 1.2 >
//   location  <  170   45    45 >       //mid shot SE HOUSEa.TGA
//   location  <   25  230   -10 >       //above center of 1st room
//   location  <   40  260   -40 >       //above center of Wing/South Wall
//   location  <  -20  345    50 >       //above & s of Atrium center
//   location  <    0   40   300 >       //way N of north Wing
//   location  <  -90   20   140 >       //way W      "
//   location  < -180   40   -90 >       //real long shot SW
//   location  < -200  -35   -80 >       // current Master shot
//   location  <  -25    6   -25 >       //north hallway
//   location  <  -16    3    -4 >       //WING w01
//   location  <  115   45    50 >       //WING3b
//   location  <   19    3     0 >       //short shot SE
//   location  <  140   25   -70 >       //Wing Three basic draft

   location  <  15  15  -15 >        //se interior
   look_at   <   0   3    0 >        //Wing Three draft C view

//   look_at   <   0  2.5     0 >        //WING w01
//   look_at   <   0   45     0 >        //WING3b
//   look_at   <  30   20     0 >        //WING3d  Scene Center
//   look_at   < -20    6    55 >        //north hallway
//   look_at   < -20   20    80 >        // Wing 2 south center
//   look_at   < -50   20   105 >        //W Wall Wing2 1st floor
//   look_at   <   0   20   160 >        //N wall Wing 2nd floor
//   look_at   < -20   20    20 >        //Atrium center
//   look_at   <  30   20    20 >        //center of Room 1
//   look_at   <  40   20    20 >        //center of Wing / South Wall
       }  //end of camera Test View

/* ********************************************************************* */
// DEFINE SCENE  *****   Our_House Wing 3 Scene Tester   ***** //
/* ********************************************************************* */
/* ********************************************************************* */
//                                Wing_Three                             //
/* ********************************************************************* */

// DEFINE  3rd Wing of the House: Walls, Ceiling, Floor, etc. *****
//         Round room; designed at 0 0 0, translated to site  *****
//         revised window_D panels          ver C  4 May 97   *****

#declare Wing_ThreeC =
composite {

   composite { Foundation_A            //Ground level              *****
               translate < 0 0.5 0 > }

   object    { Window_D                //north 1st floor windows
               scale < 7.5 5 1 >
               rotate < 0 24 0  >
               translate < 7 7.5 17 > }
   object    { intersection { Disk_Y }
               texture { DMFDarkOak
                         turbulence 0.5
                         reflection 0.2
                         scale < 3 1 2 >
                         rotate < 0 0 10 > }
               scale < 1 5 1 >
               translate < 0 7.5 20 >
               color Green
             }  // end object
   object    { Window_D                //north
               scale < 7.5 5 1 >
               rotate < 0 -24 0 >
               translate < -7 7.5 17 > }

   object    { Window_D                //south
               scale < 7.5 5 1 >
               rotate < 0 -24 0  >
               translate < 7 7.5 -17 > }
   object    { intersection { Disk_Y }
               texture { DMFDarkOak
                         turbulence 0.5
                         reflection 0.2
                         scale < 3 1 2 >
                         rotate < 0 0 10 > }
               scale < 1 7.5 1 >
               translate < 0 5 -20 >
               color Yellow
             }  // end object
   object    { Window_D                //south
               scale < 7.5 5 1 >
               rotate < 0 24 0  >
               translate < -7 7.5 -17 > }

   object    { Plank_C                 //west panels
               texture { Grnt20
                         scale < 0.5 0.5 0.5 > }
               scale < 7.6 5 0.5 >
               rotate < 0 -66 0 >
               translate < -17 7.5 7 > }    //end 1st flr wall panel

   object    { Plank_C
               texture { Grnt20
                         scale < 0.5 0.5 0.5 > }
               scale < 7.6 5 0.5 >
               rotate < 0 66 0 >
               translate < -17 7.5 -7 > }   //end 1st flr wall panel


   composite { SupportColumns
               rotate < 0 45 0 >
               translate < 0 25 0 > }

   object    { RFloor                  //Main Floor                *****
               texture { DMFWood4
                         reflection 0.2
                         scale < 25 2 3 >
                         rotate < -50 0 0 > }
               translate < 0 0.3 0 >
               color Gray50
             } // end object Floor

   object    { Pillar_A                //Fire place
               texture { Red_Marble }
               scale < 2.2 0.45 2.2 >
               color Orange
             } //end obj Firepit
   object    { Pillar_A                //Fireplace Pedistal
               texture { Red_Marble }
               scale < 2.7 0.30 2.7 >
               color Green
             } //end obj Firepit
   object    { Pillar_A                //Chimney
               texture { Chrome_Metal
                         reflection 0.9 }
               scale < 1 5.5 1 >
               translate < 0 32 0 >
             } //end obj Chimney
   object    { intersection { UCone }  //Smoke hood
               texture { Chrome_Metal
                         reflection 0.9 }
               scale < 3.5 3.3 3.5 >
               translate < 0 7 0 >
               color Violet
             } //end obj Smoke Hood

   object    {                         //2nd story walls           *****
      intersection {
         quadric { Cylinder_Y scale < 1 1 1 > }
         quadric { Cylinder_Y scale < 0.85 0.85 0.85 > inverse }
         plane { < 0.0  1.0  0.0 > 1.0 }
         plane { < 0.0 -1.0  0.0 > 0.0 }
                   } //end intersection
         texture { Grnt20
                   scale < 2 2 2 >
                   reflection 0.8 }
         scale < 20 30 20 >
         translate < 0 10 0 >
         color SpringGreen
       } // end object second story

   composite { Foundation_A            //Roof level                *****
               translate < 0 52 0 > }
   object    { RoundFloor              //+20y floor
               texture { Grnt20 }
               scale < 21 1 21 >
               translate < 0 20 0 >
               color Magenta
             } // end object Floor
   object    { RFloor                  //+50y roof
               texture { Grnt20 }
               translate < 0 54 0 >
               color DustyRose
             } // end object Roof

   object { light_source { TestSpot3 } }    // spots on fireplace
   object { light_source { TestSpot4 } }    //        "
   object { light_source { TestSpot5 } }    //        "

   bounded_by { intersection
                   { Disk_Y  scale < 23 56 23 > }
              } // end bounding
          }  //  end composite  Wing Three C

/* ********************************************************************* */

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
object { light_source { FloodSE2 } }   // high flood light
//object { light_source { FloodSW2 } }   // high flood light
//object { light_source { FloodNW2 } }   // high flood light
//object { light_source { FloodNE2 } }   // high floor light

//                                ***** Test Locations
//object { light_source { TestSpot1 } }  //
object { light_source { TestSpot2 } }  //

//object { light_source { HallSpot1 } }  //
//object { light_source { HallSpot2 } }  //


/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA

camera { TestView }                    // Variable with each view
//camera { OverHigh }                    // < 0 650 -1 >
//camera { OverMed }                     // < 0 300 -1 >
//camera { OverLow }                     // < 0 100 -1 >


/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE Our_House Round Wing SCENE

object { Test_Floor
         texture { Grass } } // end Test Floor

composite { Wing_ThreeC }

composite { Tree_B   scale < 2 2 2 >  translate <  60 0 60 > }
composite { Tree_B   scale < 2 2 2 >  translate <  90 0 60 > }
composite { Tree_B   scale < 2 2 2 >  translate < 120 0 60 > }
object    { Hedge_B  scale < 4 2 2 >  translate < 30 0  50 > }
object    { Hedge_B  scale < 4 2 2 >  translate < 30 0 -10 > }
object    { Hedge_B  scale < 4 2 2 >  translate < -30 0  50 > }
object    { Hedge_B  scale < 4 2 2 >  translate < -30 0 -10 > }

//composite { Wing_One  translate < 15 0 -20 > }   // east wing  demo spot ***

/* ********************************************************************* */
/* ********************************************************************* */

/*      STORAGE   *****

composite { Grid_Zero  translate < 0 0 0> }
composite { Grid_Plus  translate < 0 0 0> }
composite { Grid_Up    translate < 0 0 0> }

composite { Atrium_A }                 // Central Room of Our_House  *****

composite { Wing_One  }                // east wing + ramada         *****
composite { Wing_One                   // north wing                 *****
            rotate < 0 90 0 >
            translate < -40 0 120 > }
composite { Wing_One                   // west wing                  *****
            rotate < 0 180 0 >
            translate < -40 0 40 > }
composite { Wing_Two                   // north wing                 *****
            scale < 2 1 2 >                 //double size
            rotate < 0 90 0 >
            translate < -60 0 180 > }
composite { Wing_Two                   // north wing                 *****
            scale < 2 1 1 >
            translate < -80 20 160 > }      // 2nd. story
composite { Hallway_N }                //north hallway               *****
composite { Wing_Three }               //round wing                  *****
                                       // Decore                     *****
composite { Pic_Frame_A
            translate < 30 15 37 > }   // cntr chimney Wing 1
object    { Picture_B
            translate < 30 0.2 20 > }  //actually a rug front of fireplace
composite { FirePlace_A
            scale < 1 1 1 >
            translate < 30 0 35 > }    // cntr north wall Wing 1
                                       // Landscaping                *****
composite { Tree_B   scale < 2 2 2 >  translate <  60 0 60 > }
composite { Tree_B   scale < 2 2 2 >  translate <  90 0 60 > }
composite { Tree_B   scale < 2 2 2 >  translate < 120 0 60 > }
object    { Hedge_B  scale < 4 2 2 >  translate < 30 0  50 > }
object    { Hedge_B  scale < 4 2 2 >  translate < 30 0 -10 > }
object    { Hedge_B  scale < 4 2 2 >  translate < -30 0  50 > }
object    { Hedge_B  scale < 4 2 2 >  translate < -30 0 -10 > }
composite { Patio_East  translate < 75 0 20 > }
                                       // Structural parts           *****
composite { Tower_A                    //Chrome thing WING10.TGA
            scale < 1.1 1.1 1.1 >
            translate < 7 0 33 > }          //NE corner Wing A
composite { Tower_RC }                 //round tower, cone roof
composite { Tower_SA }                 //round tower, cone roof
object    { Tower_Square
            texture { White_Marble }
            scale < 7 5 6 >
            translate < 0 -2 165 > }   //under 2nd story fireplace
composite { Tower_A
            scale < 7 7 7 >
            translate < 60 -50 160 > } //ne corner W2 2nd story
composite { Tower_A
            scale < 7 7 7 >
            rotate < 0 -90 0 >
            translate < -70 -50 160 > }//nw corner W2 2nd story
composite { Tower_SAA
            scale <1.5 1.5 1.5 >
            translate < -100 0 0 > }   //sw corner W3
composite { Atrium_Stairs translate < -5 0 5 > }

*/     //END STORAGE                                                 *****

/* ********************************************************************* */
/* END OF   Wing 3a   Tester   FILE             ****************** */
/* ********************************************************************* */