/* ********************************************************************* */
//   Filename: WING3c.POV                                                //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   HOUSE 00: Master copy of Our_House script                19 Apr 97  //
//   WING 3a: Test Wing_Three, the Round Wing         Ver 1.2  1 May 97  //
//   WING 3c: revisied Wing_Three                     Ver 1.3  1 Jun 97  //
/* ********************************************************************* */
/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "rooms.inc"                   // Textures, Complex Objects

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.6 } }   // ambient light
max_trace_level 5

/* ********************************************************************* */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 6000 }
         texture { Bright_AquaBlue     //Our_House Sky
                   scale < 1100 100 250 >
                 } //end tex
/*
         texture { Blue_Tex
                   ambient 1.0
                   diffuse 0.0
                 }  //end texture
         color White
*/
       }  //end object Sky

/* ********************************************************************* */

#declare TestSpot2 =
light_source {
   < 490 700 -490 >                       //
   color White
             }  // end of TestSpot 2

/* ********************************************************************* */
/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
   direction <   0  0   1.2 >
   location  < 110 35 -70   >          //Wing Three draft C
   look_at   <   0 25   0   >          //Wing Three draft C
       }  //end of camera Test View

/* ********************************************************************* */
// DEFINE SCENE  *****   Our_House Wing 3 Scene Tester   ***** //
/* ********************************************************************* */

/* ********************************************************************* */
//                                Wing_Three                             //
/* ********************************************************************* */

// DEFINE  3rd Wing of the House: Walls, Ceiling, Floor, etc. *****
//         Round room; designed at 0 0 0, translated to site  *****
//         revised window_D panels          ver C 30 May 97   *****

#declare Wing_ThreeC =
composite {

   composite { Foundation_A            //Ground level              *****
               translate < 0 0.5 0 > }

   object    { Window_D                //north 1st floor windows
               scale < 7.5 5 1 >
               rotate < 0 24 0  >
               translate < 7 7.5 17 > }
   object    { intersection { Disk_Y }
               texture { DMFDarkOak
                         turbulence 0.5
                         reflection 0.2
                         scale < 3 1 2 >
                         rotate < 0 0 10 > }
               scale < 1 5 1 >
               translate < 0 7.5 20 >
               color Green
             }  // end object
   object    { Window_D                //north
               scale < 7.5 5 1 >
               rotate < 0 -24 0 >
               translate < -7 7.5 17 > }

   object    { Window_D                //south
               scale < 7.5 5 1 >
               rotate < 0 -24 0  >
               translate < 7 7.5 -17 > }
   object    { intersection { Disk_Y }
               texture { DMFDarkOak
                         turbulence 0.5
                         reflection 0.2
                         scale < 3 1 2 >
                         rotate < 0 0 10 > }
               scale < 1 7.5 1 >
               translate < 0 5 -20 >
               color Yellow
             }  // end object
   object    { Window_D                //south
               scale < 7.5 5 1 >
               rotate < 0 24 0  >
               translate < -7 7.5 -17 > }

   object    { Plank_C                 //west panels
               texture { Grnt20
                         scale < 0.5 0.5 0.5 > }
               scale < 7.6 5 0.5 >
               rotate < 0 -66 0 >
               translate < -17 7.5 7 > }    //end 1st flr wall panel
   object    { Plank_C
               texture { Grnt20
                         scale < 0.5 0.5 0.5 > }
               scale < 7.6 5 0.5 >
               rotate < 0 66 0 >
               translate < -17 7.5 -7 > }   //end 1st flr wall panel

   composite { SupportColumns          //top to bottom             *****
               rotate < 0 45 0 >
               translate < 0 25 0 > }

   object    { RFloor                  //Main Floor                *****
               texture { DMFWood4
                         reflection 0.2
                         scale < 25 2 3 >
                         rotate < -50 0 0 > }
               translate < 0 0.3 0 >
               color Gray50
             } // end object Floor

   object    { Pillar_A                //Fire place                *****
               texture { Red_Marble }
               scale < 2.2 0.45 2.2 >
               color Orange
             } //end obj Firepit
   object    { Pillar_A                //Fireplace Pedistal
               texture { Red_Marble }
               scale < 2.7 0.30 2.7 >
               color Green
             } //end obj Firepit
   object    { Pillar_A                //Chimney
               texture { Chrome_Metal
                         reflection 0.9 }
               scale < 1 5.5 1 >
               translate < 0 32 0 >
             } //end obj Chimney
   object    { intersection { UCone }  //Smoke hood
               texture { Chrome_Metal
                         reflection 0.9 }
               scale < 3.5 3.3 3.5 >
               translate < 0 7 0 >
               color Violet
             } //end obj Smoke Hood

   object    {                         //2nd story walls           *****
      intersection {
         quadric { Cylinder_Y scale < 1 1 1 > }
         quadric { Cylinder_Y scale < 0.85 0.85 0.85 > inverse }
         plane { < 0.0  1.0  0.0 > 1.0 }
         plane { < 0.0 -1.0  0.0 > 0.0 }
                   } //end intersection
         texture { Grnt20
                   scale < 2 2 2 >
                   reflection 0.8 }
         scale < 20 30 20 >
         translate < 0 10 0 >
         color SpringGreen
       } // end object second story

   composite { Foundation_A            //Roof level                *****
               translate < 0 52 0 > }

   composite { RoundWindow_A           //just below Roof           *****
               translate < 0 45 0 > }
/*
   object    { RoundFloor              //+20y floor
               texture { Grnt20 }
               scale < 21 1 21 >
               translate < 0 20 0 >
               color Magenta
             } // end object Floor
*/
   object    { RFloor                  //+50y roof
               texture { Grnt20 }
               translate < 0 54 0 >
               color DustyRose
             } // end object Roof

   object { light_source { TestSpot3 } }    // spots on fireplace
   object { light_source { TestSpot4 } }    //        "
   object { light_source { TestSpot5 } }    //        "

   bounded_by { intersection
                   { Disk_Y  scale < 23 56 23 > }
              } // end bounding
          }  //  end composite  Wing Three C

/* ********************************************************************* */

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
object { light_source { FloodSE2 } }   // high flood light
//object { light_source { FloodSW2 } }   // high flood light
//object { light_source { FloodNW2 } }   // high flood light
//object { light_source { FloodNE2 } }   // high floor light

//                                ***** Test Locations
//object { light_source { TestSpot1 } }  //
object { light_source { TestSpot2 } }  //


/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA

camera { TestView }                    // Variable with each view
//camera { OverHigh }                    // < 0 650 -1 >
//camera { OverMed }                     // < 0 300 -1 >
//camera { OverLow }                     // < 0 100 -1 >


/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE Our_House Round Wing SCENE

object { Test_Floor
         texture { Grass } } // end Test Floor

composite { Wing_ThreeC }

composite { Tree_B   scale < 2 2 2 >  translate <  30 0  50 > }
composite { Tree_B   scale < 2 2 2 >  translate <  60 0  50 > }
composite { Tree_B   scale < 2 2 2 >  translate <  90 0  50 > }
object    { Hedge_B  scale < 4 2 2 >  translate <  50 0  30 > }
object    { Hedge_B  scale < 4 2 2 >  translate <  50 0 -30 > }
object    { Hedge_B  scale < 4 2 2 >  translate < -50 0  30 > }
object    { Hedge_B  scale < 4 2 2 >  translate < -50 0 -30 > }


/* ********************************************************************* */
/* ********************************************************************* */

/*      STORAGE   *****

composite { Grid_Zero  translate < 0 0 0> }
composite { Grid_Plus  translate < 0 0 0> }
composite { Grid_Up    translate < 0 0 0> }

*/     //END STORAGE                                                 *****

/* ********************************************************************* */
/* END OF   Wing 3c   FILE             ****************** */
/* ********************************************************************* */