/* ********************************************************************* */
//   Filename: WING_003.POV                                              //
//   Michael Brendan Hurley      for     ShadowDancer Enterprizes, LTD.  //
//   HOUSE 00: Master copy of Our_House script                19 Apr 97  //
//   WING 003: Wing_Three, final 1st. draft           Ver 1.0 1 Sept 97  //
/* ********************************************************************* */
/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "rooms.inc"                   // Textures, Complex Objects

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.6 } }   // ambient light
max_trace_level 8

/* ********************************************************************* */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 6000 }
         texture { Bright_AquaBlue     //Our_House Sky
                   scale < 1100 100 250 >
                 } //end tex
/*
         texture { Blue_Tex
                   ambient 1.0
                   diffuse 0.0
                 }  //end texture
         color White
*/
       }  //end object Sky

/* ********************************************************************* */

#declare TestSpot2 =
light_source {
   < 490 700 -490 >                       //
   color White
             }  // end of TestSpot 2

/* ********************************************************************* */
/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
   direction < 0 0 1.5 >
   location  < 100 20  -80 >           //SE view
   look_at   <  30 25    0 >           //Wing Three master view
       }  //end of camera Test View

/* ********************************************************************* */
// DEFINE SCENE  *****   Our_House Wing 3 Scene Tester   ***** //
/* ********************************************************************* */

// LIGHTS!                        ***** DEFINE LIGHT SOURCES

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
object { light_source { FloodSE2 } }   // high flood light
//object { light_source { FloodSW2 } }   // high flood light
//object { light_source { FloodNW2 } }   // high flood light
//object { light_source { FloodNE2 } }   // high floor light

//                                ***** Test Locations
//object { light_source { TestSpot1 } }  //
object { light_source { TestSpot2 } }  //


/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA

camera { TestView }                    // Variable with each view
//camera { OverHigh }                    // < 0 650 -1 >
//camera { OverMed }                     // < 0 300 -1 >
//camera { OverLow }                     // < 0 100 -1 >


/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE Our_House Round Wing SCENE

object { Test_Floor
         texture { Gray75_Tex } } // end Test Floor

composite { Wing_Three }

composite { Tree_B   scale < 2 3   2 >    translate <  30  0  40 > }
composite { Tree_B   scale < 2 2.5 2 >    translate <  60  0  40 > }
composite { Tree_B   scale < 2 2   2 >    translate <  90  0  40 > }
object    { Hedge_B  scale < 4 2   2 >    translate <  30  0 -25 > }
object    { Hedge_B  scale < 4 2   2 >    translate < -30  0 -25 > }

/* ********************************************************************* */
/* ********************************************************************* */

/*      STORAGE   *****

composite { Grid_Zero  translate < 0 0 0> }
composite { Grid_Plus  translate < 0 0 0> }
composite { Grid_Up    translate < 0 0 0> }

composite { Atrium_A }                 // Central Room of Our_House  *****

composite { Wing_One  }                // east wing + ramada         *****
composite { Wing_One                   // north wing                 *****
            rotate < 0 90 0 >
            translate < -40 0 120 > }
composite { Wing_One                   // west wing                  *****
            rotate < 0 180 0 >
            translate < -40 0 40 > }
composite { Wing_Two                   // north wing                 *****
            scale < 2 1 2 >                 //double size
            rotate < 0 90 0 >
            translate < -60 0 180 > }
composite { Wing_Two                   // north wing                 *****
            scale < 2 1 1 >
            translate < -80 20 160 > }      // 2nd. story
composite { Hallway_N }                //north hallway               *****
composite { Wing_Three }               //round wing                  *****

                                       // Decore                     *****
composite { Pic_Frame_A
            translate < 30 15 37 > }   // cntr chimney Wing 1
object    { Picture_B
            translate < 30 0.2 20 > }  //actually a rug front of fireplace
composite { FirePlace_A
            scale < 1 1 1 >
            translate < 30 0 35 > }    // cntr north wall Wing 1

                                       // Landscaping                 *****
composite { Tree_B   scale < 2 2 2 >  translate <  60 0 60 > }
composite { Tree_B   scale < 2 2 2 >  translate <  90 0 60 > }
composite { Tree_B   scale < 2 2 2 >  translate < 120 0 60 > }
object    { Hedge_B  scale < 4 2 2 >  translate < 30 0  50 > }
object    { Hedge_B  scale < 4 2 2 >  translate < 30 0 -10 > }
object    { Hedge_B  scale < 4 2 2 >  translate < -30 0  50 > }
object    { Hedge_B  scale < 4 2 2 >  translate < -30 0 -10 > }
composite { Patio_East  translate < 75 0 20 > }

                                       // Structural parts            *****
composite { Tower_A                    //Chrome thing WING10.TGA
            scale < 1.1 1.1 1.1 >
            translate < 7 0 33 > }          //NE corner Wing A
composite { Tower_RC }                 //round tower, cone roof
composite { Tower_SA }                 //round tower, cone roof
object    { Tower_Square
            texture { White_Marble }
            scale < 7 5 6 >
            translate < 0 -2 165 > }   //under 2nd story fireplace
composite { Tower_A
            scale < 7 7 7 >
            translate < 60 -50 160 > } //ne corner W2 2nd story
composite { Tower_A
            scale < 7 7 7 >
            rotate < 0 -90 0 >
            translate < -70 -50 160 > }//nw corner W2 2nd story
composite { Tower_SAA
            scale <1.5 1.5 1.5 >
            translate < -100 0 0 > }   //sw corner W3
composite { Atrium_Stairs translate < -5 0 5 > }

*/     //END STORAGE                                                  *****

/* ********************************************************************* */
/*  END OF   Wing Three  1st. draft  FILE             ****************** */
/* ********************************************************************* */