/* ********************************************************************* */
//   WOOD.INC     Collection of wood textures from PoV Sample files      //
//                copied into CHAMBERS and ROOMS.INC                     //
/* ********************************************************************* */
/* ********************************************************************* */
#declare oak =
texture {
   wood
   turbulence 1.5  //0.06
   color_map {
      [0.00 0.10 color red 0.42 green 0.26 blue 0.15
                 color red 0.42 green 0.26 blue 0.15]
      [0.10 0.50 color red 0.42 green 0.26 blue 0.15
                 color red 0.52 green 0.37 blue 0.26]
      [0.50 1.01 color red 0.52 green 0.37 blue 0.26
                 color red 0.52 green 0.37 blue 0.26 ]
             }
   ambient 0.0005
   diffuse 0.6
   specular 1.0
   roughness 0.0006
   reflection 0.35
        } // end tex

/* ********************************************************************* */

#declare br01 = colour red 1.00 green 0.94 blue 0.71
#declare br02 = colour red 1.00 green 0.88 blue 0.65
#declare br03 = colour red 0.94 green 0.80 blue 0.59
#declare br03 = colour red 0.94 green 0.80 blue 0.59
#declare br04 = colour red 0.80 green 0.69 blue 0.52
#declare br05 = colour red 0.72 green 0.63 blue 0.46
#declare br06 = colour red 0.78 green 0.63 blue 0.46
#declare br07 = colour red 0.74 green 0.59 blue 0.49
#declare br08 = colour red 0.66 green 0.51 blue 0.41
#declare br09 = colour red 0.61 green 0.50 blue 0.42
#declare br10 = colour red 0.58 green 0.45 blue 0.32
#declare br11 = colour red 0.65 green 0.45 blue 0.32
#declare br12 = colour red 0.65 green 0.41 blue 0.28
#declare br13 = colour red 0.58 green 0.41 blue 0.28
#declare br14 = colour red 0.57 green 0.37 blue 0.24
#declare br15 = colour red 0.60 green 0.37 blue 0.24
#declare br16 = colour red 0.54 green 0.35 blue 0.25
#declare br17 = colour red 0.56 green 0.31 blue 0.21
#declare br18 = colour red 0.45 green 0.31 blue 0.16
#declare br19 = colour red 0.45 green 0.31 blue 0.21
#declare br20 = colour red 0.41 green 0.27 blue 0.17
#declare br21 = colour red 0.40 green 0.24 blue 0.14
#declare br22 = colour red 0.37 green 0.24 blue 0.11
#declare br23 = colour red 0.37 green 0.24 blue 0.18
#declare br24 = colour red 0.34 green 0.21 blue 0.15
#declare br25 = colour red 0.40 green 0.21 blue 0.15
#declare br26 = colour red 0.32 green 0.19 blue 0.07
#declare br27 = colour red 0.30 green 0.14 blue 0.02
#declare br28 = colour red 0.30 green 0.14 blue 0.10
#declare br29 = colour red 0.24 green 0.16 blue 0.12
#declare br30 = colour red 0.25 green 0.13 blue 0.09
#declare br31 = colour red 0.21 green 0.09 blue 0.05
#declare BlueVioletB = color red 0.38 green 0.39 blue 0.58 // tce designed color

/* ********************************************************************* */

#declare pop_wood =
texture {
   marble
   color_map {
      [0.0 0.2 color br16 color br16]
      [0.2 0.4 color br16 color br14]
      [0.4 0.6 color br14 color br17]
      [0.6 0.8 color br17 color br17]
      [0.8 0.9 color br17 color br14]
      [0.9 1.01 color br14 color br16]
             }
   turbulence 0.4
   scale <13 13 1> 
   ambient 0.8 phong 0.5 
        }

texture {
   wood
   color_map {
      [0.0 0.05 color br25 color br25 alpha 0.5]
      [0.05 0.2 color br25 alpha 0.5 color br21 alpha 1.0]
      [0.2 0.7 color br21 alpha 1.0 color br21 alpha 0.8]
      [0.7 0.8 color br27 alpha 0.7 color br27 alpha 1.0]
      [0.8 0.9 color br27 alpha 1.0 color br27 alpha 0.7]
      [0.9 1.01 color br27 alpha 1.0 color br30 alpha 0.5]
             }
   turbulence 0.5
   ambient 0.9
   phong 1.0
   scale <5 15 1>
        }

/* ********************************************************************* */

#declare zeb_wood =
texture {
   marble
   color_map {
      [0.0 0.2 color br16 color br16]	
      [0.2 0.4 color br16 color br14]
      [0.4 0.6 color br14 color br17]
      [0.6 0.8 color br17 color br17]
      [0.8 0.9 color br17 color br14]
      [0.9 1.01 color br14 color br16]
             }
   ambient 0.3
   diffuse 1.2
   turbulence 0.25
   scale <13 13 1>
        }

texture {
   wood
   color_map {
      [0.0 0.05 color br25 color br25 alpha 0.7]
      [0.05 0.2 color br25 alpha 0.7 color br21 alpha 1.0]
      [0.2 0.7 color br21 alpha 1.0 color br21 alpha 0.8]
      [0.7 0.8 color br27 alpha 0.7 color br27 alpha 1.0]
      [0.8 0.9 color br27 alpha 1.0 color br27 alpha 0.7]
      [0.9 1.01 color br27 alpha 1.0 color br30 alpha 0.7]
             }
   turbulence 0.3
   ambient 0.6
   diffuse 0.9
   scale <5 15 5>
        }

texture {
   wood
   color_map {
      [0.0 0.05 color br25 color br25 alpha 0.4]
      [0.05 0.2 color br25 alpha 0.4 color br21 alpha 0.8]
      [0.2 0.7 color br21 alpha 0.8 color br21 alpha 0.9]
      [0.7 0.8 color br27 alpha 0.8 color br27 alpha 0.6]
      [0.8 0.9 color br27 alpha 0.6 color br27 alpha 0.4]
      [0.9 1.01 color br27 alpha 0.5 color br30 alpha 0.8]
             }
   diffuse 0.9
   ambient 0.3
   turbulence 0.2
   scale <4 20 4>
        }

/* ********************************************************************* */
/* ------------------ MAKE HARDWOOD FLOOR ------------------------------ */

#declare wt = texture {
   zeb_wood 0.01 scale <10 20 20> phong 0.5 phong_size 20 }

/* ********************************************************************* */

// This texture { is two layers:  the lower "base-coat" is finely
// "speckled" to simulate the fine pores in the wood.  The second,
// "top-coat" is the darker woodgrain, fading into clear to let
// the "base-coat" show through.

#declare Block_Wood =
   texture {    // Bottom, shiny layer: fine porous woodgrain
      bozo
      color_map {
         [0.00 0.05 color Brown color Brown]
         [0.05 0.25 color Brown color Tan]
         [0.25 0.75 color Tan color Tan]
         [0.75 0.95 color Tan color Brown]
         [0.95 1.01 color Brown color Brown]
                }
// Note: i've designed this layer to be scaled in the z axis and
// then rotated 90 degrees on the y axiz to maintain consistancy with
// the way wood texture { operates.
      scale <0.01 0.01 1>
      rotate <0 90 0>
      ambient 0.15 diffuse 0.7
      specular 1 roughness 0.005   // Make this layer shiny
      phong 1 phong_size 100
            } //end text layer 1

// Wood texture { is mapped in concentric rings aligned on the z axis.
   texture {      // Top texture {, dark grain
      wood
      turbulence 0.05   // Note the small amount of turbulence used.
      color_map {
         [0.00 0.05 color Clear         color Clear    ]
         [0.05 0.30 color Clear         color DarkBrown]
         [0.30 0.70 color DarkBrown     color DarkBrown]
         [0.70 0.95 color DarkBrown     color Clear    ]
         [0.95 1.01 color Clear         color Clear    ]
                }
      scale <0.1 0.1 1>         // Make 10 "rings" per unit
      translate <0 -0.5 0>      // (This is just a cosmetic adjustment)
      scale <3 3 3>             // Enlarge the whole thing.
      rotate <0 90 0>           // align the "log" on the x axis, not z
      rotate <0 -1 0>           // slightly askew of center
      ambient 0.15 diffuse 0.7  // Notice: no shine on this layer
           } // end tex layer 2

/* ********************************************************************* */
/* ********************************************************************* */
